define([
  'jquery',
  'js/config',
  'js/datas',
  'js/utilities',
  'hbs!adultEducation/adultEducationContainers/chooseProfession/chooseProfession',
  'hbs!components/common/button/button',
], function(
	$$,
	config,
	Datas,
	utilities,
	chooseProfessionTemplate,
	buttonTemplate
) {
  var $ = Framework7.$;
  var dictData = Datas.dictData;
  var callAppApi = utilities.callAppApi;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  // 渲染导航栏
	  loadComponent('navbar', 'common', {
		  container: '#chooseProfessionNavbar',
		  title: '身份认证',
		  backId: 'chooseProfessionBackBtn',
		  isBackIcon: true,
		  isBack: false,
		  callback: function() {
			  $('#chooseProfessionBackBtn').on('click', function() {
				  mainView.router.back({
					  url: 'index.html',
					  force: true
				  });
			  });
		  }
	  });
	  
	  var chooseList =[
		      {
				  title:'1.您是否是在校学生?',
				  name:'chooseStudent',
				  item1:{
					  id:'IsStudent',
					  value:'A',
					  view:'A.是'
				  },
				  item2:{
					  id:'NoStudent',
					  value:'B',
					  view:'B.否'
				  }
		      },
		      {
				  title:'2.您是否毕业已超过两年?',
				  name:'chooseGraduation',
				  item1:{
					  id:'IsGraduation',
					  value:'A',
					  view:'A.是'
				  },
				  item2:{
					  id:'NoGraduation',
					  value:'B',
					  view:'B.否'
				  }
		      },
		      {
				  title:'3.您目前是否是在职状态?',
				  name:'chooseJop',
				  item1:{
					  id:'IsJop',
					  value:'A',
					  view:'A.是'
				  },
				  item2:{
					  id:'NoJop',
					  value:'B',
					  view:'B.否'
				  }
		      }
	      ]
	  // 渲染页面
	  $('#chooseProfessionContent').html(chooseProfessionTemplate({
		  chooseList:chooseList
	  }));
	  
	  // 渲染头部状态栏
	  loadAdultEducationComponent('authenticationTabbar', 'authentication', {
		  container: '#chooseProfessionTabbar',
		  tabIndex: 1,
		  pageType: 'authPage'
	  });
	  
	  // 渲染底部按钮
		$('#chooseProfessionBtnBox').html(buttonTemplate({
			id : 'chooseProfessionBtn',
			value : '确认提交',
		}));
		var str = '';
		$$('#chooseProfessionBtn').on("click",function(){
			var alertText = '';
			var chooseStudent = $$('input[name="chooseStudent"]:checked').val();
			var chooseGraduation = $$('input[name="chooseGraduation"]:checked').val();
			var chooseJop = $$('input[name=chooseJop]:checked').val();
			str = chooseStudent + chooseGraduation + chooseJop;
			if(str == "ABB" || str == "BBB"){//学生
				alertText = '<div>您的身份测评类型为</div><div>"非在职人员"</div><div>请确认是否继续下单</div>'
			}else if(str == "BAA" || str == "BBA"){//成人
				alertText = '<div>您的身份测评类型为</div><div>"在职人员"</div><div>请确认是否继续下单</div>'
			}else if(str == "BAB"){//拒绝
				alertText = '很抱歉，您的测评结果暂时不符合业务办理范围，感谢您的关注！'
			}else{
				alertText = '<div>您的身份测评填写有误</div><div>请您重新填写</div>'
			}
			if(str == "ABB" || str == "BBB" || str == "BAA" || str == "BBA"){
				f7.modal({
		  			text:  alertText,
		  			buttons: [
		  				{
		  					text: '<span style="color:#999">取消</span>',
		  					onClick: function(){}
		  				},
		  				{
		  					text:'确认',
		  					onClick: function(){
		  						if(str == "ABB" || str == "BBB"){
		  							loadEducationPage('authentication', {
                                        query: {
                                            fromPage: 'chooseProfession',
                                            userType: '001'
                                        }
                                    })
		  						}else{
		  							loadAdultEducationPage('authentication', {
		                                query: {
		                                    fromPage: 'chooseProfession',
		                                    userType: '003'
		                                }
		                            })
		  						}
		  					}
		  				}
		  			]
			  	})
			}else{
				f7.modal({
		  			text:  alertText,
		  			buttons: [
		  				{
		  					text: '我知道了',
		  					onClick: function(){}
		  				}
		  			]
			  	})
			}
		})
		
  }  	  

  return {
	render: render
  }
});