define([
  'advanceCredit/advanceCreditComponents/authentication/authStep1/authStep1View',
  'js/utilities'
], function(
  authStep1View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var defaultBasicInfo = JSON.parse(localStorage.getItem('basicInfoData_' + loginStatus.userId));
	  defaultBasicInfo = defaultBasicInfo !== null ? defaultBasicInfo : '';
	    
	  authStep1View.render({
		  userType:query.userType,
		  fromPage: query.fromPage,
		  basicInfoHtml: {
		        "baseUserId":"",
		        "baseOrderId":"",
		        "baseBusinessType":"",
		        "baseDevelopmentNotes":"查询页面信息正常",
		        "filterRuleId":"",
		        "pageCode":"001001",
		        "currentPageName":"basicInfo",
		        "prePageCode":"",
		        "nextPageCode":"001002",
		        "title":"额度申请-基本信息",
		        "formId":"basicInfo",
		        "indicationStatus":"true",
		        "basicInfo":null,
		        "workInfo":null,
		        "contactsInfo":null,
		        "elementsList":[
		            {
		                "elementId":"594bc3682e870307cdd41284",
		                "domId":"userIdentityCardNumber",
		                "elementCode":"000001",
		                "type":"text",
		                "name":"userIdentityCardNumber",
		                "label":"身份证号",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请输入身份证号码",
		                "defaultValue":defaultBasicInfo.userIdentityCardNumber || "",
		                "selectList":[],
		                "option":[],
		                "validStatus":"1"
		            },
		            {
		                "elementId":"594bc3bf2e870307cdd41299",
		                "domId":"userName",
		                "elementCode":"000002",
		                "type":"text",
		                "name":"userName",
		                "label":"姓名",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请输入姓名",
		                "defaultValue":defaultBasicInfo.userName || "",
			            "selectList": [],
			            "option": [],
		                "validStatus":"1"
		            },
//		            {
//		                "elementId":"594bc4602e870307cdd4129e",
//		                "domId":"userPhoneNumber",
//		                "elementCode":"000003",
//		                "type":"text",
//		                "name":"userPhoneNumber",
//		                "label":"本人手机号",
//		                "visibleStatus":"true",
//		                "disabledStatus":"true",
//		                "placeholder":"本人手机号",
//		                "defaultValue":loginStatus.userPhoneNumber,
//			            "selectList": [],
//			            "option": [],
//		                "validStatus":"1"
//		            },
		            /*{
		                "elementId":"594bc95e2e870307cdd4159e",
		                "domId":"userBankCardNumber",
		                "elementCode":"000001",
		                "type":"text",
		                "name":"userBankCardNumber",
		                "label":"银行卡号",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"银行卡号",
		                "defaultValue":"",
		                "selectList":[

		                ],
		                "option":[

		                ],
		                "validStatus":"1"
		            },*/
		            {
		                "elementId":"594bc9a02e870307cdd415b2",
		                "domId":"userMaritalStatus",
		                "elementCode":"000001",
		                "type":"select",
		                "name":"userMaritalStatus",
		                "label":"婚姻状况",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请选择婚姻状况",
		                "defaultValue":defaultBasicInfo.userMaritalStatus || "",
		                "selectList":[
		                    {
		                        "value":"",
		                        "view":"请选择婚姻状况"
		                    },
		                    {
		                        "value":"已婚",
		                        "view":"已婚"
		                    },
		                    {
		                        "value":"未婚",
		                        "view":"未婚"
		                    },
		                    {
		                        "value":"离异",
		                        "view":"离异"
		                    },
		                    {
		                        "value":"其他",
		                        "view":"其他"
		                    }
		                ],
		                "option":[],
		                "validStatus":"1"
		            },
		            {
		                "elementId":"594bc8dc2e870307cdd41584",
		                "domId":"userHighestEducation",
		                "elementCode":"000001",
		                "type":"select",
		                "name":"userHighestEducation",
		                "label":"最高学历",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请选择学历",
		                "defaultValue": defaultBasicInfo.userHighestEducation || "",
		                "selectList":[
		                    {
		                        "value":"",
		                        "view":"请选择学历"
		                    },
		                    {
		                        "value":"博士及以上",
		                        "view":"博士及以上"
		                    },
		                    {
		                        "value":"硕士",
		                        "view":"硕士"
		                    },
		                    {
		                        "value":"本科",
		                        "view":"本科"
		                    },
		                    {
		                        "value":"大专",
		                        "view":"大专"
		                    },
		                    {
		                        "value":"高中",
		                        "view":"高中"
		                    },
		                    {
		                        "value":"初中及以下",
		                        "view":"初中及以下"
		                    }
		                ],
		                "option":[],
		                "validStatus":"1"
		            },
		            {
		                "elementId":"594bc98d2e870307cdd415ad",
		                "domId":"userDwellingCondition",
		                "elementCode":"000001",
		                "type":"select",
		                "name":"userDwellingCondition",
		                "label":"居住状况",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请选择居住状况",
		                "defaultValue": defaultBasicInfo.userDwellingCondition || "",
		                "selectList":[
		                    {
		                        "value":"",
		                        "view":"请选择居住状况"
		                    },
		                    {
		                        "value":"自购无按揭",
		                        "view":"自购无按揭"
		                    },
		                    {
		                        "value":"自购有按揭",
		                        "view":"自购有按揭"
		                    },
		                    {
		                        "value":"与亲属合住",
		                        "view":"与亲属合住"
		                    },
		                    {
		                        "value":"租房",
		                        "view":"租房"
		                    },
		                    {
		                        "value":"集体宿舍",
		                        "view":"集体宿舍"
		                    },
		                    {
		                        "value":"其他",
		                        "view":"其他"
		                    }
		                ],
		                "option":[],
		                "validStatus":"1"
		            },
		            {
		                "elementId":"594bc9e42e870307cdd415c1",
		                "domId":"userDwellingAddress",
		                "elementCode":"000001",
		                "type":"location",
		                "name":"userDwellingAddress",
		                "label":"居住地址",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请选择城市",
		                "defaultValue": defaultBasicInfo.userLocationCode || "",
		                "selectList":[],
		                "option":[],
		                "validStatus":"1"
		            },
		            {
		                "elementId":"594bca222e870307cdd415d0",
		                "domId":"userDwellingDetailAddress",
		                "elementCode":"000001",
		                "type":"textArea",
		                "name":"userDwellingDetailAddress",
		                "label":"详细地址",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请填写路名及具体门牌号",
		                "defaultValue": defaultBasicInfo.userDwellingDetailAddress || "",
		                "selectList":[],
		                "option":[],
		                "validStatus":"1"
		            },{

		                "elementId":"",
		                "domId":"haveHouseLoan",
		                "elementCode":"000001",
		                "type":"select",
		                "name":"haveHouseLoan",
		                "label":"房贷信息",
		                "visibleStatus":"true",
		                "disabledStatus":"false",
		                "placeholder":"请选择房贷信息",
		                "defaultValue": defaultBasicInfo.haveHouseLoan || "",
		                "selectList":[
		                    {
		                    	"value":"",
			                    "view":"请选择房贷信息"
		                    },          
		                    {
		                        "value":"0",
		                        "view":"无房贷"
		                    },
		                    {
		                        "value":"1",
		                        "view":"已还期数不满6个月"
		                    },
		                    {
		                        "value":"2",
		                        "view":"已还期数已满6个月"
		                    },
		                    {
		                        "value":"3",
		                        "view":"已还期数已满12个月"
		                    },
		                ],
		                "option":[],
		                "validStatus":"1"
		            
		            }
		        ]
		    }
	  });
  }
  
  return {
	init: init,
  };
});