define([
  'js/utilities',
  'js/router',
  'advanceCredit/advanceCreditContainers/advanceCreditCreditManage/advanceCreditCreditManageView'
], function(
  utilities,
  Router,
  advanceCreditCreditManageView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var advanceCreditRouter = Router.advanceCreditRouter;

  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  callAppApi({
		  url: '/app/credit/v2/query/myLimit',
		  type: 'POST',
		  params: {
			  userId: loginStatus.userId
		  },
		  successCallback: function(creditRes) {
			  advanceCreditCreditManageView.render({
				  creditAuditStatus: creditRes.creditStatus,               //授信状态
				  auditLimitMoney: creditRes.auditLimitMoney,              //审批金额
				  sumPayment: creditRes.sumPayment,                        //下月应还总额
				  creditAvailableAmount: creditRes.creditAvailableAmount,  //授信剩余额度
			  });
		  },
		  errorCallback: function(err) {}
	  })
	  
  }
  
  return {
	init: init,
  };
});
