define([
  'js/config',
  'js/utilities',
  'js/uglyUtilities',
  'js/validator',
  'js/datas',
  'hbs!advanceCredit/advanceCreditContainers/advanceCreditFamily/advanceCreditFamily',
  'hbs!components/common/button/button',
], function(
	config,
	utilities,
	uglyUtilities,
	validator,
	Datas,
	chooseFamilyTemplate,
	buttonTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var callAppApiNew = uglyUtilities.callAppApiNew;
  var buildNumber = config.buildNumber;
  var SKIP = config.SKIP;
  var logout = utilities.logout;
  var dictData = Datas.dictData;
  var checkBankNo = validator.checkBankNo;
  var checkBankId = validator.checkBankId;
  
  
  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 渲染导航栏
	  if(params.from == 'me'){
		  loadAdvanceCreditComponent('navbar', 'common', {
			  container: '#chooseProfessionNavbar1',
			  title: '业务类型',
			  backId: 'chooseFamilyBackBtn',
			  isBackIcon: true,
			  isBack: false
		  });
	  }else if(params.fromPage == 'advanceCreditUploadEvidence' || params.fromPage == 'index' || (params.from != 'me'&& params.fromPage == 'me')){
		  loadAdvanceCreditComponent('navbar', 'common', {
	          container: '#chooseProfessionNavbar1',
	          title: '业务类型',
	          backId: 'chooseFamilyBackBtn',
	          isBackIcon: true,
	          isBack: false,
	          iconRightId: 'skipChooseBtn',
	          iconRightStatus: true,
	          iconRight:'跳过',
	          iconRightClass: 'skipChooseBtn'
	      });
	  }
	
	  // 渲染页面
	  $('#chooseProfessionContent1').html(chooseFamilyTemplate({
	  }));
	  
	  //从业务资料入口进入则隐藏健康医疗入口
	  if(params.from == 'me'){
		  $('#chooseFamilyTypeThr').hide();
	  }
	  //返回跳转
	  setTimeout(function(){
		  $('#chooseFamilyBackBtn').off('click').on('click', function() {
				if(params.fromPage == "advanceCreditUploadEvidence"){
					mainView.router.back({
			  			url: 'index.html',
			  			force: true,
					})
				}else if(params.fromPage == "me"){
					mainView.router.back({
			  			url: 'me.html',
			  			force: true,
					})
		  	  		f7.showToolbar('#toolbar');
				}
			});
		  var deviceId = '';
		  if (!SKIP.cordova_uuid) {
			 deviceId = device.uuid;
		  }
		  //预授信跳过按钮
		  $('#skipChooseBtn').on('click', function() {
			  callAppApi({
					url: '/app/credit/v2/submit/audit',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderId: '',
						auditInfoId: params.auditInfoId,
						backSubmitStatus: '0',
						auditType: 'CREDIT',
						baseBusinessType:'ysx001'
					},
					successCallback: function(data) {

						callAppApi({
							url: '/app/bankBatchCard',
							apiVersion: '2.0',
							type: 'POST',
							params: {
								userId: loginStatus.userId
							},
							successCallback: function(bankBatchCardRes) {
								if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
									 loadAdvanceCreditPage('creditManage', {
			                             query: {
			                            	 	auditStatus:data.auditStatus,
			                            	 	fromPage:'advanceCreditFamily',
				                             }
					                 });
								}else{
									 mainView.loadPage({
			                             url: 'bindBankcard.html',
			                             query: {
			                                      fromPage:'advanceCreditFamily',
					                          }
					                   });
								}
						
							},
							errorCallback: function(err) {}
						})
					},
					errorCallback: function(err) {}
			  })
		  })
	  },500)
	  
	  
	 //选择家居装修点击跳转事件
//		$('#chooseFamilyTypeOne').on('click', function() {
//			
//			// 家装线上化与家装业务线订单检查问题
//			callAppApiNew({
//				url: '/app/checkPlaceOrder',
//				type: 'POST',
//				params: {
//					userId: loginStatus.userId,
//					userIsOld: loginStatus.oldUser,
//					oldId: loginStatus.oldId,
//					businessType: '004003'
//				},
//				successCallback: function(response) {
//					// 检查订单接口拿到订单id和业务类型
//					var responseCode = response.code;
//					var orderId = response.data.orderId;
//					var orderTypeCode = response.data.orderTypeCode;
//					var orderStatus = response.data.orderStatus;
//					
//					// 检查订单可以下单
//					if (responseCode !== '14507600') {
//						oldFamilyDecorationLink();
//					// 检查不可以下单
//					} else if (responseCode == '14507600') {
//						var alertMessageText = '';
//						// 这里接口返回新的码表配置信息
//						dictData.message.forEach(function(item) {
//							if (item.dictSerialNo === responseCode) {
//								alertMessageText = item.dictValue;
//							}
//						});
//						
//						f7.alertMessage(alertMessageText);
////						f7.alertMessage('您已提交该业务的申请，请至订单列表查看详情。')
//					}
//				},
//				errorCallback: function(err) {}
//			})
//			
//			function oldFamilyDecorationLink() {
//				if(params.fromPage == 'me'){
//					callAppApi({
//		        		url: '/module/material/find',
//		        		params: {
//		        			userId: loginStatus.userId,
//		        			orderId: '',
//		        			baseBusinessType: '004002'
//		        		},
//		        		successCallback: function(res) {
//		        			if(res.orderDetailInfo){
//		        				loadFamilyDecorationPage('perfectDataResult', {
//									query: {
//										fromPage: params.fromPage,
//			        					response: res.orderDetailInfo,
//			        					orderId: res.orderDetailInfo.orderId,
//			        					baseBusinessType: '004002'
//									}
//								});
//		        			}else{
//		        				loadFamilyDecorationPage('perfectData', {
//		        					query: {
//		        						fromPage: params.fromPage,
//		        						baseBusinessType: '004002',
//		        					}
//		        				});
//		        			}
//		        		},
//		        		errorCallback: function(err) {}
//		        	})
//				}else if(params.fromPage == 'advanceCreditUploadEvidence'){
//					loadFamilyDecorationPage('perfectData', {
//						query: {
//							fromPage: params.fromPage,
//							baseBusinessType: '004002',
//						}
//					});
//				}
//			}
//			
//
//					  
//		});
	  if(params.fromPage == 'index'  || (params.fromPage == 'me' && params.from != 'me') ){
		  params.fromPage = 'advanceCreditUploadEvidence';
	  }
		//选择家庭套购点击跳转事件
		$('#chooseFamilyTypeTwo').on('click', function() {
			
			if(params.fromPage == 'me'){
				callAppApi({
	        		url: '/module/material/find/v2',
	        		params: {
	        			userId: loginStatus.userId,
	        			orderId: '',
	        			baseBusinessType: '004001'
	        		},
	        		successCallback: function(res) {
	        			if(res.orderDetailInfo){
	        				loadFamilyDecorationPage('editAdress', {
								query: {
									from: 'advanceCreditFamily',
		        					fromPage: params.fromPage,
		        					response: res.orderDetailInfo,
		        					orderId: res.orderDetailInfo.orderId,
		        					baseBusinessType: '004001'
								}
							});
	        			}else{
	        				loadFamilyDecorationPage('dispathchAdress', {
	        					query: {
	        						from: 'advanceCreditFamily',
	        						fromPage: params.fromPage,
	        						baseBusinessType: '004001',
	        					}
	        				});
	        			}
	        		},
	        		errorCallback: function(err) {}
	        	})
			}else if(params.fromPage == 'advanceCreditUploadEvidence'){
			  loadFamilyDecorationPage('dispathchAdress', {
					query: {
						from: 'advanceCreditFamily',
						fromPage: params.fromPage,
						baseBusinessType: '004001',
					}
				});
			}
		});
		//选择医疗健康点击跳转事件
		$('#chooseFamilyTypeThr').on('click', function() {
			 var orderId = params.orderId ? params.orderId : "";
			loadMedicalCarePage('medicalCareUploadEvidence', {
				query: {
					fromPage: params.fromPage,
					baseBusinessType: '006001',
					orderId: orderId
				}
			});
		});
  }  	  

  return {
	render: render
  }
});