define([
  'js/utilities',
  'advanceCredit/advanceCreditContainers/advanceCreditHousingLoan/advanceCreditHousingLoanView'
], function(
  utilities,
  advanceCreditHousingLoanView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  var housingLoanHtml = {
			  "title":"房贷信息",
			  "formId":"loanInfo",
			  "indicationStatus":"true",
			  "elementsList":[{
				  "elementId":"594bca722e870307cdd415f9",
				  "domId":"haveHouseLoan",
				  "type":"select",
				  "name":"haveHouseLoan",
				  "label":"是否有房贷",
				  "visibleStatus":"true",
				  "disabledStatus":"false",
				  "placeholder":"是否有房贷",
				  "defaultValue":"",
				  "selectList":[{"value":"01","view":"有房贷"},{"value":"02","view":"无房贷"}],
				  "option":[],"validStatus":"1"
				  },
				  {"elementId":"594bcab02e870307cdd4160f",
				   "domId":"houseLoanOriginTime",
				   "type":"time",
				   "name":"houseLoanOriginTime",
				   "label":"房贷起始日期",
				   "visibleStatus":"true",
				   "disabledStatus":"false",
				   "placeholder":"请选择日期",
				   "defaultValue":"",
				   "validStatus":"1"
				},
				{
					"elementId":"594bcb002e870307cdd41623",
					"domId":"houseLoanYear",
					"type":"text",
					"name":"houseLoanYear",
					"label":"房贷年限",
					"visibleStatus":"true",
					"disabledStatus":"false",
					"placeholder":"请输入房贷年限，例如：30",
					"defaultValue":"",
					"validStatus":"1"
				},
				{
					"elementId":"594bcb332e870307cdd4163f",
					"domId":"houseLoanMonthPay",
					"type":"text",
					"name":"houseLoanMonthPay",
					"label":"房贷月供",
					"visibleStatus":"true",
					"disabledStatus":"false",
					"placeholder":"请输入月还款金额",
					"defaultValue":"",
					"validStatus":"1"
				}
			]
	  }
	  
	  
	  // 请求用户信息
//	  callAppApi({
//		  url: '/app/credit/loanPage',
//		  type: 'POST',
//		  params: {
//			  userId: loginStatus.userId,
//		  },
//		  successCallback: function(response) {
//			  var responseData = response || {};
			  advanceCreditHousingLoanView.render({
				  housingLoanHtml: housingLoanHtml,
				  auditInfoId : query.auditInfoId
			  });
//		  }
//	  });
  }
  
  return {
	init: init,
  };
});
