define([
    'jquery',
    'js/utilities',
    'js/familyUploadEvidenceFunc.js',
    'hbs!advanceCredit/advanceCreditContainers/advanceCreditReuploadEvidence/advanceCreditReuploadEvidence',
    'hbs!components/common/protocolArea/protocolFrame',
    'hbs!advanceCredit/advanceCreditComponents/reuploadEvidence/uploadEvidenceNew',
    'hbs!advanceCredit/advanceCreditComponents/reuploadEvidence/uploadEvidence'
], function(
	$$,
	utilities,
	uploadEvidence,
	advanceCreditReuploadEvidenceTemplate,
	protocolFrame,
	uploadEvidenceNewTemplate,
	uploadEvidenceTemplate
) {
	
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var UploadEvidence = uploadEvidence.UploadEvidence;
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var picDataArr = [];															// 返回的图片数组
		var addPicDataArr = [];															// 回退补充的图片数组
		var otherEvidenceShow = true;
		
		picDataArr = params.picList;
		
		// 渲染navbar
		loadAdvanceCreditComponent('navbar', 'common', {
			container: '#reuploadEvidenceNavbar',
			title: '资料证明修改',
			backId: 'reuploadEvidenceBackBtn',
			isBackIcon: true,
			isBack: false,
			iconRightId: 'reuploadEvidenceHelpBtn',
			iconRightStatus: true,
			iconRight: '帮助',
			iconRightClass: 'reuploadEvidenceHelpBtn',
			callback: function() {
				$$('#reuploadEvidenceBackBtn').on('click', function() {
					mainView.router.back({
						url: 'index.html',
						query: {
							fromPage: 'advanceCreditReuploadEvidence'
						}
					})
				});
				
				$$('#reuploadEvidenceHelpBtn').on('click', function() {
					callWebHtml({
						url: '/application/show/uploadFileHelp',
						type: 'POST',
						params: {
							userId: loginStatus.userId
						},
						successCallback: function(response) {
							$('#reuploadEvidencePopup').html(protocolFrame({
								protocolId: "agreementAutoPayment",
								protocolName: "上传材料说明",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));

							$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;

							f7.popup('#reuploadEvidencePopup');
						},
						errorCallback: function(err) {}
					});
				})
			}
		})
		
		// 渲染页面
		$$('#reuploadEvidenceContent').html(advanceCreditReuploadEvidenceTemplate());

		$$('#reuploadEvidenceArea').html(uploadEvidenceNewTemplate({
			specialCaseType: params.infoData.specialCaseType,
			picList: picDataArr
		}));
		activeReloadInfoButtonOne();
					
		//解锁提交审核
		function activeReloadInfoButtonOne() {
//			if($(".evidence-item-boxOne .failure").length == 0 && $(".evidence-item-boxOne .editFailure").length == 0){
//				$("#reuploadEvidenceSubmitBtn").removeAttr("disabled");
//				$("#reuploadEvidenceSubmitBtn").removeClass("false");
//			}
		}
		
		picDataArr.forEach(function(item, index) {
			var picType = item.picType;
			 
			if (picType == '5') {
				var picSubData = [];
				
				item.picDataArray.forEach(function(item1) {
					item1.picSubDataArray.forEach(function(item2) {
						picSubData.push(item2);
					});
				})
				
				otherEvidenceShow = picSubData.every(function(item, index) {
					if(item.checkResult == '0' || item.checkResult == ''){
						return false;
					}else{
						return true;
					}
				})
			}
		});
		
		if (otherEvidenceShow) {
			addPicDataArr = [{
	            "picType": "5",
	            "picName": "其他证明材料",
	            "picDataArray": []
			}]
		} else {
			addPicDataArr = []
		}
		
		//数据合并
		if (picDataArr.length > 0 && addPicDataArr.length > 0) {
			for(var i = 0; i < picDataArr.length; i++) {
				if(picDataArr[i].picType == '5') {
					addPicDataArr[0].picDataArray = picDataArr[i].picDataArray;
				}
			}
		}
		
		//获取图片列表
		var picDataList = $$('.upload-evidence-family-wrap-list');
		
		//创建图片列表实例
		var picEvidenceList = picDataList.map(function(index, item){
			
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			
			// 无瑕疵回退隐藏
			if ($$(item).find('.failure').length == 0 && $$(item).find('.upload-evidence-item-new').length == 0) {
				$$(item).hide();
				$$(item).prev().hide();
			}
			
			return new UploadEvidence(evidenceType, [], {
				addSelector: 'add' + evidenceType + 'Btn',
				operateSelector: 'edit' + evidenceType + 'Btn',
				updateSelector: 'uploadEvidenceFamilyList' + evidenceType,
				uploadEvidenceList: $$('#uploadEvidenceFamilyList' + evidenceType),
				limitNum: '100',
				auditInfoId: params.auditInfoId,
				baseBusinessType: params.baseBusinessType,
				picType: picType,
				activeReloadBtn: activeReloadInfoButtonOne
			});
		})
		
		
		//默认隐藏
		$$('.upload-evidence-family-list').each(function(i,v){
			if($$(v).children().length <= 5 ){
				$$(v).children('.order-detail-more').hide();
			}else{
				$$(v).children().each(function(index,value){
					if(index >= 4 && !$$(value).hasClass('order-detail-more')){
						$$(value).hide();
					}
				})
			}
		})
		
		//点击更多事件
		$(".order-detail-more").on("click",function(){
			var that = this;
			$(that).parent().children().each(function(i,v){
				if(i >= 4 && !$$(v).hasClass('order-detail-more')){
					if($$(v).css("display") !=="none"){									
						$$(that).removeClass("hide-show-more");
						$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailShow.png)")
						$$(v).slideUp(200);
					}else{
						$$(that).addClass("hide-show-more");
						$$(v).slideDown(200);
						$$(that).find('.orderDetail-show-icon').css("background-image","url(img/order/orderDetailHide.png)")
					}
					
				}
			})
		})

		$$('#reuploadOtherArea').html(uploadEvidenceTemplate({
			picAddList: addPicDataArr
		}));
		
		
		//获取添加列表
		var picMainList = $$('.upload-evidence-add-wrap-list');
		
		//创建添加列表实例
		picMainList.each(function(index, item) {
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			
			return new UploadEvidence(evidenceType, [], {
				addSelector: 'addPic' + evidenceType + 'Btn',
				operateSelector: 'editPic' + evidenceType + 'Btn',
				uploadEvidenceList: $$('#uploadEvidenceAddList' + evidenceType),
				limitNum: '100',
				auditInfoId: params.auditInfoId,
				baseBusinessType: params.baseBusinessType,
				picType: picType
			})
		});
		
		$$('#reuploadEvidenceSubmitBtn').on('click', function() {
			if($(".evidence-item-boxOne .failure").length > 0 || $(".evidence-item-boxOne .editFailure").length > 0){
				f7.alert('还有瑕疵照片未修改哦，请检查并修改后再提交') ;
				return false;
			}
			if (params.backReuploadType == 'CREDIT') {
				callAppApi({
					url: '/app/credit/v2/submit/audit',
					type: 'POST',
					params: {
						baseBusinessType: 'ysx001',
						userId: loginStatus.userId,
						orderId: '',										// 授信审核为空
						auditInfoId: params.auditInfoId,
						backSubmitStatus: '1',								// 是否回退提交  '0' false '1' true
						auditType: 'CREDIT'									// 审核类型：'CREDIT': 授信审核, 'BUSINESS': 选品审核, 'ORDER': 订单审核
					},
					successCallback: function(auditRes) {
						loadAdvanceCreditPage('creditManage', {
							query: {
								fromPage: 'advanceCreditReuploadEvidence'
							}
						});
					},
					errorCallback: function(err) {}
				})
			} else if (params.backReuploadType == 'BUSINESS') {
				callAppApi({
					url: '/app/credit/v2/submit/audit',
					type: 'POST',
					params: {
						baseBusinessType: params.baseBusinessType,
						userId: loginStatus.userId,
						orderId: params.orderId,							// 选品审核不为空
						auditInfoId: params.auditInfoId,
						backSubmitStatus: '1',								// 是否回退提交  '0' false '1' true
						auditType: 'BUSINESS'								// 审核类型：'CREDIT': 授信审核, 'BUSINESS': 选品审核, 'ORDER': 订单审核
					},
					successCallback: function(auditRes) {
						mainView.router.load({
							url: 'orderDetail.html',
							query: {
								baseBusinessType: params.baseBusinessType,
								orderId: params.orderId,
								fromPage: 'advanceCreditReuploadEvidence'
							}
						})
					},
					errorCallback: function(err) {}
				})
			}
		})
	}
	
	return {
		render: render
	}
})
