define([
	'js/utilities',
	'js/uploadImg',
	'js/uploadEvidenceFunc',
	'jquery',
	'hbs!advanceCredit/advanceCreditContainers/advanceCreditUploadEvidence/uploadEvidence',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	uploadEvidence,
	$$,
	uploadEvidenceTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;

	var UploadEvidence = uploadEvidence.UploadEvidence;

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var status = params.status;
		
		//是否为房贷专案
		var housingLoan = params.infoRes.infoData.specialCaseType;
		//居住是否一致状态
		var liveEvidenceStatus = false;
		
		// 渲染navbar
		loadAdvanceCreditComponent('navbar', 'common', {
			container: '#uploadEvidenceNavbar',
			title: '材料上传',
			backId: 'uploadEvidenceBackBtn1',
			isBackIcon: true,
			isBack: false,
			iconRightId: 'uploadEvidenceHelpBtn',
			iconRightStatus: true,
			iconRight: '帮助',
			iconRightClass: 'uploadEvidenceHelpBtn',
			callback: function() {
				
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#uploadEvidenceBackBtn1').off('click').on('click', function() {
					if(fromPage=="me") {
						mainView.router.load({
							url: 'me.html',
							query: {
								fromPage: 'advanceCreditUploadEvidence'
							}
						})
					} else {
						mainView.router.back({
				  			url: 'index.html',
				  			force: true,
				  			query: {
								fromPage: 'advanceCreditUploadEvidence'
							}
						})
					}
				});
				
				// 点击帮助按钮
				$$('#uploadEvidenceHelpBtn').on('click', function() {
					callWebHtml({
						url: '/application/show/uploadFileHelp',
						type: 'POST',
						params: {
							userId: loginStatus.userId
						},
						successCallback: function(response) {
							$('#uploadEvidence1').html(protocolFrame({
								protocolId: "agreementAutoPayment",
								protocolName: "上传材料说明",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));
							$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;

							f7.popup('#uploadEvidence1');
						},
						errorCallback: function(err) {}
					});
				});
			}
		});
		
		//已上传图片回显
		var picDataArr = [
		              {
		                  "picType": "6",
		                  "picName":"工作证明",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "2",
		                  "picName":"收入证明",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "3",
		                  "picName":"房产证明",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "4",
		                  "picName":"居住证明",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "5",
		                  "picName":"其他证明",
		                  "picDataArray": []

		              }
		          ]
		//数据合并
		if(params.picList && params.picList != null && params.picList.length > 0){
			var picBackArr = params.picList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '6'){
					picDataArr[0].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '2'){
					picDataArr[1].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '3'){
					picDataArr[2].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '4'){
					picDataArr[3].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '5'){
					picDataArr[4].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		
		// 渲染uploadEvidence内容
		$$('#uploadEvidenceContent').html(uploadEvidenceTemplate({
			picList: picDataArr,
			housingLoan: housingLoan
		}));
		
		// 绑定事件
		$$("#houseBtn").on("click", function() {
			if(!liveEvidenceStatus) {
				$$("#uploadEvidenceContent .upload-evidence-header").eq(3).slideUp();
				$$("#uploadCreditEvidenceList4").slideUp().removeClass('upload-must');
				$$(this).attr("src","img/upload_on.png");
				liveEvidenceStatus = true;
			} else {
				$$("#uploadEvidenceContent .upload-evidence-header").eq(3).slideDown();
				$$("#uploadCreditEvidenceList4").slideDown().addClass('upload-must');
				$$(this).attr("src","img/upload_off.png");
				liveEvidenceStatus = false;
			}
		})
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		
		//创建主列表实例
		evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "addCredit" + evidenceType + "Btn",
				operateSelector: "editCredit" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadCreditEvidenceList' + evidenceType),
				limitNum: '100',
				auditInfoId: params.infoRes.infoData.auditInfoId,
				baseBusinessType: 'ysx001',
				picType: picType
			})
		})

		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox1').html(buttonTemplate({
			id: 'uploadEvidenceConfirmBtn1',
			value: '提交',
			disabled: false
		}));
		
		// 完成事件绑定
		$$('#uploadEvidenceConfirmBtn1').on('click', function() {
			
			//获取必传项
			var mustArr = $$('.upload-must');
			var commitStatus = false;
			
			for(var i = 0;i < mustArr.length;i++){
				var type = $$(mustArr[i]).data('key');
				if($$(mustArr[i]).children().length <= 1){
					f7.alert('请上传' + $$(mustArr[i]).prev().find('.upload-evidence-header-name').text() + '!');
					commitStatus = false;
					break;
				}else{
					commitStatus = true;
				}
			}
			
			if(commitStatus == true){
				//提交审核
				commitEvidence();
			}
			
			function commitEvidence() {
				callAppApi({
					url: '/app/credit/v2/submit/caseInfo',
					type: 'POST',
					params: {
//						userId: loginStatus.userId,
						auditInfoId: params.auditInfoId,
						houseAddressIdentical: liveEvidenceStatus?'1':'0',
	    	            baseBusinessType:'ysx001'
					},
					successCallback: function(response) {
						loadAdvanceCreditPage('chooseFamily', {
							  query: {
								  fromPage:'advanceCreditUploadEvidence',
								  auditInfoId: params.auditInfoId,
							  }
						 });	
						/*mainRouter('ysx001',{
							fromPage: 'advanceCreditUploadEvidence',
						});*/
					},
					errorCallback: function(err) {}
				});
			}

		})
			
	}

	return {
		render: render
	}
});