define([
	'js/utilities',
	'js/plugins',
	'advanceCredit/advanceCreditContainers/advanceCreditUploadIDCard/advanceCreditUploadIDCardView'
], function(
	utilities,
	plugins,
	advanceCreditUploadIDCardView
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var detectFrontCamera = plugins.detectFrontCamera;
	
	function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	  // 隐藏底部工具栏
	  if (mainView.activePage.name === 'advanceCreditUploadIDCard') {
	      f7.hideToolbar('#toolbar');
	  }
	  
	  callAppApi({
          url: '/app/credit/v2/query/auditInfo',
          type: 'POST',
          params: {
              userId: loginStatus.userId,
              auditInfoId: query.auditInfoId,
              baseBusinessType:'ysx001'
          },
          successCallback: function(creditRes) {
        	  var queryRes = creditRes.infoData;
			  
			  var faceErrorCount = queryRes.faceErrorCount == '' ? 0 : parseInt(queryRes.faceErrorCount);  
			  var faceCount = queryRes.faceCount == '' ? 0 : parseInt(queryRes.faceCount);
			  
			  var faceDetectResult = '';
			  if (queryRes.faceDetectResult == '1') {
			      faceDetectResult = '1';
			  } else {
				  faceDetectResult = '0';
			  }
			  
			  var frontCameraStatus = true;
				
			  /**
			   * 检测是否有前置摄像头，如果有设置为true，没有设置为false
			   */
			  detectFrontCamera(function(res) {
				  frontCameraStatus = true;
				  viewRender();
			  }, function(err) {
				  frontCameraStatus = false;
				  viewRender();
			  });
			  function viewRender(){
				  advanceCreditUploadIDCardView.render({
					  faceRecog: faceDetectResult,
					  orderId: queryRes.orderId,
					  faceCount: faceCount,
					  faceErrorCount: faceErrorCount,
					  picList: creditRes.picList,
					  creditRes: creditRes,
					  frontCameraStatus:frontCameraStatus,
					  auditInfoId: queryRes.auditInfoId
				  });
			  }
          },
          errorCallback: function(err) {}
	  })
		
	}
	
	return {
		init: init
	}
});
