define([
  'jquery',
  'js/utilities',
  'containers/bankcard/bankcardHelper',
  'hbs!containers/bankcard/bankcard',
  'hbs!components/common/protocolArea/protocolItem3',
  'hbs!components/common/protocolArea/protocolFrame'
], function(
	$$,
	utilities,
	bankcardHelper,
	bankcardTemplate,
	protocolItem3Template,
	protocolFrame
) {
  var $ = Framework7.$;
  var callWebHtml = utilities.callWebHtml;
  var callAppApi = utilities.callAppApi;
  var logout = utilities.logout;
  var getDay = utilities.getDay;
  var cardsManageConstant = bankcardHelper.cardsManageConstant;
  function render(params) {
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var bankcardList = params.bankcardList;
	var creditStatus = false;  //是否完成身份认证
	
	TalkingData.onPage('银行卡管理');
	if(params.creditStatusType == '1'){//有授信通过
		creditStatus = true;
	}else{
		creditStatus = false;
	}
	// 渲染navbar
	loadComponent('navbar', 'common', {
		container: '#bankcardNavbar',
		title: '我的银行卡',
		backClass: 'meBackBtn',
		isBackIcon: true,
		isBack: false,
		iconRightStatus: true,
		iconRightClass: 'icon-add-bank',
		iconRightId: 'addBankcardBtn',
		callback: function() {
			$("#addBankcardBtn").on('click', function() {
				if(!creditStatus){
					f7.alertMessage('请您完成身份认证后，再添加银行卡');
					return false;
				}
				TalkingData.onEventWithLabel('银行卡管理', '新增银行卡');
				mainView.router.load({
					url: 'bindBankcard.html',
					query: {
						orderId: '',
						fromPage: 'bankcard'
					}
				});
			});
		}
	});
	//银行卡列表数据处理
	if( bankcardList.length>0 ){
		bankcardList.forEach(function(v,index){
			cardsManageConstant.forEach(function(s){
				if(v.bankId == s.bankId){
					bankcardList[index].iconUrl = s.iconUrl;
					bankcardList[index].bgUrl = s.bgUrl;
					return;
				}
			})
		})
	}
	$('#bankcardContent').html(bankcardTemplate({
		bankcardList: bankcardList,
		bankcardLength: bankcardList.length,
		creditStatus: creditStatus
	}));
	
	//添加银行卡
	$(".add-bankCard span").on('click', function() {
		TalkingData.onEventWithLabel('银行卡管理', '新增银行卡');
		mainView.router.load({
			url: 'bindBankcard.html',
			query: {
				orderId: '',
				fromPage: 'bankcard'
			}
		});
	});
		
	var that;
	$('.bindBankcardBtn').on('click', function() {
		that = $(this);
		f7.modal({
			afterText:'确认将此银行卡更改为自动还款账户吗？',
			buttons : [{
				text : '取消',
			}, {
				text : '确定',
				onClick : function() {
					callAppApi({
						url: '/module/bankcard/replaceBatchCard',
						type: 'POST',
						apiVersion:'2.0',
						params: {
							userId: loginStatus.userId,
							bankCardNumber: that.data('bankcardId'),
						},
						successCallback: function(response) {
							
							TalkingData.onEventWithLabel('银行卡管理', '更换关联卡');
							
							f7.pullToRefreshTrigger($('.pull-to-refresh-content'));
						},
						errorCallback: function(err) {}
					});
				}
			}]
		});
		
//		$('#bankcardProtocol').on('click', function() {
//			var bankCardNumber=$(that).attr("data-bankcardId");
//			var bankName=$(that).attr("value");
//			callWebHtml({
//        		url: '/agreement/agrTemplateAutoPayment',
//        		type: 'POST',
//        		params: {
//        			userId: loginStatus.userId,
//        			orderId: "",
//        			baseBusinessType:"",
//        			templateId:'3',
//        			bankCardNumber:bankCardNumber,
//        			chargedBankProvince:"",
//        			chargedBankCity:"",
//        			bankName:bankName
//        		},
//        		successCallback: function(response) {
//        			
//					$('#bankcardPopup').html(protocolFrame({
//						protocolId: "agreementAutoPayment",
//						protocolName: "《扣款授权书》",
//						protocolWidth: $('body').width(),
//						protocolHeight: $('body').height() - 56
//					}));
//					$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;
//					f7.popup('#bankcardPopup');
//        		},
//        		errorCallback: function(err) {}
//        	});
//		});
	});

	

	$('.bankcardDeleteBtn').on('click', function() {
		var bankcardId = $(this).data('bankcardId');
		var that = $(this);
		callAppApi({
			url: '/app/bankCardDelete',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				bankCardNumber: bankcardId,
			},
			successCallback: function(response) {
				that.parent().next().remove();
				that.parent().remove();
			},
			errorCallback: function(err) {}
		})
		
	})
  }  	  

  return {
	render: render
  }
});