define([
  'jquery',
  'js/utilities',
  'js/validator',
  'js/router',
  'containers/bindBankcard/bindBankcardPad',
  'hbs!containers/bindBankcard/bindBankcard',
  'hbs!components/placeOrder/placeOrderGoods/chooseGoodsItem',
  'hbs!advanceCredit/advanceCreditComponents/common/protocolArea/protocolArea',
  'hbs!components/common/protocolArea/protocolItem3',
  'hbs!components/common/button/button',
  'hbs!components/common/protocolArea/protocolFrame'
], function(
	$$,
	utilities,
	validator,
	Router,
	bindBankcardPad,
	bindBankcardTemplate,
	chooseGoodsItemTemplate,
	protocolAreaTemplate,
	protocolItem3Template,
	buttonTemplate,
    protocolFrame
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var getDay = utilities.getDay;
  var callWebHtml = utilities.callWebHtml;
  var infoQueryRouter = utilities.infoQueryRouter;
  var alertVerifyImgCode = utilities.alertVerifyImgCode;
  var bankCardsendVerifyCode = utilities.bankCardsendVerifyCode;
  var renderVerifyImgCode = utilities.renderVerifyImgCode;
  var jumpPageEventBindBankcard = bindBankcardPad.jumpPageEventBindBankcard;
  
  function render(params) {
	var registerMessageTimeCount;  
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	var bankList = params.bankList;
	var bankcardIdCard = '';
	var userName = '';
	TalkingData.onPage('银行卡绑定页');
	
	
	// 渲染页面
	$('#bindBankcardContent').html(bindBankcardTemplate({}));
	
	// 回显姓名和身份证号
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			isOldUser: loginStatus.oldUser,
			oldId: loginStatus.oldId,
			userSession: loginStatus.userSession
		},
		successCallback: function(response) {
			bankcardIdCard = response.userIdentityCardNumber;
			$('#bindBankcardName').val(response.userName);
			$('#bankCardUserName').html(response.userName.replace(/.(?=.)/g, '*'));
			$('#bindBankcardIdCard').val(response.userIdentityCardNumber);
			$('#bindBankcardPhone').val(response.userPhoneNumber);
			userName =  response.userName;
		},
		errorCallback: function(err) {}
	});
	
	// 渲染银行卡下拉框
	$('#chooseBank').html(chooseGoodsItemTemplate({optionsList: bankList}));
	clearInterval(registerMessageTimeCount);//清除定时器
//	  // 渲染城市选择框
//	  var defaultProValueList = [];
//	  var defaultProViewList = [];
//	  
//	  for (var o in PrivinceD) {
//		  defaultProValueList.push(o);
//		  defaultProViewList.push(PrivinceD[o].name);
//	  }
//
//	  var defaultCityValueList = [];
//	  var defaultCityViewList = [];
//	  
//	  for (var p in Areadata['110000']['city']) {
//		  defaultCityValueList.push(p);
//		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
//	  }
//	
//	var pickerBankLocation = f7.picker({
//		input: '#bankCardLocation',
//	    rotateEffect: true,
//	    toolbarCloseText: '完成',
//	    formatValue: function (picker, values, displayValues) {	    	
//	    	return displayValues[0] + ' ' + displayValues[1];
//	    },
//	    cols: [
//	    	{
//	    		textAlign: 'center',
//	    		values: defaultProValueList,
//	    		displayValues: defaultProViewList,
//	            onChange: function (picker, value, displayValue) {
//	                if(picker.cols[1].replaceValues){
//	                	var proValueArr = [];
//	                	var proViewArr = [];
//	                	for (var i in Areadata[value]) {
//	                		if (i === 'city') {
//	                			for (var j in Areadata[value][i]) {
//	                				proValueArr.push(j);
//	                				proViewArr.push(Areadata[value][i][j].name)
//	                			}
//	                		}
//	                	}
//	                	
//	                	picker.cols[1].replaceValues(proValueArr, proViewArr);
//	                }
//	            }
//	    	},
//	    	{
//	    		textAlign: 'center',
//	    		values: defaultCityValueList,
//	            displayValues: defaultCityViewList,
//	            width: 160
//	    	}
//	    ]
//	});
	// 单位地址组件初始化
	  var defaultProValueList = [];
	  var defaultProViewList = [];
	  var defaultCityValueList = [];
	  var defaultCityViewList = [];
	  var areaData = areaDatas;
	  for(var i=0; i<areaData.length; i++){
		  //设置默认省
		  defaultProValueList.push(areaData[i].provinceCode);
		  defaultProViewList.push(areaData[i].provinceName);
	  }
	  for(var j=0;  j<areaData[0].citys.length; j++){
		  //设置默认市
		  defaultCityValueList.push(areaData[0].citys[j].cityCode);
		  defaultCityViewList.push(areaData[0].citys[j].cityName);
	  }
	  
	  var pickerBankLocation  = f7.picker({
		  input: '#bankCardLocation',
		  rotateEffect: true,
		  toolbarCloseText: '完成',
		  formatValue: function (picker, values, displayValues) {
			  if(values.length === 2 && displayValues.length === 0){
				  if(areaDatas[i].provinceCode == values[0]){
	          		  for(var j=0; j<areaDatas[i].citys.length; j++){
	          			  if(areaDatas[i].citys[j].cityCode == values[1]){
	          				  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
	          			  }
	          		  }
	          	  }
			  }else {
				  return displayValues[0] + ' ' + displayValues[1];
			  }
		  },
		  cols: [
			  {
				  textAlign: 'left',
				  values: defaultProValueList,
				  displayValues: defaultProViewList,
				  onChange: function (picker, value, displayValue) {
					  
					  if (picker.cols[1].replaceValues) {
						  var cityValueArr = [];
						  var cityViewArr = [];
						  var proData = {};
						  for(var i=0 ; i<areaData.length; i++){
							  if(areaData[i].provinceCode == value){
								  proData = areaData[i];
								  for(var j = 0; j<areaData[i].citys.length; j++){
									  cityValueArr.push(areaData[i].citys[j].cityCode);
									  cityViewArr.push(areaData[i].citys[j].cityName);
								  }
							  }
						  }
						  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
					  }
				  }
			  },
			  {
				  textAlign: 'center',
				  values: defaultCityValueList,
				  displayValues: defaultCityViewList,
				  width: 160
			  }
		  ]
	  });
	// 中国银行特殊逻辑
		$('#chooseBank').on('change', function() {
			if ($(this).children()[0].selected === true) {
				f7.alert('请选择银行');
			}
			for (var i = 0; i < $(this).children().length; i++) {
				if ($(this).children()[i].selected === true) {
					if ($(this).children()[i].value === '104') {
						$('#specialBankItem').removeClass('hide');
					} else {
						$('#specialBankItem').addClass('hide');
					}
				}
			}
		});
	// 渲染navbar
	if(
		params.fromPage === 'index' ||
	    params.fromPage === 'orderConfirm' ||
	    params.fromPage === 'educationOrderConfirm' ||
	    params.fromPage ==='bankcard' ||
	    params.fromPage == 'employeeBuyPayOrder' ||
	    params.fromPage === 'adultEducationOrderDetail'||
	    params.fromPage === 'firstPay' ||
	    params.fromPage === 'familyDecorationOnlineOrderDetail'
	){
		  loadComponent('navbar', 'common', {
				container: '#bindbankcardNavbar',
				title: '绑定银行卡',
				backId: 'bindBankcardBackBtn',
				isBackIcon: true,
				isBack: true,
				callback: function() {
					$('#bindBankcardBackBtn').on('click', function() {
						clearInterval(registerMessageTimeCount);//清除定时器
		    			if (params.fromPage === 'bankcard' || params.fromPage === 'index') {				
		    				TalkingData.onEventWithLabel('银行卡绑定页', '返回首页');
		    				mainView.router.back({
								url: 'index.html',
								force: true,
							});
		    				f7.showToolbar('#toolbar');
		    			}else if(params.fromPage === 'firstPay'){
		    				loadEmployeeBuyPage('firstPay', {
						    	query: {
									fromPage: 'bindBankcard',
									orderId: params.orderId,
									firstPayPrice:params.firstPayPrice,
				                    goodsName:params.goodsName
								}
						    });
		    			}else if (params.fromPage == 'educationOrderConfirm'){
                            loadEducationPage('orderConfirm', {
                                query: {
                                    orderId: params.orderId,
                                    fromPage: 'bindBankcard',
                                    baseBusinessType: '003001',
                                }
                            });
		    			}
					})
				}
		 });
	}else if(
			   params.fromPage === 'perfectData' 
			|| params.fromPage === 'advanceCreditUploadIDCard'
			|| params.fromPage === 'dispathchAdress' 
			|| params.fromPage === "advanceCreditFamily" 
			|| params.fromPage === "medicalCareUploadEvidence"
			|| params.fromPage === 'adultEducationChooseGoods'
			|| params.fromPage === 'adultEducationOrderConfirm'
			|| params.fromPage === 'orderDetail'
			|| params.fromPage === 'familyDecorationOnlineChooseGoods'
			|| params.fromPage === 'familyDecorationOnlineOrderConfirm'
	){
	      loadComponent('navbar', 'common', {
	          container: '#bindbankcardNavbar',
	          title: '绑定银行卡',
	          backId: 'bindBankcardBackBtn',
	          isBackIcon: true,
	          isBack: true,
	          iconRightId: 'skipBindBankcardBtn',
	          iconRightStatus: true,
	          iconRight:'跳过',
	          iconRightClass: 'skipBindBankcardSkipBtn',
	          callback: function() {
	      		$('#bindBankcardBackBtn').on('click', function() {
	      			clearInterval(registerMessageTimeCount);//清除定时器
	    			if (params.fromPage === 'orderConfirm') {				
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回确认下单页');
	    				mainView.router.load({
	    					url: 'orderConfirm.html',
	    					query: {
	    						orderId: params.orderId,
	    						 baseBusinessType:params.baseBusinessType
	    					}
	    				});
	    			} else if (params.fromPage === 'bankcard') {
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回银行卡列表页');				
	    				mainView.router.back({
	    					url: 'bankcard.html',
	    				});				
	    				f7.showToolbar('#toolbar');
	    			} else if (params.fromPage === 'perfectData') {
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回额度管理页面');
	    				 loadAdvanceCreditPage('creditManage', {
	    					  query: {
	    						  fromPage: 'me',
	    					  }
	    				  });
	    			}else if (params.fromPage === 'advanceCreditUploadIDCard') {
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回银行卡列表页');
	    				loadAdvanceCreditPage('uploadIDCard', {
	    					query: {
	    						fromPage: 'bindBankcard',
	    						userId: loginStatus.userId,
	    						evidenceKey: params.evidenceKey,
	    						creditAuditId: params.creditAuditId
	    					}
	    				});
	    			}else if(params.fromPage === 'dispathchAdress'){
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回银行卡列表页');
	    				loadFamilyDecorationPage('dispathchAdress', {
	    					query: {
	    						fromPage: 'bindBankcard',
	    						userId: loginStatus.userId,
	    						evidenceKey: params.evidenceKey,
	    						creditAuditId: params.creditAuditId
	    					}
	    				});
	    			} else if (params.fromPage === 'employeeBuyPayOrder') {
//	    				// 员工购支付订单页面绑卡引导绑卡成功
	    				loadEmployeeBuyPage('payOrder', {
	    					query: {
	    						fromPage: 'bindBankcard'
	    					}
	    				});
	    			} else if (params.fromPage === 'medicalCareUploadEvidence' || params.fromPage === 'advanceCreditFamily') {
	    				//skapp数据收集
	    				TalkingData.onEventWithLabel('银行卡绑定页', '返回额度管理页面');
	    				 loadAdvanceCreditPage('creditManage', {
	    					  query: {
	    						  fromPage: 'me',
	    					  }
	    				  });
	    			} else if (params.fromPage === 'adultEducationChooseGoods') {
	    				mainView.router.back({
	    					url: 'index.html',
	    					force: true
	    				});
	    				f7.showToolbar('#toolbar');
	    			} else if(params.fromPage === 'adultEducationOrderConfirm'){
						loadAdultEducationPage('orderConfirm', {
							query: {
								fromPage: 'adultEducationOrderConfirm',
								baseBusinessType:"003002",
								orderId: params.orderId,
							}
						});
					} else if(params.fromPage === 'setPassword'){
	    				mainView.router.back({
	    					url: 'index.html',
	    					force: true
	    				});
	    				f7.showToolbar('#toolbar');
					} else if (params.fromPage === 'familyDecorationOnlineChooseGoods') {
                        mainView.router.back({
                            url: 'index.html',
                            force: true
                        });
                        f7.showToolbar('#toolbar');
                    } else if(params.fromPage === 'familyDecorationOnlineOrderConfirm') {
                        loadFamilyDecorationOnlinePage('orderConfirm', {
                            query: {
                                fromPage: 'familyDecorationOnlineOrderConfirm',
                                baseBusinessType:"004003",
                                orderId: params.orderId,
                            }
                        });
                    }
	    		});
	    		
	      		//跳过按钮点击事件		
	    		if(		   params.fromPage === 'perfectData'
	    				|| params.fromPage === 'dispathchAdress' 
	    				|| params.fromPage === "advanceCreditFamily"
	    				|| params.fromPage === "medicalCareUploadEvidence"){
	    			$('#skipBindBankcardBtn').on('click', function() {
	    	            loadAdvanceCreditPage('creditManage', {
	    	                query: {
	    	                	status:"10"
	    	                }
	    	            });
	    			})
	    		}else if(params.fromPage === 'advanceCreditUploadIDCard'){
	    			$('#skipBindBankcardBtn').on('click', function() {
	    	            loadAdvanceCreditPage('creditManage', {
	    	                query: {
	    	                	status:"10"
	    	                }
	    	            });
	    			})
	    		}else if(params.fromPage === 'adultEducationChooseGoods') {
	    			$('#skipBindBankcardBtn').on('click', function() {
	    				localStorage.removeItem('adultEducationSkipBindBankcard_' + params.orderId);
	    				loadAdultEducationPage('uploadEvidence', {
	    					query: {
	    						fromPage: 'bindBankcard',
	    					}
	    				});
	    			});
	    		}else if(params.fromPage === 'orderDetail'){
	    			$('#skipBindBankcardBtn').on('click', function() {
	    				mainView.router.load({
	    					url : 'orderDetail.html',
	    					query : {
	    						fromPage: 'bindBankcard',
	    						orderId: params.orderId,
	    						baseBusinessType: "003002",
	    					}
	    				});
	    			});
	    		} else if(params.fromPage === 'familyDecorationOnlineChooseGoods') {
                    $('#skipBindBankcardBtn').on('click', function() {
                    	Router.mainRouter('004003', {
                    		fromPage: 'bindBankcard'
                    	});
                    });
                }
	          }
	      });
	}
	// 渲染按钮
	$('#bankcardBtn').html(buttonTemplate({
		id : 'bankcardConfirmBtn',
		value : '同意协议并绑卡',
		disabled : false,
	}));
	var winHeight = $(window).height();
	$(window).resize(function(){
		if($(window).height() < winHeight){
			$$('#bankcardBtn').hide();
			$$('#bankcardProtocol').hide();
		}else{
			$$('#bankcardBtn').show();
			$$('#bankcardProtocol').show();
		}
	})
    	$$('#bankcardProtocol').html(protocolAreaTemplate({
        	protocolItem11: {
        		class: 'bankcardProtocol1',
        		title: '《银行卡快捷支付服务协议》',
        		type:'1'
        	},
        	protocolItem22: {
        		class: 'bankcardProtocol1',
        		title: '《壹钱包服务协议》',
        		type:'2'
        	},
        	protocolItem33: {
        		class: 'bankcardProtocol1',
        		title: '《扣款授权书》',
        		type:'3'
        	}
        }));
    	$$('#bankcardProtocol input').attr('checked',true);
    	
        $$('.bankcardProtocol1').on('click', function() {
        	var url = '';
        	var protocolName = '';
        	if($(this).attr('type') == '1'){
        		url = "/agreement/agrTemplateQuickPayment";
        		protocolName = "《银行卡快捷支付服务协议》";
        	}else if($(this).attr('type') == '2'){
        		url = "/agreement/agrTemplateJryzt";
        		protocolName = "《壹钱包服务协议》";
        	}else if($(this).attr('type') == '3'){
        		url = "/agreement/agrTemplateAutoPayment";
        		protocolName = "《扣款授权书》";
        	}
        	callWebHtml({
        		url: url,
        		type: 'POST',
        		showErrorToastStatus:true,
        		params: {
        			userId: loginStatus.userId,
        			bankCardNumber:$$("#bindBankcardNumber").val(),
        			bankName:$$("#chooseBank option:selected").text()
        		},
        		successCallback: function(response) {
    				$('#popupBindBankcardItem1').html(protocolFrame({
    					protocolId: "bankAgreementAutoPayment",
    					protocolName: protocolName,
    					protocolWidth: $('body').width(),
    					protocolHeight: $('body').height() - 56
    				}));
    				$$("#bankAgreementAutoPayment").contents().find("html")[0].innerHTML = response;
    				f7.popup('#popupBindBankcardItem1');
        		},
        		errorCallback: function(err) {}
        	});
        });
	if (params.fromPage === 'orderConfirm') {
		jumpPageEventBindBankcard();
	}
	
	function renderVerifyImgCodeFunc(data) {
		// 渲染图片验证码
		renderVerifyImgCode({
			imgSelector: '#verifyCodeImg',
			canvasSelector: '#alertVerifyCodeImgCanvas',
			canvasWidth: 144,
			canvasHeight: 48,
			showErrorToastStatus: false,
			successCallback: function(res) {
				data.verifyCodeId = res.verifyCodeId;
				data.verifyCodeType = res.verifyCodeType;
			},
			errorCallback: function(err) {
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
			}
		});
	}
	var smsId = '';
	//获取验证码点击事件
	$("#bindBankcardVeriCodeBtn").on('click',function(){
		var bindBankcardPhone = $('#bindBankcardPhone').val();
		var bindBankcardNumber = $('#bindBankcardNumber').val();
		var bankShort = $$("#chooseBank option:selected").attr('bankShort');
		if(!bindBankcardPhone){
			f7.alertMessage('请输入手机号码');
			return;
		}
		if(!validator.checkTel($('#bindBankcardPhone').val())){
			f7.alertMessage('请输入正确的手机号码');
			return;
		}
		if(!bindBankcardNumber){
			f7.alertMessage('请输入银行卡号');
			return;
		}
		if(!bankShort){
			f7.alertMessage('请选择卡类型');
			return;
		}
		alertVerifyImgCode({
			voiceTip: '<div style="margin-top: 16px;"></div>'
		},function(imgData){
			if (validator.isNull($('#alertVerifyCode').val())) {
				$('#alertVerifyCode').parents('.modal-text').prev().text('请输入图形验证码').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
				return;
			}
			bankCardsendVerifyCode({
				userName: bindBankcardPhone,
				bankAccount:bindBankcardNumber,//银行卡号
				bankShort:bankShort,		//卡类型
				verifyCodeId: imgData.verifyCodeId,
				verifyCodeType: imgData.verifyCodeType,
				verifyCodeValue: $('#alertVerifyCode').val(),
				showErrorToastStatus: false,
				userId:loginStatus.userId,
			},function(data){
				if(data.code === '4003'){
					$('#alertVerifyCode').parents('.modal-text').prev().text(data.message).css('color', '#f41a1a');
					$('#alertVerifyCode').val('');
					renderVerifyImgCodeFunc(imgData);
				}else{
					f7.closeModal();
					smsId = data.traceNo;
					registerMessageTimeCount = countDown('#bindBankcardVeriCodeBtn', 60, '获取验证码', '秒后重新获取',function(){
					},function(){});
				}
			},function(err){
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
				f7.closeModal();
			});
		});
	})
	//手机号帮助按钮
	$('.phone-help').on('click',function(){
		f7.modal({
	  		title: "预留手机",
  			text:  "预留手机是在银行办卡时填写的手机号码，若手机号码已变更或停用，请联系银行客服处理。",
  			buttons: [
  				{
  					text: '知道了',
  					onClick: function(){}
  				}
  			]
	  	})
	  	$('.modal-title').css({
	  		'font-weight':'normal',
	  		'border-bottom':'1px dashed #e5e5e5',
	  		'padding-bottom':'5px'
	  	})
		$('.modal-text').css({
			'max-height':'320px',
			'overflow':'scroll'
		})
	})
	
	// 按钮点击事件
	$('#bankcardConfirmBtn').on('click', function() {
		var bankName = '';
		var bankId = '';
		var bankShort = "";
		for (var i = 0; i < $('#chooseBank').children().length; i++) {
			if ($('#chooseBank').children()[i].selected === true) {
				bankName = bankList[i].view;
				bankId = bankList[i].value;
				bankShort = bankList[i].bankShort;
			}
		}
		if (!validator.checkBankNo($('#bindBankcardNumber').val())) {
			f7.alert('请输入正确的银行卡号');
			return false;
		}
		if (validator.isNull(bankName) || validator.isNull(bankId)) {
			f7.alert('请选择银行');
			return false;
		}
		if (!validator.checkTel($('#bindBankcardPhone').val())) {
			f7.alert('请输入正确的预留手机号');
			return false;
		}
		if (smsId === '') {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		if (!/^\d{4,10}$/.test($('#bindBankcardVeriCode').val())) {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}

		var bankProvince = '';
		var bankCity = '';

		if (pickerBankLocation.displayValue && bankId === '104') {
			bankProvince = pickerBankLocation.displayValue[0];
			bankCity = pickerBankLocation.displayValue[1];
		}
		
		if (!$('#bankcardProtocol input')[0].checked) { f7.alert('请阅读并同意协议'); return false; }
			
		callAppApi({
			url:'/module/quickPay/verify',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				bankShort:bankShort,	//卡类型
				bankAccount:$('#bindBankcardNumber').val(),	//卡号
				telephone:$('#bindBankcardPhone').val(),//手机号
				verifyCode: $('#bindBankcardVeriCode').val(),//短信验证码
				traceNo:smsId
			},
			successCallback: function(data) {
				callAppApi({
					url:'/module/quickPay/bind',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						bankId:bankId,
						bankName:bankName,
						bankShort:bankShort,	//卡类型
						bankAccount:$('#bindBankcardNumber').val(),	//卡号
						telephone:$('#bindBankcardPhone').val(),//手机号
						token:data.token,
						province:bankProvince,
						city:bankCity
					},
					successCallback: function() {
						clearInterval(registerMessageTimeCount);//清除定时器
						if (params.fromPage === 'bankcard' || params.jumpPage === 'bankcard') {
//							mainView.router.loadPage('bankcard.html');
                            mainView.router.load({
                                url: 'bankcard.html',
                                query: {}
                            });
							f7.showToolbar('#toolbar');
						} else if (
							params.fromPage === 'orderConfirm' || 
							params.fromPage === 'advanceCreditUploadIDCard' ||
							params.fromPage === 'perfectData' ||
							params.fromPage === 'dispathchAdress' || 
							params.fromPage === 'employeeBuyPayOrder' ||
							params.fromPage === 'medicalCareUploadEvidence' ||
							params.fromPage === 'advanceCreditFamily' ||
							params.fromPage === 'adultEducationChooseGoods' ||
							params.fromPage === 'adultEducationOrderConfirm' ||
							params.fromPage === 'adultEducationOrderDetail' ||
							params.fromPage === 'orderDetail' ||
							params.fromPage === 'firstPay' ||
							params.fromPage === 'familyDecorationOnlineChooseGoods' ||
				            params.fromPage === 'familyDecorationOnlineOrderConfirm' ||
				            params.fromPage === 'familyDecorationOnlineOrderDetail' ||
				            params.fromPage === 'educationOrderConfirm'
						) {
							callAppApi({
								url: '/module/bankcard/replaceBatchCard',
								apiVersion:'2.0',
								type: 'POST',
								params: {
									userId: loginStatus.userId,
									bankCardNumber: $('#bindBankcardNumber').val()
								},
								successCallback: function() {
									f7.alert('绑卡成功，该卡将用于每期自动还款');

									TalkingData.onEventWithLabel('银行卡绑定页', '绑卡成功');
									
									if (params.fromPage === 'orderConfirm') {
									  	mainView.router.load({
									  		url: 'orderConfirm.html',
									  		query: {
									  			orderId: params.orderId,
									  			baseBusinessType: params.baseBusinessType
									  		}
									  	});
									} else if (params.fromPage === 'advanceCreditUploadIDCard' ) {
			                            loadAdvanceCreditPage('creditManage', {
			                                query: {
			                                	status:"10"
			                                }
			                            });
									}else if(params.fromPage === 'perfectData'||params.fromPage === 'dispathchAdress' || params.fromPage === 'medicalCareUploadEvidence' || params.fromPage === 'advanceCreditFamily'){
										loadAdvanceCreditPage('creditManage', {
							                query: {
							                	status:"10"
							                }
							            })
									} else if (params.fromPage === 'employeeBuyPayOrder') {
										loadEmployeeBuyPage('payOrder', {
											query: {
												fromPage: 'bindBankcard'
											}
										});
									} else if (params.fromPage === 'adultEducationChooseGoods') {
										
										localStorage.removeItem('adultEducationSkipBindBankcard_' + params.orderId);
										
					    				loadAdultEducationPage('uploadEvidence', {
					    					query: {
					    						fromPage: 'bindBankcard',
					    					}
					    				});
									}else if(params.fromPage === 'adultEducationOrderConfirm'){
										loadAdultEducationPage('orderConfirm', {
											query: {
												fromPage: 'bindBankcard',
												baseBusinessType:"003002",
												orderId: params.orderId,
											}
										});
									}else if(params.fromPage === 'adultEducationOrderDetail'){
										mainView.router.load({
											url : 'orderDetail.html',
											query : {
												fromPage: 'bindBankcard',
												orderId: params.orderId,
												baseBusinessType:"003002",
											}
										});
									}else if(params.fromPage ==="firstPay"){
										loadEmployeeBuyPage('firstPay', {
									    	query: {
												fromPage: 'bindBankcard',
												orderId: params.orderId,
												firstPayPrice:params.firstPayPrice,
							                    goodsName:params.goodsName
											}
									    });
									} else if (params.fromPage === 'familyDecorationOnlineChooseGoods') {
									    Router.mainRouter('004003', {
											fromPage: 'bindBankcard'
										});
									} else if (params.fromPage === 'familyDecorationOnlineOrderConfirm') {
		                                loadFamilyDecorationOnlinePage('orderConfirm', {
		                                    query: {
		                                        fromPage: 'bindBankcard',
		                                        baseBusinessType:"004003",
		                                        orderId: params.orderId,
		                                    }
		                                });
		                            } else if (params.fromPage === 'familyDecorationOnlineOrderDetail') {
		                                mainView.router.load({
		                                    url : 'orderDetail.html',
		                                    query : {
		                                        fromPage: 'bindBankcard',
		                                        orderId: params.orderId,
		                                        baseBusinessType:"004003",
		                                    }
		                                });
		                            }else if (params.fromPage == 'educationOrderConfirm'){
		                                 loadEducationPage('orderConfirm', {
		                                     query: {
		                                         orderId: params.orderId,
		                                         fromPage: 'bindBankcard',
		                                         baseBusinessType: '003001',
		                                     }
		                                 });
		                            }
								},
								errorCallback: function(err) {
									TalkingData.onEventWithLabel('银行卡绑定页', '绑卡失败');
								}
							})
						}
					
					},
					errorCallback: function(err) {}
				});
			},
			errorCallback: function(err) {}
		});
	});
	
  }

  return {
	render: render
  }
});
