define([
  'js/utilities',
  'containers/commenSetPassword/commenSetPasswordView'
], function(
  utilities,
  commenSetPasswordView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  callAppApi({
			url: '/app/userInfo',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				isOldUser: loginStatus.userIsOld,
				oldId: loginStatus.oldId,
				userSession: loginStatus.userSession
			},
			successCallback: function(response) {
				commenSetPasswordView.render({
					  fromPage:query.fromPage,
					  userName:response.userName,
					  pwdRouterStatus: query.pwdRouterStatus,
					  auditInfoId: query.auditInfoId,
					  chooseStatus: query.chooseStatus,
					  orderId:query.orderId
				  });
			},
			errorCallback: function(err) {}
		})
  }
  
  return {
	init: init,
  };
});
