define([
    'js/config',
    'js/utilities',
    'js/validator',
    'js/sha256',
    'js/router',
    'hbs!containers/commenSetPassword/commenSetPassword',
    'hbs!components/common/button/button',
    'familyDecorationOnline/familyDecorationOnlineContainers/orderConfirm/orderConfirmHelper',
    'adultEducation/adultEducationContainers/orderConfirm/orderConfirmHelper'
], function(
    config,
    utilities,
    validator,
    SHA256,
    Router,
    commenSetPasswordTemplate,
    buttonTemplate,
    familyDecorationOnlineOrderConfirmHelper,
    adultEducationOrderConfirmHelper
) {
    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
    var SKIP = config.SKIP;
    var countDown = utilities.countDown;
    var getDeviceType = utilities.getDeviceType;
    var infoQueryRouter = utilities.infoQueryRouter;
    var familyDecorationOnlinePreOrderConfirm = familyDecorationOnlineOrderConfirmHelper.preOrderConfirm;
    var adultEducationPreOrderConfirm = adultEducationOrderConfirmHelper.preOrderConfirm;
    var alertVerifyImgCode = utilities.alertVerifyImgCode;
    var sendVerifyCode = utilities.sendVerifyCode;
    
    function render(params) {
    	var fromPage = params.fromPage;
        var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
        var checkBankNo = validator.checkBankNo;//检测银行卡号
        var checkBankId = validator.checkBankId;//检测银行
    	var userPhone = loginStatus.userPhoneNumber;//获取用户手机号
    	var userPhoneMask = userPhone.replace(/^(\d{4})\d{4}(\d+)/,"$1****$2")//手机号掩码
    	var smsId = '';//短信验证码ID
    	var setPwdTimeCount = '';//倒计时
    	clearInterval(setPwdTimeCount)
    	// 设置交易密码页面变化事件，返回时清除定时器
		f7.onPageBeforeAnimation('commenSetPassword', function() {
			clearInterval(setPwdTimeCount);
		});
    	
    	loadComponent('navbar', 'common', {
            container: '#commenSetPasswordNavbar',
            title: '设置交易密码',
            backId: 'commenSetPasswordBackBtn',
            isBackIcon: true,
            isBack: true,
        });
        $('#commenSetPasswordContent').html(commenSetPasswordTemplate({
        	userName:params.userName
        }));
        
        //发送验证码
        $('#commenSendVeriCodeBtn').on('click', function() {
        	if($('#conmmenIdCard').val() == ''){
        		 f7.alertMessage('请填写身份证号码');
        	}
        	if (!validator.checkPersonId($('#conmmenIdCard').val())) {
    			  return false;
    		}

        	if($('#conmmenIdCard').val() == ''){
        		 f7.alertMessage('请填写身份证号码');
        	}
        	if (!validator.checkPersonId($('#conmmenIdCard').val())) {
    			  return false;
    		}
    		
    		alertVerifyImgCode({
    			voiceTip: '<div style="margin-top: 16px;"></div>'
    		},function(imgData){
    			if (validator.isNull($('#alertVerifyCode').val())) {
    				$('#alertVerifyCode').parents('.modal-text').prev().text('请输入图形验证码').css('color', '#f41a1a');
    				renderVerifyImgCodeFunc(imgData);
    				return;
    			}
    			sendVerifyCode({
    				userName: userPhone,
    				verifyCodeId: imgData.verifyCodeId,
    				verifyCodeType: imgData.verifyCodeType,
    				verifyCodeValue: $('#alertVerifyCode').val(),
    				showErrorToastStatus: false,
    			},function(data){
    				if(data.code === '4003'){
    					$('#alertVerifyCode').parents('.modal-text').prev().text(data.message).css('color', '#f41a1a');
    					$('#alertVerifyCode').val('');
    					renderVerifyImgCodeFunc(imgData);
    				}else{
    					f7.closeModal();
    					smsId = data.serialNo;
    					$('#veriCode_message').html('验证码已发送到 '+userPhoneMask);
        				setPwdTimeCount=countDown('#commenSendVeriCodeBtn', 60, '重新获取', 's');
    					
    				}
    			},function(err){
    				$('#alertVerifyCode').val('');
    				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
    				renderVerifyImgCodeFunc(imgData);
    			});
    		});
    		
    	
//    		callAppApi({
//    			url: '/api/sendSms',
//    			type: 'POST',
//    			params: {
//    				smsPhone: userPhone,//手机号
//    				smsType: '1',
//    				appName: 'APP_USER',
//    				smsBusinessType: '4'
//    			},
//    			successCallback: function(data) {
//    				smsId = data.smsId;
//    				$('#veriCode_message').html('验证码已发送到 '+userPhoneMask);
//    				setPwdTimeCount=countDown('#commenSendVeriCodeBtn', 60, '重新获取', 's');
//    			},
//    			errorCallback: function(err) {}
//    		});
    		
    	});
        // 渲染底部按钮
        $('#commenSetPasswordBtnBox').html(buttonTemplate({
            id : 'commenSetPasswordBtn',
            value : '下一步',
            disabled : false,
        }));
        //校验身份证号
        $('#conmmenIdCard').on('blur',function(){
        	if (!validator.checkPersonId($('#conmmenIdCard').val()) && $('#conmmenIdCard').val() !='') {
  			  f7.alertMessage('请填写正确的身份证号码');
  			  return false;
  		  	}
        })
        
        var operateType = '';
        if(params.pwdRouterStatus){//区分忘记密码和设置密码
        	operateType = '2';
        }else{
        	operateType = '1';
        }
        
        
        $('#commenSetPasswordBtn').on('click',function(){
        	var commenVeri_code = $('#commenVeri_code').val();
        	var commenPassWord = $('#commenPassWord').val();
        	if (!validator.checkPersonId($('#conmmenIdCard').val())) {
    			  f7.alertMessage('请填写正确的身份证号码');
    			  return false;
    		}
        	if(validator.isNull(commenVeri_code)){
        		f7.alertMessage('请输入验证码');
  			  	return false;
        	}
        	if(validator.isNull(commenPassWord)){
        		f7.alertMessage('请输入交易密码');
  			  	return false;
        	}else if(!/^\d{6}$/.test(commenPassWord)){
        		f7.alertMessage('交易密码必须为6位数字');
  			  	return false;
        	}
        	callAppApi({
    			url: '/module/transactionPwd/save',
    			type: 'POST',
    			apiVersion:'2.0',
    			params: {
    				smsId:smsId,
    				smsPhone:userPhone,
    				smsCode:commenVeri_code,
    				userIdNumber:$('#conmmenIdCard').val(),
    				userId:loginStatus.userId,
    				operateType:operateType,
    				transactionPwd:SHA256(commenPassWord).toString()
    			},
    			successCallback: function(response) {
    				f7.alertMessage('设置交易密码成功');
    				setPassword()
    			},
    			errorCallback: function(err) {}
    		});
        	
        })
        function setPassword(){
        	if( params.fromPage == 'setting'){//从设置页面过来的
        		mainView.loadPage('setting.html');
        	}else if (fromPage == "index"){//首页
 			   mainView.router.back({
					url: 'index.html',
					force: true,
					query: {
						fromPage :"setPassword"
					}
				})
        	}else if( params.fromPage == 'familyCreditChooseGoods'){//家装选品页
        		familyDecorationOnlineCreateOrder();
        	}else if( fromPage == 'familyDecorationOnlineOrderDetail'){//家装详情页
        		// 设置交易密码0首付跳转路由
        		function familyDecorationOnlineZeroPayRouter () {
            		var orderId = localStorage.getItem('familyDecorationOnline_orderId_' + loginStatus.userId);
            		var zeroPayFirstPriceStatus = localStorage.getItem('familyDecorationOnline_zeroPayFirstPrice_' + orderId);
            		if (zeroPayFirstPriceStatus == '1') {
            			var goodsSellName = localStorage.getItem('familyDecorationOnline_goodsSellName_' + orderId);
        				familyDecorationOnlinePreOrderConfirm({
        					orderId: orderId,
        					goodsSellName: goodsSellName,
        					fromPage:'setPassword'
        				});
            		} else {
    				    loadFamilyDecorationOnlinePage('orderConfirm', {
    				    	query: {
    				    		fromPage: 'setPassword',
    							baseBusinessType: '004003',
    							orderId:params.orderId
    				    	}
    				    });
            		}
    				// 清空家装线上化 0 首付状态
    				localStorage.removeItem('familyDecorationOnline_zeroPayFirstPrice_' + orderId);
    				localStorage.removeItem('familyDecorationOnline_goodsSellName_' + orderId);
    				localStorage.removeItem('familyDecorationOnline_orderId_' + loginStatus.userId);
        		}
        		
        		if (params.pwdRouterStatus == 'forgetPassword') {//点击忘记密码来的
    					TalkingData.onEventWithLabel('04003设置交易密码', '成功');
    					localStorage.removeItem('orderDetailPwdErrorTime');
    					familyDecorationOnlineZeroPayRouter();
        		} else {
	    				loadFamilyDecorationOnlinePage('orderConfirm', {
	    					query: {
	    						fromPage: 'familyDecorationOnlineOrderDetail',
	    						baseBusinessType: '004003',
	    						orderId:params.orderId
	    					}
	    				});
        		}
        	
        	}else if (fromPage == 'adultEducationChooseGoods') {//成人教育选品页
        		adultEducationCreateOrder();
        	}else if(fromPage == 'adultEducationOrderDetail'){//成人教育订单详情页
        		// 设置交易密码0首付跳转路由
        		function adultEducationZeroPayRouter () {
            		var orderId = localStorage.getItem('adultEducation_orderId_' + loginStatus.userId);
            		var zeroPayFirstPriceStatus = localStorage.getItem('adultEducation_zeroPayFirstPrice_' + orderId);
            		if (zeroPayFirstPriceStatus == '1') {
            			var goodsSellName = localStorage.getItem('adultEducation_goodsSellName_' + orderId);
            			
        				adultEducationPreOrderConfirm({
        					orderId: orderId,
        					goodsSellName: goodsSellName,
        					fromPage:'setPassword'
        				});
            		} else {
        				loadAdultEducationPage('orderConfirm', {
        					query: {
        						fromPage: 'setPassword',
        						baseBusinessType: '003002',
        						orderId:params.orderId
        					}
        				});
            		}
    				// 清空家装线上化 0 首付状态
    				localStorage.removeItem('adultEducation_zeroPayFirstPrice_' + orderId);
    				localStorage.removeItem('adultEducation_goodsSellName_' + orderId);
    				localStorage.removeItem('adultEducation_orderId_' + loginStatus.userId);
        		}
        		
        		if (params.pwdRouterStatus == 'forgetPassword') {
					TalkingData.onEventWithLabel('03002设置交易密码', '成功');
					localStorage.removeItem('orderDetailPwdErrorTime');
					adultEducationZeroPayRouter();
        		} else {
    				loadAdultEducationPage('orderConfirm', {
    					query: {
    						fromPage: 'adultEducationOrderDetail',
    						baseBusinessType: '003002',
    						orderId:params.orderId
    					}
    				});
        		}
        	
        	} else if (fromPage=="medicalCareChooseGoods_choose") {//健康下单页忘记密码
        		//上个页面是忘记密码路径过来的，请求忘记密码接口
				if(fromPage=="medicalCareChooseGoods_choose"){
					loadMedicalCarePage('medicalCareChooseGoods', {
						query: {
							fromPage:'setPassword',
						}
					});
				}else{
					mainView.loadPage('setting.html');
				}
    					
        	}else if(fromPage == 'employeeBuyPayOrder') {
        		if (params.pwdRouterStatus == 'forgetPassword') {
					TalkingData.onEventWithLabel('06001设置交易密码', '成功');
					localStorage.removeItem('employeeBuyPwdErrorTime');
    				loadEmployeeBuyPage('payOrder', {
    					query: {
    						fromPage: 'setPassword'
    					}
    				})
        		} else {
    				TalkingData.onEventWithLabel('06001设置交易密码', '成功');
    				loadEmployeeBuyPage('payOrder', {
    					query: {
    						fromPage: 'setPassword'
    					}
    				})
        		}
        	}else if ( fromPage == 'medicalCareChooseGoods_index' ) {
				loadMedicalCarePage('medicalCareChooseGoods', {
					query: {
						fromPage:'setPassword',
					}
				});
        	}else{
        		mainView.loadPage('setting.html');
        	}
        }
        
        //家装创建订单
        function familyDecorationOnlineCreateOrder() {
        	var defaultDecorationGoodsInfo = JSON.parse(localStorage.getItem('defaultDecorationGoodsInfo_' + loginStatus.userId));
			callAppApi({
				url: '/app/order/create/decoration',
				params: defaultDecorationGoodsInfo,
				successCallback: function(createOrderRes) {
					checkBatchBankcard();
					localStorage.removeItem('defaultDecorationGoodsInfo_'+loginStatus.userId);
					localStorage.setItem('familyDecorationOnlineOrderId_' + loginStatus.userId, createOrderRes.baseOrderId);
					function checkBatchBankcard() {	
						// 判断是否绑卡
						callAppApi({
							url: '/app/bankBatchCard',
							apiVersion: '2.0',
							type: 'POST',
							params: {
								userId: loginStatus.userId
							},
							successCallback: function(bankBatchCardRes) {
								if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
									Router.mainRouter('004003', {
										fromPage: 'familyDecorationOnlineChooseGoods'
									});
								} else {
			  						mainView.router.load({
										url: 'bindBankcard.html',
										query: {
											fromPage: 'familyDecorationOnlineChooseGoods',
											baseBusinessType: '004003'
										}
									});
								}
							},
							errorCallback: function(err) {}
						});
					}
					
				},
				errorCallback: function(err) {}
			});
		}
        //成人教育创建订单
        function adultEducationCreateOrder() {
        	var defaultGoodsInfo = JSON.parse(localStorage.getItem('defaultGoodsInfo_' + loginStatus.userId));
			callAppApi({
				url: '/app/order/create/educationAdult',
				apiVersion: '2.0',
				params: defaultGoodsInfo,
				successCallback: function(createOrderRes) {
					localStorage.removeItem('defaultGoodsInfo_'+loginStatus.userId);
					localStorage.setItem('adultEducationOrderId_' + loginStatus.userId, createOrderRes.baseOrderId);//成人教育创建订单保存orderId
					localStorage.setItem('adultEducationSkipBindBankcard_' + createOrderRes.baseOrderId, '1');
					checkBatchBankcard();
					function checkBatchBankcard() {
						// 判断是否绑卡
						callAppApi({
							url: '/app/bankBatchCard',
							apiVersion: '2.0',
							type: 'POST',
							params: {
								userId: loginStatus.userId
							},
							successCallback: function(bankBatchCardRes) {
								
								if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
									infoQueryRouter('003002', {
                                        query:{
                                            fromPage: 'chooseGoods'
                                        }
                                    }, loadAdultEducationPage);
								} else {
			  						mainView.router.load({
										url: 'bindBankcard.html',
										query: {
											fromPage: 'adultEducationChooseGoods',
											baseBusinessType: '003002'
										}
									});
								}
							},
							errorCallback: function(err) {}
						});
					}
					
				},
				errorCallback: function(err) {}
			});
		}
        
    }

    return {
        render: render
    }
});