define([
  'js/utilities',
  'js/lib/md5.min',
  'js/validator',
  'containers/login/loginView',
  'js/sha256'
], function(
  utilities,
  md5,
  validator,
  loginView,
  SHA256
) {
  var $ = Framework7.$;
  var getDeviceType = getDeviceType;
  var login = loginView.login;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var renderVerifyImgCode = utilities.renderVerifyImgCode;
  var alertVerifyImgCode = utilities.alertVerifyImgCode;
  var sendVerifyCode = utilities.sendVerifyCode;
  var sendVoiceVerifyCode = utilities.sendVoiceVerifyCode;

  function render(params) {
	var verifyCodeId = '';
	var verifyCodeType = '';
	var smsId = '';
	var forgetPwdMessageTimeCount;
	var forgetPwdVoiceTimeCount;
	
	$('.navbar-outerHolder').css({'position':'absolute','top':'0','width':'100%','height':'14px','background':'#f4610b'});
	$('.navbar-inner').css({'top':'12px','background-color': '#f4610b'});
	
	function renderVerifyImgCodeFunc(data) {
		// 渲染图片验证码
		renderVerifyImgCode({
			imgSelector: '#verifyCodeImg',
			canvasSelector: '#alertVerifyCodeImgCanvas',
			canvasWidth: 144,
			canvasHeight: 48,
			showErrorToastStatus: false,
			successCallback: function(res) {
				data.verifyCodeId = res.verifyCodeId;
				data.verifyCodeType = res.verifyCodeType;
			},
			errorCallback: function(err) {
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
			}
		});
	}
	
//	renderVerifyImgCodeFunc();
	
	/*$('#forgetPwdVerifyCodeImgChangeBtn').on('click', function() {
		renderVerifyImgCodeFunc();
	})*/

	f7.onPageBeforeAnimation('login', function() {
		clearInterval(forgetPwdMessageTimeCount);
		clearInterval(forgetPwdVoiceTimeCount);
	});
	$('#getVeriCodeBtn').off('click').on('click', function() {
		var userName = $('#fg_phone').val();
		if(!userName){
			f7.alertMessage('请输入手机号码');
			return;
		}
		if (!validator.checkTel(userName)) {
			f7.alertMessage('您输入的手机号码格式错误');
			return;
		}
		
		alertVerifyImgCode({
			voiceTip: '<div style="margin-top: 16px;"></div>'
		},function(imgData){
			if (validator.isNull($('#alertVerifyCode').val())) {
//				f7.alert('信息填写错误');
				$('#alertVerifyCode').parents('.modal-text').prev().text('请输入图形验证码').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
				return;
			}
			sendVerifyCode({
				userName: userName,
				verifyCodeId: imgData.verifyCodeId,
				verifyCodeType: imgData.verifyCodeType,
				verifyCodeValue: $('#alertVerifyCode').val(),
				showErrorToastStatus: false,
			},function(data){
				if(data.code === '4003'){
					$('#alertVerifyCode').parents('.modal-text').prev().text(data.message).css('color', '#f41a1a');
					$('#alertVerifyCode').val('');
					renderVerifyImgCodeFunc(imgData);
				}else{
					f7.closeModal();
					smsId = data.serialNo;
					forgetPwdMessageTimeCount = countDown('#getVeriCodeBtn', 60, '获取验证码', '秒后重新获取',function(){
						$('#getVeriCodeBtn').css({
							'background-color':'#f4610b',
							'color':"#fff"
						})
					},function(){
						$('#getVeriCodeBtn').css({
							'background-color':'white',
							'color':"#ff711e"
						})
					});
				}
			},function(err){
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
			});
		});
		
		/*callAppApi({
			url: '/api/sendSms',
			type: 'POST',
			accountId: userName,
			params: {
				smsPhone: userName,
				smsType: '1',
				appName: 'APP_USER',
				smsBusinessType: '2'
			},
			successCallback: function(data) {
				smsId = data.smsId;
				forgetPwdTimeCount=countDown('#getVeriCodeBtn', 60, '获取验证码');
			},
			errorCallback: function(err) {}
		});*/
		
		
	});
	$('#fg_phone').on('blur',function(){
		var userName = $('#fg_phone').val();
		if( userName && !validator.checkTel(userName)){
			f7.alertMessage('您输入的手机号码格式错误');
		}
	})
	
	$('#getForgetVoiceVriCode').off('click').on('click', function(){
		var userName = $('#fg_phone').val();
		
		if(!userName){
			f7.alertMessage('请输入手机号码');
			return;
		}
		
		if (!validator.checkTel(userName)) {
			f7.alertMessage('您输入的手机号码格式错误');
			return;
		}
		
		alertVerifyImgCode({
			voiceTip: '<div style="font-size: 12px;color: #f41a1a;text-align: center;margin-top: 16px;">稍后请注意接听来电，并填写听到的6位验证码</div>'
		},function(imgData){
			if (validator.isNull($('#alertVerifyCode').val())) {
//				f7.alert('信息填写错误');
				$('#alertVerifyCode').parents('.modal-text').prev().text('请输入图形验证码').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
				return;
			}
			sendVoiceVerifyCode({
				userName: userName,
				verifyCodeId: imgData.verifyCodeId,
				verifyCodeType: imgData.verifyCodeType,
				verifyCodeValue: $('#alertVerifyCode').val(),
				showErrorToastStatus: false,
			},function(data){
				if(data.code === '4003'){
					$('#alertVerifyCode').val('');
					$('#alertVerifyCode').parents('.modal-text').prev().text(data.message).css('color', '#f41a1a');
					renderVerifyImgCodeFunc(imgData);
				}else{
					f7.closeModal();
					smsId = data.serialNo;
					forgetPwdVoiceTimeCount = countDown('#getForgetVoiceVriCode', 60, '收不到短信？获取语音验证码', '秒后重新获取');
				}
			},function(err){
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
			});
		});
	})
	
	$('#fg_pwd').on('blur',function(){
		var fgPwd = $('#fg_pwd').val();
		if( fgPwd && !validator.checkPwd(fgPwd)){
			f7.alertMessage('密码必须是8位以上英文、数字组合');
		}
	})
	$('#confirm_pwd').on('blur',function(){
		var confirmPwd = $('#confirm_pwd').val();
		if( confirmPwd && !validator.checkPwd(confirmPwd)){
			f7.alertMessage('密码必须是8位以上英文、数字组合');
		}
	})
	  
	$('#forgetPwdCompleteBtn').on('click', function() {
		var userName = $('#fg_phone').val();
		var veriCode = $('#verf2_code').val();
		var userPwd = $('#fg_pwd').val();
		var userConfirmPwd = $('#confirm_pwd').val();
		var forgetPwdVerifyCode = $('#verf2_code').val();

		var fromPage = mainView.activePage.query.from;
		
		if(!userName){
			f7.alertMessage('请输入手机号');
			return;
		}
		
		if (!validator.checkTel(userName)) {
			f7.alertMessage('您输入的手机号码格式错误');
			return false;
		}
		if(!userPwd){
			f7.alertMessage('请输入新密码');
			return;
		}
		if (!validator.checkPwd(userPwd)) {
			f7.alertMessage('密码必须是8位以上英文、数字组合');
			return false;
		}
		if(!userConfirmPwd){
			f7.alertMessage('请输入确认密码');
			return;
		}
		if(!veriCode){
			f7.alertMessage('请输入验证码');
			return;
		}
		if (userPwd !== userConfirmPwd) {
			f7.alertMessage('您输入的新密码与确认密码不一致');
			return false;
		}
		if (smsId === '') {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		if (validator.isNull(veriCode)) {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		if (!/^\d{6,10}$/.test(veriCode)) {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		/*if (validator.isNull(forgetPwdVerifyCode)) {
			f7.alert('信息填写错误');
			return;
		}*/
		
		var rePwdUrl = '/app/rePwd?verifyCodeId=' + verifyCodeId + '&verifyCodeValue=' + forgetPwdVerifyCode.replace(/\s/g, '') + '&verifyCodeType=' + verifyCodeType;
		
		callAppApi({
//			url: '/app/rePwd',
			url: rePwdUrl,
			type: 'POST',
			params: {
				rePwdPhone: userName,
				rePwdNewPwd: md5(userPwd).toUpperCase(),
				rePwdConfirmPwd: md5(userConfirmPwd).toUpperCase(),
				smsId: smsId,
				smsCode: veriCode,
				rePwdSHAPwd:SHA256(userPwd).toString().toUpperCase()
			},
			successCallback: function(response) {
				f7.alertMessage('密码修改成功');
				clearInterval(forgetPwdMessageTimeCount);
				clearInterval(forgetPwdVoiceTimeCount);
				mainView.router.loadPage('login.html');
			},
			errorCallback: function(err) {
				renderVerifyImgCodeFunc();
			}
		});
	});
	
	$('.login-clear').hide();
	// 清除前一个input元素的值。
	$('.login-clear').on('click', function() {
	  $(this).prev('input').val('');
	});

	// 表单元素获取焦点后隐藏工具栏
	$('input').on('focus', function() {
	  $('#toolbar').hide();
	  $(this).parent().find('.login-clear').show();
	});
	
	// 表单元素失去焦点后显示工具栏
	$('input').on('blur', function() {
		$('#toolbar').show();
		var that = this;
		setTimeout(function(){
			$(that).parent().find('.login-clear').hide();
		},200);
	});
	$('.forget-eye').off('click').on('click',function(){
		var input = $(this).parent().find('input');
		if(input.hasClass('input-pwd')){
			input.removeClass('input-pwd').attr('type','text');
			$(this).removeClass('login-openeyes').addClass('login-closeeyes');
		}else {
			input.addClass('input-pwd').attr('type','password');
			$(this).addClass('login-openeyes').removeClass('login-closeeyes');
		}
		
	})
  }

  return {
	render: render
  }
});
