define([
    'js/config',
    'js/utilities',
    'js/validator',
    'js/sha256',
    'hbs!containers/inputPrePwd/inputPrePwd',
    'hbs!components/common/button/button'
], function(
    config,
    utilities,
    validator,
    SHA256,
    InputPrePwdTemplate,
    buttonTemplate
) {
    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
    var getDeviceType = utilities.getDeviceType;
    var buildNumber = config.buildNumber;
    var SKIP = config.SKIP;
    var logout = utilities.logout;

    function render(params) {
    	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
    	loadComponent('navbar', 'common', {
            container: '#inputPrePwdNavbar',
            title: '修改交易密码',
            backId: 'inputPrePwdBackBtn',
            isBackIcon: true,
            isBack: true,
        });
        // 渲染页面
        $('#inputPrePwdContent').html(InputPrePwdTemplate({
        }));
        // 渲染底部按钮
        $('#inputPrePwdBtnBox').html(buttonTemplate({
            id : 'inputPrePwdBtn',
            value : '下一步',
            disabled : false,
        }));
     
     //点击下一步按钮
      $("#inputPrePwdBtnBox").on("click",function () {
    	var telRegExp = /^\d{6}$/;
    	var prePassWord = $('#prePassWord').val();
    	var newPassWord = $('#newPassWord').val();
    	if(prePassWord==""){
    		f7.alert('请输入原交易密码'); return false; 
    	}
    	if(newPassWord==""){
    		f7.alert('请输入新交易密码'); return false; 
    	}
    	if(!telRegExp.test(prePassWord)){f7.alert('原密码格式不正确'); return false; }
    	if(!telRegExp.test(newPassWord)){f7.alert('新密码格式不正确'); return false; }
    	callAppApi({
    		//成功：2000，失败：4000
		   url: '/module/transactionPwd/update',
		   type: 'POST',
		   params: {
			   userId: loginStatus.userId,
			   oldTransactionPwd: SHA256(prePassWord).toString(),
			   newTransactionPwd: SHA256(newPassWord).toString()
		   },
		   successCallback: function(response) {
			   f7.alertMessage('设置交易密码成功');
				mainView.loadPage('setting.html');
		   },
		   errorCallback: function(err) {}
		})
    	  
      });
      //点击忘记密码按钮  进入发送验证码页面
      $("#forgetPassword").on("click",function(){
    	  mainView.router.load({
				url : 'commenSetPassword.html',
				query : {
					fromPage : 'forgetTrade'
				}
			});
      })

    }

    return {
        render: render
    }
});