define([
	'js/utilities',
	'js/config',
	'js/lib/md5.min',
	'js/validator',
	'js/sha256'
], function(
	utilities,
	config,
	md5,
	validator,
	SHA256
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var getLngAndLat = utilities.getLngAndLat;
	var renderVerifyImgCode = utilities.renderVerifyImgCode;
	var buildNumber = config.buildNumber;
	var resetGestureStatus = config.resetGestureStatus;
	
	var SKIP = config.SKIP;
	var deviceInfo = '';
	if (!SKIP.cordova_uuid) {
		deviceInfo = device.uuid;
	}
	// 登录请求
//	function login(userName, userPwd, targetPage) {
	function login(options) {
		var userName = options.userName;
		var userPwd = options.userPwd;
		var targetPage = options.targetPage;
		var verifyCodeId = options.verifyCodeId;
		var verifyCodeValue = options.verifyCodeValue;
		var verifyCodeType = options.verifyCodeType;
		
		var url = '/api/login?verifyCodeId=' + verifyCodeId + '&verifyCodeValue=' + verifyCodeValue.replace(/\s/g, '') + '&verifyCodeType=' + verifyCodeType;
		
		var targetUrl = '';
		if (typeof targetPage === 'undefined') {
			targetUrl = 'index.html';
		} else {
			targetUrl = targetPage + '.html';
		}
		
		var baseParams = {
			accountName : userName,
			accountPwd : md5(userPwd).toUpperCase(),
			appName:'APP_USER',
			loginLongitude: '',
			loginLatitude: '',
			deviceInfo:deviceInfo,
			accountSHAPwd:SHA256(userPwd).toString().toUpperCase()
		};
		
//		// 注释登陆经纬度
//		getLngAndLat(function(position) {
//			baseParams.loginLongitude = position.lng;
//			baseParams.loginLatitude = position.lat;
//			
//			loginFunc();
//		}, function(error) {
//			loginFunc();
//		});

		function loginFunc() {
			callAppApi({
				url : url,
				type : 'POST',
				accountId: userName,
				params : baseParams,
				successCallback : function(data) {
					localStorage.setItem('loginStatus', JSON.stringify(data));
					//lisai  2017年3月23日14:17:56 登陆改造  若用户从小件均登录可获取到用户信息 

					if (!SKIP.cordova_setAccountName) {
						cordova.plugins.diagnostic.setAccountName(userName);
					}

					var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
					
					TalkingData.onEventWithExtraData('用户登录', '登录成功', {
						 userId: loginStatus.userId,
						 mmo:userName,
						 eventtype:'03',
						 businesstype:'09',
					}) 
					callAppApi({
						  url: '/app/userInfo',
						  type: 'POST',
						  params: {
							  userId: loginStatus.userId,
							  isOldUser: loginStatus.oldUser,
							  oldId: loginStatus.oldId,
							  userSession: loginStatus.userSession
						  },
						  successCallback: function(response) {
							  
							  loginStatus.userPhoneNumber = response.userPhoneNumber;
							  
							  localStorage.setItem('loginPhone', response.userPhoneNumber);//保存用户登录手机号！
							  
							  localStorage.setItem('loginStatus', JSON.stringify(loginStatus));
							  
							  localStorage.setItem('userInfo', JSON.stringify(response));//lisai
						  },
						  errorCallback: function(err) {}
					  });
					  
				      var gestureStatusTemp = JSON.parse(localStorage.getItem('gestureStatus'));
				      
				      if (gestureStatusTemp.userId !== '' && gestureStatusTemp.userId !== loginStatus.userId) {
				    	  resetGestureStatus();
				      }
				      
				      callAppApi({
				    	  url: '/user/query/config',
				    	  type: 'POST',
				    	  params: {
				    		  userId: loginStatus.userId,
				    	  },
				    	  successCallback: function(res) {
				    		  
				    		  var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));

				    		  
				    		  function updateGestureStatus(gestureRes) {
								  // 更新手势密码配置
					    		  gestureStatus.userId = loginStatus.userId;
					    		  gestureStatus.isFirst = false;
								  gestureStatus.gestureLine = gestureRes.gestureLine;
								  gestureStatus.gesturePwd = gestureRes.gesturePwd;
								  gestureStatus.gestureTime = gestureRes.gestureTime;
						    	  localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
				    		  }
					    	  
					    	  var version = JSON.parse(localStorage.getItem('version'));
					    	  if (res.gesturePwd == false && gestureStatus.isFirst && (version.appVersionCode == 20180329 || res.gestureTime == false)) {
					    		  updateGestureStatus(res);
					    		  
								  mainView.router.load({
									  url: 'setGesture.html',
									  force: true,
									  query: {
										  fromPage: 'login',
										  rejectComefrom:'login'
									  }
								  });
					    	  } else {
					    		  
					    		  updateGestureStatus(res);
					    		  
								  mainView.router.load({
									  url: targetUrl,
									  animatePages: false,
									  query: {
										  fromPage: 'login',
										  rejectComefrom:'login'
									  }
								  });
					    	  }
					    	  
					    	  
				    	  },
				    	  errorCallback: function(err) {}
				      });
				},
				errorCallback: function(msg, err) {
					
					if (options.errorCallback) { options.errorCallback(msg, err) }
					
					TalkingData.onEventWithExtraData('用户登录', '登录失败', {
						 userId: '无',
						 mmo:userName,
						 eventtype:'03',
						 businesstype:'09',
					}) 
				}
			});
		}
		
		loginFunc();
	}
	
	function render(params) {
		var versionNumber = '';
		var versionApp
	    if (!SKIP.cordova_version) {
		    versionNumber = device.versionNumber;
	    }
	    if(buildNumber){
	    	versionApp = versionNumber + " (" + buildNumber + ")";
	    }else{
	    	versionApp = versionNumber;
	    }
		$('#appVersion').html('v'+ versionApp);
		var loginPhone = JSON.parse(localStorage.getItem('loginPhone'));
		
		var checkImgCode = false;//图形验证码框默认隐藏
		
		if(loginPhone){ //记住最后一次登录成功的用户
			$('#login_username').val(loginPhone);
		}
		
		var verifyCodeId = '';
		var verifyCodeType = '';
		
		TalkingData.onPage("登录");
		TalkingData.onPageBegin("登录时间");
		var fromPage = mainView.activePage.query.from;
		
		// 登陆成功后如果要跳转到二级首页，则修改为首页
		if (fromPage === 'stagingProducts') {
			fromPage = 'index';
		}
		
		// 渲染页面
		// 从首页点击跳到登陆，登陆后腰跳回首页
//		if (typeof mainView.activePage.query.from !== 'undefined') {
//			$('#goRegister').attr('href', 'register.html?from=' + fromPage);
//		}
		
		function renderVerifyImgCodeFunc() {
			// 渲染图片验证码
			renderVerifyImgCode({
				imgSelector: '#verifyCodeImg',
				canvasSelector: '#loginVerifyCodeImgCanvas',
				canvasWidth: 144,
				canvasHeight: 48,
				successCallback: function(res) {
					verifyCodeId = res.verifyCodeId;
					verifyCodeType = res.verifyCodeType;
				},
				errorCallback: function(err) {}
			});
		}

		renderVerifyImgCodeFunc();
		
		$('#loginVerifyCodeImgChangeBtn').on('click', function() {
			$('#loginVerifyCode').val('');
			renderVerifyImgCodeFunc();
		})
		
		// 跳转注册页面
		$('#goRegister').on('click', function() {
			mainView.router.load({
				url: 'register.html',
				query: {
					from: fromPage
				}
			});
			TalkingData.onEventWithLabel('登录', '注册');
			TalkingData.onEvent("01005登录页-注册");
		});
		// 跳转忘记密码页面
		$('#goForgetPwd').on('click', function() {
			TalkingData.onEventWithLabel('登录', '忘记密码');
			TalkingData.onEvent("01004登录页-忘记密码");
			
			mainView.router.load({
				url: 'forgetPwd.html',
				query: {
					from: fromPage
				}
			});
		});
		
		$("#login_username").off('blur').on('blur', function(){
			var userName = $('#login_username').val();
			if(!validator.isNull(userName)){
				if (!validator.checkTel(userName)) { 
					f7.alertMessage('您输入的手机号码格式错误');
					return;
				};
				callAppApi({
				   url: '/application/verify/query/errorCount',
				   type: 'POST',
				   params: {
					   accountName: userName,
				   },
				   successCallback: function(res) {
					   if(res.errorCount >= 3){
	                        $("#imgVerify").show();
	                        checkImgCode = true;
	            			renderVerifyImgCodeFunc();
	                    }else{
	                    	$("#imgVerify").hide();
	                    	checkImgCode = false;
	                    	$('#loginVerifyCode').val('');
	                    }
				   },
				   errorCallback: function(err) {
					    $("#imgVerify").hide();
	                   	checkImgCode = false;
	                   	$('#loginVerifyCode').val('');
				   }
				});
			}
		})
		
		$('#login_pwd').on('blur',function(){
			var loginPwd = $('#login_pwd').val();
			if( loginPwd && !validator.checkPwd(loginPwd)){
				f7.alertMessage('密码必须是8位以上英文、数字组合');
			}
		})
		// 登录按钮置灰事件
		$('#login_username').on('keyup',function(){
			if(validator.checkTel($('#login_username').val()) && $('#login_pwd').val().length >= 6){
				$('#loginBtn').removeAttr('disabled');
			}else{
				$('#loginBtn').attr('disabled',true);
			}
		})
		$('#login_pwd').on('keyup',function(){
			if(validator.checkTel($('#login_username').val()) && $('#login_pwd').val().length >= 6){
				$('#loginBtn').removeAttr('disabled');
			}else{
				$('#loginBtn').attr('disabled',true);
			}
		})
		
		// 登录按钮点击事件
		$('#loginBtn').on('click', function() {
			var userName = $('#login_username').val();
			var userPwd = $('#login_pwd').val();
			var loginVerifyCode = $('#loginVerifyCode').val();
			if(!userName){
				f7.alertMessage('请输入手机号');
				return;
			}
			if(!userPwd){
				f7.alertMessage('请输入密码');
				return;
			}
			if(checkImgCode == true && !loginVerifyCode){
				f7.alertMessage('请输入验证码');
				return;
			}
			if (!validator.checkTel(userName)) {
				f7.alertMessage('您输入的手机号码格式错误');
				return;
			}
			if (!validator.checkPwd(userPwd)) {
				f7.alertMessage('密码必须是8位以上英文、数字组合');
				return;
			}
			if (checkImgCode == true && validator.isNull(loginVerifyCode)) {
				f7.alertMessage('验证码错误，请重新输入');
				return;
			}
			
//			login(userName, userPwd, fromPage);
			login({
				userName: userName,
				userPwd: userPwd,
				fromPage: fromPage,
				targetPage: params.targetPage,
				
				verifyCodeId: verifyCodeId,
				verifyCodeValue: loginVerifyCode,
				verifyCodeType: verifyCodeType,
				
				errorCallback: function(msg, err) {
					if(err && err.data && err.data.verifyErrorCount >= 3){
						$("#imgVerify").show();
	                    checkImgCode = true;
	                    $('#loginVerifyCode').val('');
						// 登陆失败重新渲染图片二维码
						renderVerifyImgCodeFunc();
	                }else {
	                	$("#imgVerify").hide();
	                   	checkImgCode = false;
	                   	$('#loginVerifyCode').val('');
	                }
				}
			});
			TalkingData.onEvent("01003登录页-登录按钮");
			TalkingData.onPageEnd("登录时间");
		});
		
		$('.login-clear').hide();
		// 清除前一个input元素的值。
		$('.login-clear').on('click', function() {
			$(this).prev('input').val('');
			$("#loginBtn").attr('disabled',true)
		});
		
		// 表单元素获取焦点后隐藏工具栏
		$('input').on('focus', function() {
			$('#toolbar').hide();
			$(this).parent().find('.login-clear').show();
		});

		// 表单元素失去焦点后显示工具栏
		$('input').on('blur', function() {
			$('#toolbar').show();
			var that = this;
			setTimeout(function(){
				$(that).parent().find('.login-clear').hide();
			},200);
		});
		// 手机号码埋点
		$('#login_username').on('focus', function() {
			TalkingData.onEvent("01001登录页-手机号输入");
		});
		
		// 密码埋点
		$('#login_pwd').on('focus', function() {
			TalkingData.onEvent("01002登录页-密码输入");
		});
		
		$('.login-eye').off('click').on('click',function(){
			var input = $(this).parent().find('input');
			if(input.hasClass('input-pwd')){
				input.removeClass('input-pwd').attr('type','text');
				$(this).removeClass('login-openeyes').addClass('login-closeeyes');
			}else {
				input.addClass('input-pwd').attr('type','password');
				$(this).addClass('login-openeyes').removeClass('login-closeeyes');
			}
			
		})
	}

	return {
		render : render,
		login: login
	}
});
