define([
    'jquery',
    'js/utilities',
    'js/config',
	'js/gesture',
	'js/sha256',
    'hbs!containers/loginGesture/loginGesture',
], function(
	$$,
    utilities,
    config,
    gesturePlugin,
    SHA256,
    loginGestureTemplate
) {
	var $ = Framework7.$;
	var gesturePassword = gesturePlugin.gesturePassword;
	var callAppApi = utilities.callAppApi;
	var SKIP = config.SKIP;
	
	function render(params) {
		
		var SKIP = config.SKIP;
		var deviceInfo = '';
		if (!SKIP.cordova_uuid) {
			deviceInfo = device.uuid;
		} else {
			deviceInfo = 'WEB_APP';
		}

  		var userName = localStorage.getItem('loginPhone');
		
		var targetUrl = '';
		if (params.fromPage == 'me') {
			targetUrl = 'me.html';
		} else if (params.fromPage == 'order') {
			targetUrl = 'order.html';
		} else {
			targetUrl = 'index.html';
		}
  		
  		var gestureErrList = [
  		    '至少连接5个点，请重新绘制',
  		    '两次图案不一致，请重新绘制',
  		    '密码错误，还可绘制n次'
  		];
		
		$('#loginGestureContent').html(loginGestureTemplate({
			userName: userName.substring(0, 3) + '****' + userName.substring(7, 11),
		}));

		if (params.gestureValidCount == 0) {
            f7.modal({
                title: '<span style="font-weight: normal; font-size: 16px;">手势密码错误次数超限</span>',
                text: '<span style="color: #999;">请使用其他方式登录</span>',
                buttons: [
                    {
                        text: '确定',
                        onClick: function() {
                            mainView.router.load({
                                url: 'login.html',
                                force: true,
                            });
                        }
                    }
                ]
            })
		}

		gesturePassword($$('#loginGestureArea'), {
			backgroundColor: 'transparent',
			color: '#f9ddcc',
			roundRadii: 36.5,
			pointRadii: 10,
			spaceHorizontal: 47,				// 圆圈之间的水平边距
			spaceVertical: 40,					// 圆圈之间的垂直边距
			paddingTop: 20,						// 上内边距
			paddingLeft: 30,					// 左内边距
			width: 375,
			height: 340,
			visibleLineStatus: false,
			lineColor: '#ff711e',
			rightColor: '#ff711e',
			wrongColor: 'red',
			zindex: 100,
		});
		
		$$('#loginGestureArea').on('hasPasswd', function(e, passwd) {
			var curPasswd = passwd.toString();
			
//			if (curPasswd.length < 5) {
//				$('#loginGestureErrorMsg').text(gestureErrList[1]);
//
//				// 触发错误事件
//				$$("#loginGestureArea").trigger("passwdWrong");
//			} else {
            // 登录验证页面，绘制密码就发请求验证手势密码

            callAppApi({
                url: '/gesture/login',
                type: 'POST',
                params: {
                    accountName: userName,
                    accountPwd: SHA256(curPasswd).toString(),
                    accountType: '2',								// '1' - 账号密码， '2' - 手势密码
                    deviceInfo: deviceInfo,
                    appName: '',
                    loginLatitude: '',
                    loginLongitude: '',
                },
                successCallback: function(res) {
                    if (res.loginResult == true) {

                        if (!SKIP.cordova_setAccountName) {
                            cordova.plugins.diagnostic.setAccountName(userName);
                        }

                        var loginStatus = {
                            "baseUserId": "",
                            "baseOrderId": "",
                            "baseBusinessType": "",
                            "baseDevelopmentNotes": "",
                            "userId": res.userId,
                            "userSession": res.userSession,
                            "userType": res.userType,
                            "userIsOld": res.userIsOld,
                            "accountType": res.accountType,
                            "verifyErrorCount": res.verifyErrorCount,
                            "updatePwdTag": res.updatePwdTag,
                            "userPhoneNumber": userName
                        }

                        localStorage.setItem('loginStatus', JSON.stringify(loginStatus));

                        mainView.router.load({
                            url: targetUrl,
                            force: true,
                            animatePages: false,
                            query:{
                                rejectComefrom:'login'
                            }
                        });

                    } else if (res.loginResult == false) {
                        if (res.validCount > 0) {
                            $('#loginGestureErrorMsg').text(gestureErrList[2].replace(/n/, res.validCount));

                            // 触发错误事件
                            $$("#loginGestureArea").trigger("passwdWrong");
                        } else {
                            $('#loginGestureErrorMsg').text(gestureErrList[2].replace(/n/, res.validCount));

                            // 触发错误事件
                            $$("#loginGestureArea").trigger("passwdWrong");

                            f7.modal({
                                title: '<span style="font-weight: normal; font-size: 16px;">手势密码错误次数超限</span>',
                                text: '<span style="color: #999;">请使用其他方式登录</span>',
                                buttons: [
                                    {
                                        text: '确定',
                                        onClick: function() {
                                            mainView.router.load({
                                                url: 'login.html',
                                                force: true,
                                            });
                                        }
                                    }
                                ]
                            })
                        }
                    }
                },
                errorCallback: function(err) {}
            })
//			}
		})
		
		$('#otherWayBtn').on('click', function() {
			f7.actions([
				[
				 {
				 	text: '<span style="font-size: 18px; color: #3A5FCD;">密码登录</span>',
				 	onClick: function() {
				 		mainView.router.load({
				 			url: 'login.html',
				 			force: true,
				 		});
				 	}
				 }
				], [
				 {
				 	text: '<span style="font-size: 18px; color: #3A5FCD;">取消</span>',
				 	onClick: function() {
				 	}
				 }
				]
			]);
		})
	}
	
	return {
		render: render
	}
});