define([
  'containers/me/meView',
  'js/utilities',
  'components/common/toolbar/toolbarView'
], function(
  meView,
  utilities,
  toolbarView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var changeToolbarStatus = toolbarView.changeToolbarStatus;

  function init(query) {
	
	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	
	if (mainView.activePage.name === 'me') {
		f7.showToolbar('#toolbar');
		changeToolbarStatus('#toolbarBtn3');
	}
	
	callAppApi({
		url: '/app/userInfo',
		type: 'POST',
		params: {
			userId: loginStatus.userId,
			isOldUser: loginStatus.userIsOld,
			oldId: loginStatus.oldId,
			userSession: loginStatus.userSession
		},
		successCallback: function(userInfoRes) {
//			callAppApi({
//				url: '/app/credit/audit/query',
//				type: 'POST',
//				params: {
//					userId: loginStatus.userId,
//				},
//				successCallback: function(res) {
//					meView.render({
//						userInfo: userInfoRes,
//						creditAuditStatus: res.creditAuditStatus,
//						creditAvailableAmount: res.creditAvailableAmount
//					});
//				},
//				errorCallback: function(err) {}
//			});
			callAppApi({
				  url: '/app/credit/v2/query/myLimit',
				  type: 'POST',
				  params: {
					  userId: loginStatus.userId
				  },
				  successCallback: function(creditRes) {
					  meView.render({
							userInfo: userInfoRes,
							creditStatus: creditRes.creditStatus,
							creditAvailableAmount: creditRes.creditAvailableAmount
						});
				  },
				  errorCallback: function(err) {}
			  })
		},
		errorCallback: function(err) {}
	})
  }
  
  return {
	init: init,
  };
});