define([
  'js/utilities',
  'js/config',
  'js/datas',
  'js/router',
  'hbs!containers/me/me'
], function(
	utilities,
	config,
	Datas,
	Router,
	meTemplate
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
  
  var getDictData = Datas.getDictData;

  var logout = utilities.logout;
  var getDeviceType = utilities.getDeviceType;
  
  var SKIP = config.SKIP;
  
  var advanceCreditRouter = Router.advanceCreditRouter;
  var getApplyInfoBox = Router.getApplyInfoBox;

  function render(params) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var userInfo = params.userInfo;
	  var tel = getDictData('CUSTOMER_SERVICE_PHONE_NUMBER', 'system');
	  // 渲染me页面
	  
	  function fmoney(s, n) {  
		    n = n > 0 && n <= 20 ? n : 2;  
		    s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";  
		    var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];  
		    t = "";  
		    for (i = 0; i < l.length; i++) {  
		        t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");  
		    }  
		    return t.split("").reverse().join("") + "." + r;  
	  }
	  
	  var creditAvailableAmount = '';
	  if(parseFloat(params.creditAvailableAmount) < 0){
		  params.creditAvailableAmount = '0';
	  }
	  if(params.creditAvailableAmount!==''){
		  creditAvailableAmount = '￥' + fmoney(params.creditAvailableAmount);
	  }
	  $('#mePage').html(meTemplate({
		  userPhoneNumber: userInfo.userPhoneNumber.substring(0, 3)+"****"+userInfo.userPhoneNumber.substring(7, 11),
		  userCredit: userInfo.userCredit || '',
		  creditStatus: params.creditStatus,
		  creditAvailableAmount: creditAvailableAmount,
		  tel: tel
	  }));
	  
	  // 认证按钮点击事件
	  $('#meHeaderName').on('click', function() {
		  if ($(this).data('authentication') === 'false') {
			  f7.alertMessage('请您先选择需办理业务，再进行身份认证');
			  var timeLink = setTimeout(function() {
				  mainView.router.load({
					  url: 'index.html',
					  animatePages: false
				  }); 
				  clearTimeout(timeLink);
			  }, 3000);
		  }
	  });
	  
	  // 我的账单页面跳转
	  $('#meBillingBtn').on('click', function() {
		  mainView.loadPage('billList.html');
	  });
	
	  // 业务资料页面跳转
	  $('#meMaterialBtn').on('click', function() {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  callAppApi({
			  url: '/app/credit/v2/query/myLimit',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(creditRes) {
				 if(creditRes.creditStatus == '4'){
					 loadAdvanceCreditPage('chooseFamily', {
				  		  query: {
				  			  fromPage:'me',
				  			  from:'me'
				  		  }
				  	  });
				 }else if(creditRes.creditStatus == '6'){
					 f7.alert('您的授信申请正在审核，请审核通过后再进行业务资料提交。')
				 }else if(creditRes.creditStatus == '2'){
					 f7.alert('很抱歉，您暂时无法办理该业务，感谢关注！')
				 }else{
					 getApplyInfoBox({},
						function(){
						 advanceCreditRouter(creditRes.checkOrderCode, {
							  fromPage: 'me',
							  auditInfoId: creditRes.auditInfoId,
							  baseBusinessType: creditRes.baseBusinessType,
							  orderId: creditRes.baseOrderId
						  })
					 })
				 }
			  },
			  errorCallback: function(err) {}
		  })
	  });
	  
	  // 我的额度页面跳转
	  $('#meCreditBtn').on('click', function() {
		  
		  callAppApi({
			  url: '/app/credit/v2/query/myLimit',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId
			  },
			  successCallback: function(creditRes) {
				  advanceCreditRouter(creditRes.checkOrderCode, {
					  fromPage: 'me',
					  auditInfoId: creditRes.auditInfoId,
					  baseBusinessType: creditRes.baseBusinessType,
					  orderId: creditRes.baseOrderId
				  })
			  },
			  errorCallback: function(err) {}
		  })
		  
	  });
	  
	  $('#meEmployeeBuyBtn').on('click', function() {
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
			callAppApi({
				url: '/app/ebuyEntry/isNeedAuth',
				type: 'POST',
				params: {
					userId: loginStatus.userId
				},
				successCallback: function(isNeedAuthRes){

					if (isNeedAuthRes.isNeedAuth === '1') {
						loadEmployeeBuyPage('chooseAuthType', {})
					} else if (isNeedAuthRes.isNeedAuth === '0') {
						loadEmployeeBuyPage('employeeBuyIndex', {
							query:{
								fromPage: 'index'
							}
						});
					}
				},
				errorCallback: function(err) {}
			});
	  });

	  $('#meInfoBtn').on('click', function() {		 
		  callAppApi({
			  url: '/app/userInfo',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
				  isOldUser: loginStatus.userIsOld,
				  userSession: loginStatus.userSession
			  },
			  successCallback: function(response) {
				  
				  // 返回值统一修改
//				  if (response === null || response=='') {
				  if (isOwnEmpty(response)) {
					  f7.alertMessage('请您先进行身份认证');
					  return false;
				  } else {
					  mainView.loadPage('info.html');
				  }
			  }
		  })
	  });
	  $('#meBankcardBtn').on('click', function() {
		  callAppApi({
			  url: '/app/bankCardList',
			  apiVersion:'2.0',
			  type: 'POST',
			  params: {
				  userId: loginStatus.userId,
			  },
			  successCallback: function(response) {
				  
				  var bankcardList = [];
				  
				  for (var i = 0; i < response.length; i++) {
					  if (response[i].bankIsBatchCard === '1') {
						  bankcardList.unshift(response[i]);
					  } else if (response[i].bankIsBatchCard === '0') {
						  bankcardList.push(response[i]);
					  }
				  }
				  if(bankcardList.length===0){
//					  callAppApi({
//						  url: '/app/credit/audit/query',
//						  type: 'POST',
//						  params: {
//							  userId:loginStatus.userId,
//						  },
//						  successCallback: function(response) {
//							  if(response.creditAuditStatus==1||response.creditAuditStatus==5){
//								  f7.modal({
//										title : '',
//										text:  '<div class="model-titles" style="font-size:16px">为保障您的账户安全，请完成信息认证后再绑定银行卡</div>',
//										buttons : [ {
//											text : '<span class="model-back">取消</span>'
//										}, {
//											text : '去认证',
//											onClick : function() {
//												loadAdvanceCreditPage('chooseProfession', {
//													  query: {
//														  fromPage: 'me',
//													  }
//												  });
//											}
//										}]
//									});
//							  }else{
//								  mainView.loadPage('bankcard.html');
//							  }
							
//						  },
//						  errorCallback: function(err) {
//							  
//						  }
//					  })
					  callAppApi({
						  url: '/app/credit/v2/query/myLimit',
						  type: 'POST',
						  params: {
							  userId: loginStatus.userId
						  },
						  successCallback: function(response) {
							  if(response.creditStatus==1||response.creditStatus==5){
								  f7.modal({
										title : '',
										text:  '<div class="model-titles" style="font-size:16px">为保障您的账户安全，请完成信息认证后再绑定银行卡</div>',
										buttons : [ {
											text : '<span class="model-back">取消</span>'
										}, {
											text : '去认证',
											onClick : function() {
												loadAdvanceCreditPage('chooseProfession', {
													  query: {
														  fromPage: 'me',
													  }
												  });
											}
										}]
									});
							  }else{
								  mainView.loadPage('bankcard.html');
							  }
						  },
						  errorCallback: function(err) {}
					  })
					  
				  }else{
					  mainView.loadPage('bankcard.html');
				  }
				  
			  },
		  });
			  
		
	  });
	  $('#meSettingBtn').on('click', function() {
		  mainView.loadPage('setting.html');
	  });
	  
	  // 客服电话点击
	  $('#meContactBtn').on('click', function() {

		 if (SKIP.cordova_tel) {
//			 console.log(tel);
		 } else {
			 totel.open(tel, function(res) {
//				 console.log(res);
			 }, function(err) {
//				 console.log(err);
			 });
		 }
	  });
  }
  
  return {
	render: render
  }
});
