define([
	'jquery',
    'js/utilities',
    'js/config',
    'js/validator',
    'containers/order/orderHelper',
    'containers/orderConfirm/orderConfirmPad',
    'hbs!components/common/button/button',
    'hbs!containers/orderConfirm/orderConfirm',
    'hbs!components/order/orderInfo/orderInfo',
    'hbs!components/order/orderInfo/educationOrderInfo',
    'hbs!components/order/orderInfo/educationOrderPlanDe',
    'hbs!components/common/protocolArea/protocolArea',
    'hbs!components/common/protocolArea/protocolItem2',
    'hbs!components/common/protocolArea/protocolItem3',
    'hbs!applianceComponents/common/applianceProtocalArea/protocolItemHousehold2',
    'hbs!applianceComponents/common/applianceProtocalArea/protocolItemHousehold3',
    'hbs!components/placeOrder/placeOrderConfirm/orderConfirmBindBankcard',
    'hbs!components/order/payPopup/payPopup',
    'hbs!components/placeOrder/placeOrderTabbar/placeOrderTabbar',
    'hbs!components/common/protocolArea/protocolFrame',
    'hbs!components/order/orderInfo/commentOrderInfo',
    'hbs!components/order/orderInfo/commentEditOrderInfo',
    'hbs!components/chooseGoods/chooseGoodsItem'
], function (
	$$,
    utilities,
    config,
    validator,
    orderHelper,
    orderConfirmPad,
    buttonTemplate,
    orderConfirmTemplate,
    orderInfoTemplate,
	educationOrderInfoTemplate,
	educationOrderPlanDeTemplate,
    protocolAreaTemplate,
    protocolItem2Template,
    protocolItem3Template,
    protocolItemHousehold2Template,
    protocolItemHousehold3Template,
    orderConfirmBindBankcardTemplate,
    payPopupTemplate,
    placeOrderTabbarTemplate,
    protocolFrame,
    commentOrderInfoTemplate,
    editCommentOrderInfoTemplate,
    chooseGoodsItemTemplate
) {
//    var $ = Framework7.$;
    var callAppApi = utilities.callAppApi;
    var callWebHtml = utilities.callWebHtml;
    var isOwnEmpty = utilities.isOwnEmpty;
    var checkInfoCountDown = orderHelper.checkInfoCountDown;
    var getDay = utilities.getDay;
    var formatSecondsTime = utilities.formatSecondsTime;
    var getFormatPrice = utilities.getFormatPrice;
    
    var bindPadEventOrderConfirm = orderConfirmPad.bindPadEventOrderConfirm;
    var jumpPageEventOrderConfirm = orderConfirmPad.jumpPageEventOrderConfirm;
    var sendPadDataOrderConfirm = orderConfirmPad.sendPadDataOrderConfirm;
    
    var SKIP = config.SKIP;

    // 声明计时器
    var intervalOrderConfirm;
    var orderConfirmPayTime;
    var orderConfirmPayTimeAgain;
    
    function render(params) {
        clearInterval(intervalOrderConfirm);
        clearInterval(orderConfirmPayTime); 
        clearInterval(orderConfirmPayTimeAgain);
        
        var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
        var bankList = [];
        var batchCardData = params.batchCardData;

        TalkingData.onPage('确认下单');
        
        // 渲染navbar
        loadComponent('navbar', 'common', {
            container: '#orderConfirmNavbar',
            title: '确认下单',
            backId: 'orderConfirmBackBtn',
            isBackIcon: true,
            isBack: false,
			color: '#FFF',
			background: '#f4610b'
        });

        var backTime2 = setTimeout(function () {
            $$('#orderConfirmBackBtn').on('click', function () {
                // 删除注册确认下单
                clearInterval(intervalOrderConfirm);

		  		f7.modal({
		  			title: '',
		  			text: '超过操作时效后订单将被取消，请尽快完成支付',
		  			buttons: [
		  				{
		  					text: '取消',
		  					onClick: function(){
		  						TalkingData.onEventWithLabel('确认下单页', '点击返回取消返回');
		  					}
		  				},
		  				{
		  					text: '确认',
		  					onClick: function() {
		  						TalkingData.onEventWithLabel('确认下单页', '点击返回退出下单');
		  						clearInterval(orderConfirmPayTime);
		  						clearInterval(orderConfirmPayTimeAgain);
		  				  		mainView.router.back({
		  				  			url: 'orderDetail.html',
		  				  			force: true,
		  				  			query: {
		  				  				orderId: params.orderId,
		  				  				baseBusinessType:params.baseBusinessType,
		  				  			}
		  				  		});
		  				  		
		  				  		f7.showToolbar('#toolbar');
		  					}
		  				}
		  			]
		  		});
            });
            clearTimeout(backTime2);
        }, 100)

        // 渲染确认订单主内容
        if(params.baseBusinessType !=='006001'){
        	$$('#orderConfirmContent').html(orderConfirmTemplate({
                price: params.goodsSuitePayFirstPrice,
                baseBusinessType:params.baseBusinessType,
                orderId: params.orderId,
            }));
        } else {
        	$$('#orderConfirmContent').html(orderConfirmTemplate({
                price: params.orderInfo.goodsFirstPayPrice,
                baseBusinessType:params.baseBusinessType,
            }));
        }
        
        // 渲染下单tabbar
        if(params.baseBusinessType ==='006001'){
        	loadMedicalCareComponent('placeOrderTabbar', 'medicalCarePlaceOrder', {
    			container: '#orderConfirmTabbar',
    			tabIndex: 4
    		});
        }else{
        	loadComponent('placeOrderTabbar', 'placeOrder', {
                container: '#orderConfirmTabbar',
                tabIndex: 5
            });
        }
        

        // 渲染下单按钮
        $$('#placeOrderConfirmBtnBox').html(buttonTemplate({
            id: 'placeOrderConfirmBtn',
            value: '确认下单',
            disabled: false,
        }));
        
        // Pad埋点事件绑定
        bindPadEventOrderConfirm(params.baseBusinessType);
        jumpPageEventOrderConfirm();
       
        // 倒计时
        if (mainView.activePage.name === 'orderConfirm') {
			callAppApi({
				url: '/api/checkOrderTimeOut',
				type: 'POST',
				params: {
					orderId: params.orderId,
					userId: loginStatus.userId,
					orderTimeOutType: '1'
				},
				successCallback: function(response) {
					var countDownTime = response.timeOutValue//获取到倒计时时间
					if(response.checkResult === false && countDownTime > 0){//未超时
			           orderConfirmPayTime = setInterval(function() {
			        	   	countDownTime--;
			            	 var payTime = formatSecondsTime(countDownTime, 'sec');
			            	 var hours = payTime.hours;
			            	 var minutes = payTime.minutes;
			            	 var seconds = payTime.seconds;
			            	
			            	 if(params.baseBusinessType==="003001"){
//			            		 $$('#orderTimeEducation').text(minutes + ':' + seconds);
			            		 $$('#orderTime').text(hours + ':' + minutes + ':' + seconds);
			            	 }else{
			            		 $$('#orderTime').text(minutes + ':' + seconds);
			            	 }
			            	 if(hours === '00' && minutes === '00' && seconds === '00'){
		            		 	clearInterval(orderConfirmPayTime);
		            		 	callAppApi({
		            				url: '/api/checkOrderTimeOut',
		            				type: 'POST',
		            				params: {
		            					orderId: params.orderId,
		            					userId: loginStatus.userId,
		            					orderTimeOutType: '1'
		            				},
		            				successCallback: function(response) {
		            					var countDownTime = response.timeOutValue//获取到倒计时时间
		            					if(response.checkResult === false && countDownTime > 0){//未超时
		            			           orderConfirmPayTimeAgain = setInterval(function() {
		            			        	   	countDownTime--;
		            			            	 var payTimeAgain = formatSecondsTime(countDownTime, 'sec');
		            			            	 var hoursAgain = payTimeAgain.hours;
		            			            	 var minutesAgain = payTimeAgain.minutes;
		            			            	 var secondsAgain = payTimeAgain.seconds;
		            			            	 if(params.baseBusinessType==="003001"){
		            			            		 $$('#orderTime').text(hoursAgain + ':' + minutesAgain + ':' + secondsAgain);
		            			            	 }else{
		            			            		 $$('#orderTime').text(minutesAgain + ':' + secondsAgain); 
		            			            	 }
		            			            	 
		            			            	 if(hoursAgain === '00' && minutesAgain === '00' && secondsAgain === '00'){
		            		            		 	clearInterval(orderConfirmPayTimeAgain);
		            		            		 	// 支付超时
		            		    					f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
		            		    					var timeCancle = setTimeout(function() {
		            		    						mainView.router.load({
		            		    							url: 'orderDetail.html',
		            		    							force: true,
		            		    							query: {
		            		    								orderId: params.orderId,
		            		    								baseBusinessType:params.baseBusinessType,
		            		    							}
		            		    						});
		            		    						clearTimeout(timeCancle);
		            		    					}, 3000);
		            			            	 }
		            			            }, 1000) 
		            					} else {//后台返回超时
		            						// 支付超时
		            						f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
		            						var timeCancle = setTimeout(function() {
		            							mainView.router.load({
		            								url: 'orderDetail.html',
		            								force: true,
		            								query: {
		            									orderId: params.orderId,
		            									baseBusinessType:params.baseBusinessType,
		            								}
		            							});
		            							clearTimeout(timeCancle);
		            						}, 3000);
		            					}
		            				},
		            				errorCallback: function(err) {}
		            			});
//		            		 	// 支付超时
//		    					f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
//		    					var timeCancle = setTimeout(function() {
//		    						mainView.router.load({
//		    							url: 'orderDetail.html',
//		    							force: true,
//		    							query: {
//		    								orderId: params.orderId
//		    							}
//		    						});
//		    						clearTimeout(timeCancle);
//		    					}, 3000);
			            	 }
			            }, 1000) 
					} else {//后台返回超时
						// 支付超时
						f7.alertMessage('很抱歉，您的订单操作超时，感谢关注');
						var timeCancle = setTimeout(function() {
							mainView.router.load({
								url: 'orderDetail.html',
								force: true,
								query: {
									orderId: params.orderId,
									baseBusinessType:params.baseBusinessType,
								}
							});
							clearTimeout(timeCancle);
						}, 3000);
					}
				},
				errorCallback: function(err) {}
			});
        }

        // 渲染协议按钮
        if(params.baseBusinessType==='003001'){
        	var isNotChecked = true;
        	var orderDetailStuEduStatus = localStorage.getItem('orderDetailStuEducation' + '-' + params.orderId);
        	
        	if(orderDetailStuEduStatus){
        		isNotChecked = false;
        	}else{
        		isNotChecked = true;
        	}
        	
        	$$('#orderConfirmProtocol').html(protocolAreaTemplate({
        		isNotChecked: isNotChecked,
//            	protocolItem1: {
//            		id: 'orderConfirmProtocol2',
//            		title: '《自动扣款协议》'
//            	},
            	protocolItem1: {
            		id: 'orderConfirmProtocolEducation',
            		title: '《应收账款转让确认及保理费承担协议》'
            	}
            }));
        	
            // 取消勾选不弹框，缓存勾选状态
            $$('.icon-form-checkbox').off('click').on('click', function(){
            	var text = '';
				if(params.factoringType == '1'){//保理业务
				    text = "请务必确认您已仔细阅读《应收账款转让确认及保理费承担协议》所有条款，一旦签署即意味着您已充分理解并认可该协议并接受其约束。"
				}else{
					text = "请再次确认您所选择的课程协议名称、协议时间与实际合同签署当中保持一致！"
				}
                if ($$('.label-checkbox > input')[0].checked === false && isNotChecked) {
                	f7.modal({
                        title: '',
                        text: '<div style="font-size: 14px;color: #999;text-align:left;">'+text+'</div>',
                        buttons: [
                            {
                                text: '我知道了',
                                onClick: function(){}
                            }
                        ]
                    
                    });
                    isNotChecked = false;
                    localStorage.setItem('orderDetailStuEducation' + '-' + params.orderId, JSON.stringify(isNotChecked));
                }
            });
            
        }else{
            $$('#orderConfirmProtocol').html(protocolAreaTemplate({
            	protocolItem1: {
            		id: 'orderConfirmProtocol1',
            		title: '《售后回租赁合同》'
            	},
//            	protocolItem2: {
//            		id: 'orderConfirmProtocol2',
//            		title: '《自动扣款协议》'
//            	}
            }));
        }


        $('#orderConfirmProtocol1').on('click', function() {
        	var templateId = '1';
        	if(params.baseBusinessType == '006001'){
        		templateId = '14';
        	}
            	callWebHtml({
            		url: '/agreement/agrTemplateLeaseBack',
            		type: 'POST',
            		params: {
   					 userId: loginStatus.userId,
					 orderId: params.orderId,
					  templateId :templateId,
					  baseBusinessType:params.baseBusinessType
            		},
            		successCallback: function(response) {
    					$('#orderConfirmPopup1').html(protocolFrame({
    						protocolId: "agreementCustomerServicePayment",
    						protocolName: "《售后回租赁合同》",
    						protocolWidth: $('body').width(),
    						protocolHeight: $('body').height() - 56
    					}));
//    					$("#agreementCustomerServicePayment").contents().find("html").html(response);
    					$$("#agreementCustomerServicePayment").contents().find("html")[0].innerHTML = response;
    					
    					f7.popup('#orderConfirmPopup1');
            		},
            		errorCallback: function(err) {}
            	});    		
        });		
        
//        $$('#orderConfirmProtocol2').on('click', function() {
//        	callWebHtml({
//        		url: '/agreement/agrTemplateAutoPayment',
//        		type: 'POST',
//        		params: {
//        			userId: loginStatus.userId,
//        			orderId: params.orderId,
//        			baseBusinessType:params.baseBusinessType,
//        			templateId:'3',
//        		},
//        		successCallback: function(response) {
//
//					$('#orderConfirmPopup1').html(protocolFrame({
//						protocolId: "agreementAutoPayment",
//						protocolName: "《扣款授权书》",
//						protocolWidth: $('body').width(),
//						protocolHeight: $('body').height() - 56
//					}));
//
////					$("#agreementAutoPayment").contents().find("html").html(response);
//					$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;
//					f7.popup('#orderConfirmPopup1');
//        		},
//        		errorCallback: function(err) {}
//        	});
//        });
        $('#orderConfirmProtocolEducation').on('click', function() {
			// 协议和时间字段修改
        	var templateId = '6';
			var protocolName = $$('#protocolName').val();
			var protocolTime = $$('#protocolTime').val();
			if(params.baseBusinessType == '003001' && params.factoringType == '1'){
				templateId = '17';
			}
			callAppApi({
				url: '/app/order/update/education',
				type: 'POST',
				params: {
					orderId: params.orderId,
					contractTitle: protocolName,
					contractSignDate: protocolTime
					},
				successCallback: function(response) {
					//打开协议
		        	callWebHtml({
		        		url: '/agreement/agrTemplateDebtTransfer',
		        		type: 'POST',
		        		params: {
						 userId: loginStatus.userId,
						 orderId: params.orderId,
						  templateId :templateId,
						  baseBusinessType:params.baseBusinessType
		        		},
		        		successCallback: function(response) {
		        			
							$('#orderConfirmPopup2').html(protocolFrame({
								protocolId: "agreementAgrTemplateDebtTransfer",
								protocolName: "《应收账款转让确认及保理费承担协议》",
								protocolWidth: $('body').width(),
								protocolHeight: $('body').height() - 56
							}));
							$$("#agreementAgrTemplateDebtTransfer").contents().find("html")[0].innerHTML = response;
							f7.popup('#orderConfirmPopup2');
		        		},
		        		errorCallback: function(err) {}
		        	}); 
					
				},
				errorCallback: function(err) {}
			});
        });	
        
        //家电特殊处理（不拼配置）
        var goodsConfig = params.goodsItemConfigure;
    	if(params.baseBusinessType=="002002" || params.baseBusinessType=="002001"){
    		goodsConfig = "";
    	}
        var orderInfoData = {
            goodsInfo: {
                name: params.goodsSellName,
                config: goodsConfig,
                color: params.goodsItemColor,
                price: params.orderProductPrice,
    			orderStatus: params.orderStatus,				// 订单状态
    			orderGoodsNumber: '',							// 商品串号
    			contractPhone: '',
    			product: {
    				key: '分期产品',
    				value: params.goodsProductName
    			},
    			plan: {
    				key: '套餐名称',
    				value: params.goodsPlanName
    			},
    			stagingNum: {
    				key: '期&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;数',
    				value: params.goodsSuiteStageNumber + '期'
    			},
                firstPay: {
                    key: '期初支付',
                    value: params.goodsSuitePayFirstPrice + '元'
                },
                selfPay: {
                    key: '自付金额',
                    value: params.goodsSuitePayInitialPrice + '元'
                },
                stagingPay: {
                    key: '每期还款',
                    value: params.goodsSuiteStagePrice + '元'
                }
            }
        }
        // 健康业务确认订单页面字段显示修复以及绑卡失败修复
        if (params.baseBusinessType === '006001') {
        	orderInfoData = {
                goodsInfo: {
                    name: params.orderInfo.goodsSellName,
                    config: params.orderInfo.goodsItemConfigure,
                    color: params.orderInfo.goodsItemColor,
                    price: params.orderInfo.orderProductPrice,
        			orderStatus: params.orderInfo.orderStatus,				// 订单状态
        			orderGoodsNumber: '',							// 商品串号
        			contractPhone: '',
        			product: {
        				key: '分期产品',
        				value: params.orderInfo.goodsProductName
        			},
        			plan: {
        				key: '套餐名称',
        				value: params.orderInfo.goodsPlanName
        			},
        			stagingNum: {
        				key: '期&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;数',
        				value: params.orderInfo.goodsSuiteStageNumber + '期'
        			},
                    firstPay: {
                        key: '押金',
                        value: params.orderInfo.guaranteeMoney + '元'
                    },
                    selfPay: {
                        key: '自付金额',
                        value: params.orderInfo.goodsSuitePayInitialPrice + '元'
                    },
                    stagingPay: {
                        key: '租金总额',
                        value: params.orderInfo.goodsSuiteTotalAmount + '元'
                    }
                }
            }
        }
        
    	if(params.baseBusinessType==="003001"){

    		var educationOrderInfoData = {
				goodsInfo: {
					name: params.courseName,
					price: getFormatPrice(params.orderProductPrice) + '元',
					orderStatus: params.orderStatus,				// 订单状态
					list:[
						{
							key: '分期产品',
							value: params.goodsProductName
						},
						{
							key: '分期金额',
							value: getFormatPrice(params.goodsSuiteStagePrice) + '元'
						},
						{
							key: '期数',
							value: params.goodsSuiteStageNumber + '期'
						},
						{
							key: '期初支付',
							value: getFormatPrice(params.goodsSuitePayFirstPrice) + '元'
						},
						{
							key: '线下支付',
							value: getFormatPrice(params.goodsSuitePayInitialPrice) + '元'
						},
						{
							key: '分期明细',
							value: "查看详情>",
							id:"educationOrderConfirmBillDetail"
						},
						{
							key: '课程协议名称',
							value: params.contractTitle 
						},
						{
							key: '协议签订时间',
							value: params.contractSignDate 
						},
				    ]	
				}
			};
    		
    		//------------我是学生教育协议编辑分割线 S-------------------//
    		//待付款订单详情列表
    		var editEducationOrderInfoData = {
    				goodsInfo: {
    					name: params.courseName,
    					price: getFormatPrice(params.orderProductPrice) + '元',
    					orderStatus: params.orderStatus,				// 订单状态
    					list:[
    							{
    								key: '分期产品',
    								value: params.goodsProductName
    							},
    							{
    								key: '分期金额',
    								value: getFormatPrice(params.goodsSuiteStagePrice) + '元'
    							},
    							{
    								key: '期数',
    								value: params.goodsSuiteStageNumber + '期'
    							},
    							{
    								key: '期初支付',
    								value: getFormatPrice(params.goodsSuitePayFirstPrice) + '元'
    							},
    							{
    								key: '线下支付',
    								value: getFormatPrice(params.goodsSuitePayInitialPrice) + '元'
    							},
    							{
    								key: '分期明细',
    								value: "查看详情>",
    								id:"educationOrderConfirmBillDetail"
    							},
    							{
//    								key: '课程协议名称',
//    								value: params.contractTitle 
    								type: 'select',
    								key: '课程协议名称',
    								selectList: [
    												{
    													value: params.contractTitle || '请选择课程协议名称',
    													view: params.contractTitle || '请选择课程协议名称',
    												}
    											]
    							},
    							{
//    								key: '协议签订时间',
//    								value: params.contractSignDate 
    								type: 'text',
    								key: '协议签订时间',
    								value: params.contractSignDate  || '',
    								placeholder: params.contractSignDate  || '请选择时间',
    							}
    					      ]		
    				}
    			};	
    		//------------我是学生协议编辑分割线 E-------------------//
    		
    		
//    		$('#orderConfirmGoodsArea').html(commentOrderInfoTemplate(educationOrderInfoData));
//    		$('#orderConfirmGoodsArea').html(editCommentOrderInfoTemplate(editEducationOrderInfoData));
    		editOrderInfoInitFn();
    		function editOrderInfoInitFn(){
//    			var storeUserId = params.orderDetailData.orderInfo.storeUserId;
    			var goodsId = params.goodsSellId;
    			var defaultContractTitle = params.contractTitle;
    			var contractTitle;
    			// 根据店员id查询门店商品信息
    			callAppApi({
    				url: '/app/getGoodsSell',
    				type: 'POST',
    				params: {
//    					userId: loginStatus.userId,
//    					storeUserId: storeUserId,
//    					baseBusinessType:'003001',
    					goodsSellId: goodsId
    				},
    				successCallback: function(data){
    					//获取协议
    					contractTitle = data .contractTitle;
//    					data.forEach(function(item) {
//    						if (item.courseId == goodsId) {
//    							contractTitle = item.contractTitle;
//    						}
//    					});
    					
    					if(contractTitle){
    						var contractTitleList = contractTitle.split('|');
    					}else{
    						var contractTitleList = [];
    					}
    					var contractTitleTempList = contractTitleList.map(function(item) {
    						return {
    							default: defaultContractTitle == item ? true: false,
    							value: item,
    							view: item
    						};
    					});
//    					暂时不加
//    					contractTitleTempList.unshift({
//    						default: false,
//    						value: '',
//    						view: '请选择课程协议名称'
//    					})
    					$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: contractTitleTempList}));
    					if(contractTitleList.length == 1){
    						$$('#protocolName').val(contractTitleList[0]);
    					}
    					
    				},
    				errorCallback: function() {}
    			});
    			
    			$('#orderConfirmGoodsArea').html(editCommentOrderInfoTemplate(editEducationOrderInfoData));
    			// 初始化时间组件
    			var today = new Date();
    			var protocolTimeDate = f7.picker({
    				input: '#protocolTime',
    				rotateEffect: true,
    				toolbarCloseText: '完成',
    				value:'',	//[today.getFullYear(), today.getMonth(), today.getDate()]
    				onChange: function (picker, values, displayValues) {
    					var daysInMonth = new Date(picker.value[0], picker.value[1]*1 + 1, 0).getDate();
    					if(picker.cols.length>0){
        					if (values[2] > daysInMonth) {
        						picker.cols[3].setValue(daysInMonth);
        					}
        					var curYear = today.getFullYear();
        					if (Number(values[0]) >= curYear) {
        						var curMonth = today.getMonth();
        						if (Number(values[1]) >= curMonth) { //大于当前月
        							picker.cols[2].setValue(curMonth);
        							var curDate = today.getDate();
            						if (Number(values[2]) > curDate) {
            							picker.cols[3].setValue(curDate);
            						}
        						}
        					}		
    					}

    				},
    				formatValue: function (p, values, displayValues) {
    					var displayYear = values[0];
    					var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
    					var displayDay = (parseInt(values[2])) < 10 ? '0' + (parseInt(values[2])) : (parseInt(values[2])).toString();
    					return displayYear + '-' + displayMonth + '-' + displayDay;
    				},
    				cols: [
    					// year
    					{
    						values: (function() {
    							var arr = [];
    							var curYear = today.getFullYear();
    							for (var i = 1950; i <= curYear; i++) { arr.push(i); }
    							return arr;
    						})()
    					},
    					{
    						divider: true,
    						content: '  '
    					},
    					// month
    					{
    						values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
    						displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
    					},
    					// day
    					{
    						values: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31],
    					}
    				],
    				onOpen: function (picker) {
    					protocolTimeDate.setValue([today.getFullYear(), today.getMonth(),today.getDate()]);
    				}

    			});
    			
    			//初始化时间
    			if (params.contractSignDate!=="") {
    				var contractSignTime = params.contractSignDate;
    				var year = contractSignTime.split("-")[0];
    				var month = (parseInt(contractSignTime.split("-")[1]) - 1).toString();
    				var day = contractSignTime.split("-")[2];
    				protocolTimeDate.setValue([year, month, day]);
    			}		
    		}
    		
    		$('#educationOrderConfirmBillDetail').on('click', function() {

			  	var goodEducationPaymentDetail = params.stagePlanData.paymentDetail;
				var goodEducationPaymentDetailHtml='';
				goodEducationPaymentDetail.map(function(item,index){
					goodEducationPaymentDetailHtml = goodEducationPaymentDetailHtml +
						'<div class="model-list-item">'+
						'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
						'<div class="model-list-pay model-list-content">'+ getFormatPrice(item.payAmount) +'元</div>' +
					'</div>' 
				})

				f7.modal({
					title: '分期账单',
					afterText: '<div class="model-block-chooseGoods education-order-confirm-stage" id="educationOrderConfirmStage">'+
									'<div class="model-head">'+
									'<div class="chooseGoodsModalItem" style="width: 100%">' +
										'<span class="key" style="width:23%">课程详情</span><span class="value" style="width:75%">'  +params.courseName + " "+ getFormatPrice(params.orderProductPrice) + '元</span>' +
									'</div>' +
									'<div class="chooseGoodsModalItem">'+
											'<span class="key" >期<span style="display: inline-block; width: 2em"></span>数</span><span class="value">' + params.goodsSuiteStageNumber + '</span>'+
									'</div>' +
									'<div class="chooseGoodsModalItem">'+
										'<span class="key">还款总额</span><span class="value">' + getFormatPrice(params.goodsSuiteTotalAmount) + '元</span>'+
								'</div>' +											
									'<div class="chooseGoodsModalItem">'+
											'<span class="key">还款方式</span><span class="value">月还</span>'+
									'</div>' +
									'<div class="chooseGoodsModalItem">'+
											'<span class="key"></span><span class="value"></span>'+
									'</div>' +											
								'</div>' +
								
								'<div class="model-list">'+
									'<div class="model-list-item">'+
										'<div class="model-list-number model-list-content">期数</div>' +
										'<div class="model-list-pay model-list-content">每期还款</div>' +
									'</div>' +goodEducationPaymentDetailHtml+
								'</div>' +
							 '</div>',
					buttons: [
						{
							text: '知道了',
						}
					]
				});

				$('.model-block-chooseGoods').parent().parent().css({
					position: 'absolute',
					top: '50%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-210px 5% 0 0'
				});
				
				$('.education-order-confirm-stage .model-list-content').css({
					display: 'inline-block',
					width: '50%',
					textAlign: 'center'
				});
    		});
    	}else{
    		$('#orderConfirmGoodsArea').html(orderInfoTemplate(orderInfoData));
    	}
       // $$('#orderConfirmGoodsArea').html(orderInfoTemplate(orderInfoData));

        // 因为返回值而采取的兼容方案
        if (batchCardData === null || isOwnEmpty(params.batchCardData) || batchCardData === '' || typeof batchCardData === 'undefined') {
            batchCardData = {
                batchCardKey: false
            };
        } else {
            batchCardData.batchCardKey = true;
        }

        if (batchCardData.bankCardNumber) {
        	batchCardData.bankCardNumber = batchCardData.bankCardNumber.slice(0, 4) + ' **** **** ' + batchCardData.bankCardNumber.slice(-4)
        }

        $$('#orderConfirmBindBankcard').html(orderConfirmBindBankcardTemplate(batchCardData));

        $$('#orderConfirmBindBankcard').on('click', function () {
            mainView.router.load({
                url: 'bindBankcard.html',
                query: {
                    orderId: params.orderId,
                    fromPage: 'orderConfirm',
                    baseBusinessType:params.baseBusinessType
                }
            });
        });

        // 支付方式弹出层
        // 设置支付方式字段
        // 01: 微信
        // 02: 阿里
        var payWayKey = '01';
        
        $$('#payPopup').html(payPopupTemplate());

        $$('#paymentMethod').on('click', function () {
            f7.popup('#payPopup');
        });

        $$('.pay-way-btn').on('click', function () {
            $$('.pay-way-btn input').removeAttr('checked');
            if ($$(this).attr('id') === 'weixinPayBtn') {
                $$('#weixinFlag').attr('checked', true);
            } else if ($$(this).attr('id') === 'aliPayBtn') {
                $$('#alipayFlag').attr('checked', true);
            }
        });

        $$('#payWayCancleBtn').on('click', function () {
            f7.closeModal('#payPopup');
        });

        $$('#payWayConfirmBtn').on('click', function () {
            if ($$('#weixinFlag').attr('checked')) {
                $$('#paymentMethod .pay-value').removeClass('icon-ali').addClass('icon-weixin').text('微信支付');
                payWayKey = '01';
            } else if ($$('#alipayFlag').attr('checked')) {
                $$('#paymentMethod .pay-value').removeClass('icon-weixin').addClass('icon-ali').text('支付宝');
                payWayKey = '02';
            }

            f7.closeModal('#payPopup');
        });


        // 下单成功
        $$('#placeOrderConfirmBtn').off('click.orderConfirm').on('click.orderConfirm', function () {
			// 因为返回值而采取的兼容方案
            if (params.batchCardData === null || isOwnEmpty(params.batchCardData) || params.batchCardData === '' || typeof params.batchCardData === 'undefined') {
                f7.alert('您还未进行银行卡绑定，请先绑卡');
                return false;
            }
            // if (!/^\d{6,}$$/.test($$('#invoiceNumber').val())) {
            //     f7.alert('请输入发票号码');
            //     return false;
            // }
            if (!$$('#orderConfirmProtocol input')[0].checked) {
                f7.alert('请阅读并同意协议');
                return false;
			}	
			
            if ( params.baseBusinessType == '003001') {
    			// 协议和时间字段修改
    			var protocolName = $$('#protocolName').val();
    			var protocolTime = $$('#protocolTime').val();
    			callAppApi({
    				url: '/app/order/update/education',
    				type: 'POST',
    				params: {
    					orderId: params.orderId,
    					contractTitle: protocolName,
    					contractSignDate: protocolTime
    					},
    				successCallback: function(response) {
    					//签订协议时间判断，不能大于当前时间
    					var protocolTime = new Date($$('#protocolTime').val()),
    						curTime = new Date();
    					if(protocolTime>curTime){
    						f7.alert("协议签订时间有误，请与合同实际签署时间保持一致！")
    					}else{
    						orderConfirmFn();//继续确认下单
    					}
    				},
    				errorCallback: function(err) {}
    			});
            } else {
            	orderConfirmFn()
            }

		});
		
		function orderConfirmFn(){
        	// 因为返回值而采取的兼容方案
            if (params.batchCardData === null || isOwnEmpty(params.batchCardData) || params.batchCardData === '' || typeof params.batchCardData === 'undefined') {
                f7.alert('您还未进行银行卡绑定，请先绑卡');
                return false;
            }
            // if (!/^\d{6,}$$/.test($$('#invoiceNumber').val())) {
            //     f7.alert('请输入发票号码');
            //     return false;
            // }
            if (!$$('#orderConfirmProtocol input')[0].checked) {
                f7.alert('请阅读并同意协议');
                return false;
            }	

            sendPadDataOrderConfirm(params.orderId);
            var goodsSellName = "";
            if(params.baseBusinessType == '006001'){
            	goodsSellName = params.orderInfo.goodsSellName
            }else if (params.baseBusinessType == '003001') {
				goodsSellName = params.courseName;
			}else{
            	goodsSellName = params.goodsSellName
            }
            callAppApi({
                url: '/api/payParams',
                type: 'POST',
                params: {
                	baseBusinessType: params.baseBusinessType,
                    userId: loginStatus.userId,
                    orderId: params.orderId,
                    orderType: params.baseBusinessType,
                    payTitle: goodsSellName,
                    payType: payWayKey,
                    repayType:'01',		//还款类型  首付款01 还租金02
                },
                successCallback: function (response) {
                	
                	if (response.code === '07001001') {
            			TalkingData.onEventWithLabel('完成支付');
            			
            	        mainView.router.load({
        		          url: 'orderDetail.html',
        		          query: {
        		              orderId: params.orderId,
        		              fromPage: 'orderConfirm',
        		              baseBusinessType:params.baseBusinessType,
        		          }
        		        });
                	} else {
                    	var payParam = response.payParam;
                    	var paymentOrderNo = response.paymentOrderNo;
                    	
                        // 是否跳过cordova支付
                        if (!SKIP.cordova_pay) {
                        	TalkingData.onEventWithLabel('确认下单页', '进入支付流程');
                        	
                            if (payWayKey === '01') {
                                wxpay.payment(JSON.parse(payParam), function (msg) {
                                	
                                	paySuccess(msg, paymentOrderNo);
                                	
                                }, function(msg) {
                                	payFailure(msg, paymentOrderNo);
                                });
                            } else if (payWayKey === '02') {
                                cordova.plugins.AliPay.aliPayReq(function (msg) {
                                	
                                	paySuccess(msg, paymentOrderNo);
                                	
                                }, function (msg) {
                                    //  alert("支付回调" + msg);
                                	payFailure(msg, paymentOrderNo);
                                }, payParam);
                            }
                        } else {
                        	paySuccess('', paymentOrderNo);
                        }
                	}
                },
                errorCallback: function (err) {
                }
            });
		}

        // 支付成功回调函数
        function paySuccess(msg, paymentOrderNo) {
        	
        	callAppApi({
        		url: '/api/paymentStatusQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			orderId: params.orderId,
        			paymentOrderNo: paymentOrderNo
        		},
        		successCallback: function(paymentStatusQueryRes) {
        			
        			if (paymentStatusQueryRes.paymentStatus === '1') {
            			TalkingData.onEventWithLabel('完成支付');
            			
            	        mainView.router.load({
        		          url: 'orderDetail.html',
        		          query: {
        		              orderId: params.orderId,
        		              fromPage: 'orderConfirm',
        		              baseBusinessType: params.baseBusinessType,
        		          }
        		        });
        			} else if (paymentStatusQueryRes.paymentStatus === '0') {
        				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
        			}
        		},
        		errorCallback: function(err) {}
        	});
        }

        // 支付失败回调函数
        function payFailure(err, paymentOrderNo) {
            // 广电支付
            if (err === '未安装微信') {
                f7.alert('未安装微信');
            } else {
            	callAppApi({
            		url: '/api/paymentStatusQuery',
            		type: 'POST',
            		params: {
            			userId: loginStatus.userId,
            			orderId: params.orderId,
            			paymentOrderNo: paymentOrderNo
            		},
            		successCallback: function(paymentStatusQueryRes) {
            			
            			if (paymentStatusQueryRes.paymentStatus === '1') {
                			TalkingData.onEventWithLabel('完成支付');
                			
                	        mainView.router.load({
            		          url: 'orderDetail.html',
            		          query: {
            		              orderId: params.orderId,
            		              fromPage: 'orderConfirm',
            		              baseBusinessType:params.baseBusinessType,
            		          }
            		        });
            			} else if (paymentStatusQueryRes.paymentStatus === '0') {
            				f7.alertMessage(paymentStatusQueryRes.paymentMsg);
            			}
            		},
            		errorCallback: function(err) {}
            	});
            }
        }
        
      //----------------------------------------------------------------教育分期账单相关代码-----------------------------------------------------------------------------// 
        if(params.baseBusinessType=="003001"){
	        var goodEducationPaymentDetail = params.stagePlanData.paymentDetail;
			var goodEducationPaymentDetailHtml='';
			goodEducationPaymentDetail.map(function(item,index){
				goodEducationPaymentDetailHtml = goodEducationPaymentDetailHtml +
					'<div class="model-list-item">'+
					'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
					'<div class="model-list-pay model-list-content">' + item.payAmount + '元' + '</div>' +
				'</div>' 
			})
        }
	  $$(".billEducationDetail").off("click").on("click",function(){
			f7.modal({
				title: '分期账单',
				afterText: '<div class="model-block-chooseGoods" id="educationStage">'+
								'<div class="model-head">'+
								'<div class="chooseGoodsModalItem" style="width: 100%">' +
									'<span class="key" style="width: 23%">课程详情</span><span class="value" style="width: 75%">' + params.courseName + params.orderProductPrice + '元' + '</span>' +
								'</div>' +
								'<div class="chooseGoodsModalItem">'+
										'<span class="key">期数</span><span class="value">' + params.goodsSuiteStageNumber + '</span>'+
								'</div>' +
								'<div class="chooseGoodsModalItem">'+
									'<span class="key">还款总额</span><span class="value">' + params.goodsSuiteTotalAmount + '元' + '</span>'+
							'</div>' +											
								'<div class="chooseGoodsModalItem">'+
										'<span class="key">还款方式</span><span class="value">月还</span>'+
								'</div>' +
								'<div class="chooseGoodsModalItem">'+
										'<span class="key"></span><span class="value"></span>'+
								'</div>' +											
							'</div>' +
							
							'<div class="model-list">'+
								'<div class="model-list-item">'+
									'<div class="model-list-number model-list-content">期数</div>' +
									'<div class="model-list-pay model-list-content">每期还款</div>' +
								'</div>' +goodEducationPaymentDetailHtml+
							'</div>' +
						 '</div>',
				buttons: [
					{
						text: '知道了',
					}
				]
			});
//			if($$("#rentDetailBox").css("display")=="none"){
//			$$("#rentDetailBox").css("display","block");
//			$$(".orderDetail-show-icon").css("background-image","url(img/order/orderDetailHide.png)");
//		}else{
//			$$("#rentDetailBox").css("display","none");
//			$$(".orderDetail-show-icon").css("background-image","url(img/order/orderDetailShow.png)");
//		}
			$('.model-block-chooseGoods').parent().parent().css({
				position: 'absolute',
				top: '50%',
				left: '5%',
				display: 'block',
				width: '90%',
				margin: '-210px 5% 0 0'
			});
		});

    }

    return {
        render: render
    }
});
