define([
  'app',
  'js/utilities',
  'js/config',
  'js/lib/md5.min',
  'js/validator',
  'containers/login/loginView',
  'js/sha256'
], function(
  myApp,
  utilities,
  config,
  md5,
  validator,
  loginView,
  SHA256
) {
  var $ = Framework7.$;
  var getDeviceType = myApp.getDeviceType;
  var login = loginView.login;
  var callAppApi = utilities.callAppApi;
  var countDown = utilities.countDown;
  var getDay = utilities.getDay;
  var renderVerifyImgCode = utilities.renderVerifyImgCode;
  var alertVerifyImgCode = utilities.alertVerifyImgCode;
  var sendVerifyCode = utilities.sendVerifyCode;
  var sendVoiceVerifyCode = utilities.sendVoiceVerifyCode;
  
  // 跳过cordova插件
  var SKIP = config.SKIP;
  var resetGestureStatus = config.resetGestureStatus;
  function render(params) {
	var verifyCodeId = '';
	var verifyCodeType = '';
	var deviceInfo = '';
	if (!SKIP.cordova_uuid) {
		deviceInfo = device.uuid;
	}
	  
	var smsId = '';
	var registerMessageTimeCount;
    var registerVoiceTimeCount;

	function renderVerifyImgCodeFunc(data) {
		// 渲染图片验证码
		renderVerifyImgCode({
			imgSelector: '#verifyCodeImg',
			canvasSelector: '#alertVerifyCodeImgCanvas',
			canvasWidth: 144,
			canvasHeight: 48,
			showErrorToastStatus: false,
			successCallback: function(res) {
				data.verifyCodeId = res.verifyCodeId;
				data.verifyCodeType = res.verifyCodeType;
			},
			errorCallback: function(err) {
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
			}
		});
	}
	
	/*$('#registerVerifyCodeImgChangeBtn').on('click', function() {
		renderVerifyImgCodeFunc();
	})*/
//	 style="position:absolute;top:0;width:100%;height:12px;background:#f4610b;"
	$('.navbar-outerHolder').css({'position':'absolute','top':'0','width':'100%','height':'14px','background':'#f4610b'});
	$('.navbar-inner').css({'top':'12px','background-color': '#f4610b'});

	TalkingData.onPage("注册");
	TalkingData.onPageBegin("注册成功所需时间");
	// 注册页面变化事件，返回时清除定时器
	f7.onPageBeforeAnimation('login', function() {
		clearInterval(registerMessageTimeCount);
		clearInterval(registerVoiceTimeCount);
	});
	clearInterval(registerMessageTimeCount);
	clearInterval(registerVoiceTimeCount);
	$('#veriCodeBtn').off('click').on('click', function() {
		var userName = $('#register_username').val();
		if(!userName){
			f7.alertMessage('请输入手机号码');
			return;
		}
		if (!validator.checkTel(userName)) {
			f7.alertMessage('您输入的手机号码格式错误');
			return;
		}
		
		TalkingData.onEvent("02003注册页-发送验证码");
		
		alertVerifyImgCode({
			voiceTip: '<div style="margin-top: 16px;"></div>'
		},function(imgData){
			if (validator.isNull($('#alertVerifyCode').val())) {
//				f7.alert('信息填写错误');
				$('#alertVerifyCode').parents('.modal-text').prev().text('请输入图形验证码').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
				return;
			}
			sendVerifyCode({
				userName: userName,
				verifyCodeId: imgData.verifyCodeId,
				verifyCodeType: imgData.verifyCodeType,
				verifyCodeValue: $('#alertVerifyCode').val(),
				showErrorToastStatus: false,
			},function(data){
				if(data.code === '4003'){
					$('#alertVerifyCode').parents('.modal-text').prev().text(data.message).css('color', '#f41a1a');
					$('#alertVerifyCode').val('');
					renderVerifyImgCodeFunc(imgData);
				}else{
					f7.closeModal();
					smsId = data.serialNo;
					registerMessageTimeCount = countDown('#veriCodeBtn', 60, '获取验证码', '秒后重新获取',function(){
						$('#veriCodeBtn').css({
							'background-color':'#f4610b',
							'color':"#fff"
						})
					},function(){
						$('#veriCodeBtn').css({
							'background-color':'white',
							'color':"#ff711e"
						})
					});
					
				}
			},function(err){
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
			});
		});
		
		/*callAppApi({
			url: '/api/sendSms',
			type: 'POST',
			params: {
				smsPhone: userName,
				smsType: '1',
				appName: 'APP_USER',
				smsBusinessType: '1'
			},
			successCallback: function(data) {
				smsId = data.smsId;
				
				registerTimeCount=countDown('#veriCodeBtn', 60, '获取验证码');
			},
			errorCallback: function(err) {}
		});*/
	});
	
	$('#register_username').on('blur',function(){
		var userName = $('#register_username').val();
		if( userName && !validator.checkTel(userName)){
			f7.alertMessage('您输入的手机号码格式错误');
		}
	})
	$('#register_pwd').on('blur',function(){
		var registerPwd = $('#register_pwd').val();
		if( registerPwd && !validator.checkPwd(registerPwd)){
			f7.alertMessage('密码必须是8位以上英文、数字组合');
		}
	})
	
	$('#getRegisterVoiceVriCode').off('click').on('click', function(){
		var userName = $('#register_username').val();
		if(!userName){
			f7.alertMessage('请输入手机号码');
			return;
		}
		if (!validator.checkTel(userName)) {
			f7.alertMessage('您输入的手机号码格式错误');
			return;
		}
		
		TalkingData.onEvent("02003注册页-发送验证码");
		
		alertVerifyImgCode({
			voiceTip: '<div style="font-size: 12px;color: #f41a1a;text-align: center;margin-top: 16px;">稍后请注意接听来电，并填写听到的6位验证码</div>'
		},function(imgData){
			if (validator.isNull($('#alertVerifyCode').val())) {
//				f7.alert('信息填写错误');
				$('#alertVerifyCode').parents('.modal-text').prev().text('请输入图形验证码').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
				return false;
			}
			sendVoiceVerifyCode({
				userName: userName,
				verifyCodeId: imgData.verifyCodeId,
				verifyCodeType: imgData.verifyCodeType,
				verifyCodeValue: $('#alertVerifyCode').val(),
				showErrorToastStatus: false,
			},function(data){
				if(data.code === '4003'){
					$('#alertVerifyCode').val('');
					$('#alertVerifyCode').parents('.modal-text').prev().text(data.message).css('color', '#f41a1a');
					renderVerifyImgCodeFunc(imgData);
				}else{
					f7.closeModal();
					smsId = data.serialNo;
					registerVoiceTimeCount = countDown('#getRegisterVoiceVriCode', 60, '收不到短信？获取语音验证码', '秒后重新获取');
				}
			},function(err){
				$('#alertVerifyCode').val('');
				$('#alertVerifyCode').parents('.modal-text').prev().text('抱歉，系统异常，请您稍后再试').css('color', '#f41a1a');
				renderVerifyImgCodeFunc(imgData);
			});
		});
	})

	$('#registerBtn').on('click', function() {
		var userName = $('#register_username').val();
		var veriCode = $('#register_code').val();
		var userPwd = $('#register_pwd').val();
		var registerVerifyCode = $('#registerVerifyCode').val() || '';
		
		var fromPage = mainView.activePage.query.from;
		if(!userName){
			f7.alertMessage('请输入手机号');
			return;
		}
		
		if (!validator.checkTel(userName)) {
			f7.alertMessage('您输入的手机号码格式错误');
			return false;
		}
		if(!userPwd){
			f7.alertMessage('请输入密码');
			return;
		}
		if (!validator.checkPwd(userPwd)) {
			f7.alertMessage('密码必须是8位以上英文、数字组合');
			return false;
		}
		if(!veriCode){
			f7.alertMessage('请输入验证码');
			return;
		}
		if (smsId === '') {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		if (validator.isNull(veriCode)) {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		if (!/^\d{6,10}$/.test(veriCode)) {
			f7.alertMessage('验证码错误，请重新输入');
			return false;
		}
		/*if (validator.isNull(registerVerifyCode)) {
			f7.alert('信息填写错误');
			return;
		}*/
		
		var registerUrl = '/app/register?verifyCodeId=' + verifyCodeId + '&verifyCodeValue=' + registerVerifyCode.replace(/\s/g, '') + '&verifyCodeType=' + verifyCodeType;

		// 是否跳过cordova的device.uuid
		var deviceInfo = '';
		var channelName = '';
//		alert(JSON.stringify(device));
		if (!SKIP.cordova_uuid) {
			deviceInfo = device.uuid;
			channelName = device.channelName || '';
		}
		TalkingData.onEvent("02006注册页-注册按钮");
		
		// 注册请求  
		callAppApi({
//		  url: '/app/register',
		  url: registerUrl,
		  type: 'POST',
		  accountId: userName,
		  params: {
			accountName: userName,
			accountPwd: md5(userPwd).toUpperCase(),
			deviceInfo: deviceInfo,
			smsCode: veriCode,
			smsId: smsId,
			channelName:channelName,
			userAgent:window.navigator.userAgent,
			accountSHAPwd:SHA256(userPwd).toString().toUpperCase()
		  },
		  successCallback: function(data) {
			  // 注册成功清除定时器
			  clearInterval(registerMessageTimeCount);
			  clearInterval(registerVoiceTimeCount);
//			  	login(userName, userPwd, fromPage);
//			  	login({
//			  		userName:userName,
//			  		userPwd:userPwd,
//			  		fromPage:fromPage
//			  	})
			  	
			  	f7.alertMessage('注册成功');
			  	
			  	var timeA = setTimeout(function() {
			  		login(data);
			  	}, 3000)

			  
				TalkingData.onPageEnd("注册成功所需时间");
				TalkingData.onEventWithLabel('注册', '点击注册，并成功');
				TalkingData.onEventWithExtraData('用户注册', '注册成功', {
					 userId: '无',
					 mmo:userName,
					 eventtype:'03',
					 businesstype:'09',
				});
				
		  },
		  errorCallback: function(errMsg) {
			// 注册失败清除定时器
			//clearInterval(registerTimeCount);
//			  	renderVerifyImgCodeFunc();
				TalkingData.onEventWithExtraData('用户注册', '注册失败', {
					 userId: '无',
					 mmo:userName,
					 eventtype:'03',
					 businesstype:'09',
				}) 
		  }
		});
	});
	
	$('#registerLoginBtn').on('click', function() {
		// 跳转到登陆页清除定时器
		clearInterval(registerMessageTimeCount);
		clearInterval(registerVoiceTimeCount);
		
		mainView.loadPage('login.html');

		TalkingData.onEventWithLabel('注册', '已有账号请登录');
		TalkingData.onEvent("02007注册页-已有账号、请登录");
	});
	
	$('.login-clear').hide();
	
	// 清除前一个input元素的值。
	$('.login-clear').on('click', function() {
	  $(this).prev('input').val('');
	});

	// 表单元素获取焦点后隐藏工具栏
	$('input').on('focus', function() {
	  $('#toolbar').hide();
	  $(this).parent().find('.login-clear').show();
	});

	// 表单元素失去焦点后显示工具栏
	$('input').on('blur', function() {
	  $('#toolbar').show();
	  var that = this
	  setTimeout(function(){
		$(that).parent().find('.login-clear').hide();
	  },200)
	});
	
	// 注册页面手机号输入埋点
	$('#register_username').on('focus', function() {
		TalkingData.onEvent("02002注册页-手机号输入");
	});
	
	// 验证码输入埋点
	$('#register_code').on('focus', function() {
		TalkingData.onEvent("02004注册页-验证码输入");
	});
	
	// 密码输入埋点
	$('#register_pwd').on('focus', function() {
		TalkingData.onEvent("02005注册页-密码输入");
	});
	$('.register-eye').off('click').on('click',function(){
		var input = $(this).parent().find('input');
		if(input.hasClass('input-pwd')){
			input.removeClass('input-pwd').attr('type','text');
			$(this).removeClass('login-openeyes').addClass('login-closeeyes');
		}else {
			input.addClass('input-pwd').attr('type','password');
			$(this).addClass('login-openeyes').removeClass('login-closeeyes');
		}
		
	})
  
  $("#registerPage .navbar .left .back").on('click', function() {
	// 跳转到登陆页清除定时器
		clearInterval(registerMessageTimeCount);
		clearInterval(registerVoiceTimeCount);
		TalkingData.onEventWithLabel('注册', '返回');
		TalkingData.onEvent("02001注册页-返回按钮");
	});
	function login(options) {
		var userName = options.accountName;
		var userPwd = options.accountPwd;
		var targetPage = options.targetPage;
		var accountSHAPwd = options.accountSHAPwd;
//		var verifyCodeId = options.verifyCodeId;
//		var verifyCodeValue = options.verifyCodeValue;
//		var verifyCodeType = options.verifyCodeType;
		var url = '/api/login';
		var targetUrl = '';
		if (typeof targetPage === 'undefined') {
			targetUrl = 'index.html';
		} else {
			targetUrl = targetPage + '.html';
		}
		
		var baseParams = {
			accountName : userName,
			accountPwd : userPwd,
			appName:'APP_USER',
			loginLongitude: '',
			loginLatitude: '',
			deviceInfo:deviceInfo,
			accountSHAPwd:accountSHAPwd
		};
		
		function loginFunc() {
			callAppApi({
				url : url,
				type : 'POST',
				accountId: userName,
				params : baseParams,
				successCallback : function(data) {
					localStorage.setItem('loginStatus', JSON.stringify(data));
					//lisai  2017年3月23日14:17:56 登陆改造  若用户从小件均登录可获取到用户信息 
					var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
					
					TalkingData.onEventWithExtraData('用户登录', '登录成功', {
						 userId: loginStatus.userId,
						 mmo:userName,
						 eventtype:'03',
						 businesstype:'09',
					}) 
					callAppApi({
						  url: '/app/userInfo',
						  type: 'POST',
						  params: {
							  userId: loginStatus.userId,
							  isOldUser: loginStatus.oldUser,
							  oldId: loginStatus.oldId,
							  userSession: loginStatus.userSession
						  },
						  successCallback: function(response) {
							  
							  loginStatus.userPhoneNumber = response.userPhoneNumber;
							  
							  localStorage.setItem('loginPhone', response.userPhoneNumber);//保存用户登录手机号！
							  
							  localStorage.setItem('loginStatus', JSON.stringify(loginStatus));
							  
							  localStorage.setItem('userInfo', JSON.stringify(response));//lisai
						  },
						  errorCallback: function(err) {}
					  });
					  
				      var gestureStatusTemp = JSON.parse(localStorage.getItem('gestureStatus'));
				      
				      if (gestureStatusTemp.userId !== '' && gestureStatusTemp.userId !== loginStatus.userId) {
				    	  resetGestureStatus();
				      }
				      
				      callAppApi({
				    	  url: '/user/query/config',
				    	  type: 'POST',
				    	  params: {
				    		  userId: loginStatus.userId,
				    	  },
				    	  successCallback: function(res) {
				    		  
				    		  var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));

				    		  
				    		  function updateGestureStatus(gestureRes) {
								  // 更新手势密码配置
					    		  gestureStatus.userId = loginStatus.userId;
					    		  gestureStatus.isFirst = false;
								  gestureStatus.gestureLine = gestureRes.gestureLine;
								  gestureStatus.gesturePwd = gestureRes.gesturePwd;
								  gestureStatus.gestureTime = gestureRes.gestureTime;
						    	  localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
				    		  }
					    	  
					    	  var version = JSON.parse(localStorage.getItem('version'));
					    	  if (res.gesturePwd == false && gestureStatus.isFirst && (version.appVersionCode == 20180329 || res.gestureTime == false)) {
					    		  updateGestureStatus(res);
					    		  
								  mainView.router.load({
									  url: 'setGesture.html',
									  force: true,
									  query: {
										  fromPage: 'login',
										  rejectComefrom:'register'
									  }
								  });
					    	  } else {
					    		  
					    		  updateGestureStatus(res);
					    		  
								  mainView.router.load({
									  url: targetUrl,
									  animatePages: false,
									  query: {
										  fromPage: 'login',
										  rejectComefrom:'register'
									  }
								  });
					    	  }
					    	  
					    	  
				    	  },
				    	  errorCallback: function(err) {}
				      });
				},
				errorCallback: function(msg, err) {
					
					if (options.errorCallback) { options.errorCallback(msg, err) }
					
					TalkingData.onEventWithExtraData('用户登录', '登录失败', {
						 userId: '无',
						 mmo:userName,
						 eventtype:'03',
						 businesstype:'09',
					}) 
				}
			});
		}
		
		loginFunc();
	}
  }
  
  return {
	render: render
  }
});
