define([
  'js/utilities',
  'containers/resetGesture/resetGestureView'
], function(
  utilities,
  resetGestureView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  if (mainView.activePage.name == 'resetGesture') {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

		  // 隐藏工具栏
		  f7.hideToolbar('#toolbar');
		  
		  callAppApi({
			  url: '/gesture/query/errorCount',
			  type: 'POST',
			  params: {
			      accountName: '',
				  userId: loginStatus.userId,
				  queryType: '0',					// 查询类型： '0' - 手势&登录密码    '1' - 手势， '2' - 登录密码
				  gestureType: '3',					// 错误类型： '1' - 登录，  '2' - 关闭， '3' - 修改
			  },
			  successCallback: function(res) {
				  resetGestureView.render(Object.assign(res, query));
			  },
			  errorCallback: function(err) {}
		  })
	  }
	  

  }
  
  return {
	init: init,
  };
});