define([
    'jquery',
    'js/utilities',
	'js/gesture',
	'js/sha256',
    'hbs!containers/setGesture/setGesture',
], function(
	$$,
    utilities,
    gesturePlugin,
    SHA256,
    setGestureTemplate
) {
	var $ = Framework7.$;
	var gesturePassword = gesturePlugin.gesturePassword;
	var GestureView = gesturePlugin.GestureView;
	var callAppApi = utilities.callAppApi;
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));
		
		var step = '0';
		var stepPsd = '';
		
		var gesturePromptList = [
  		    '请绘制手势密码图案，至少连接5个点',
  		    '请再次绘制手势密码图案',
  		    '正在设置中，请您耐心等待......',
  		    '请绘制原手势密码图案',
  		];
  		var gestureErrList = [
  		    '至少连接5个点，请重新绘制',
  		    '两次图案不一致，请重新绘制',
  		    '密码错误，还可绘制n次'
  		];
  		
  		var iconRightText = '';
  		var iconRightClass = 'gestureClose';
  		if (params.fromPage == 'login') {
  			iconRightText = '关闭';
  			iconRightClass = 'gestureClose';
  		} else {
  			iconRightText = '重设';
  			iconRightClass = 'gestureClose hide';
  		}
		
		loadComponent('navbar', 'common', {
	    	container: '#setGestureNavbar',
	    	title: '设置手势密码',
	    	backId: 'setGestureBackBtn',
	    	isBackIcon: true,
	    	isBack: false,
	    	iconRightId: 'setGestureBtn',
	    	iconRightStatus: true,
			iconRight: iconRightText,
			iconRightClass: iconRightClass,
	    	callback: function() {
	    		$('#setGestureBackBtn').on('click', function() {
					if (params.fromPage == 'login') {
	    				f7.modal({
	    					text: '关闭后，可到“我-设置”中手动开启',
	    					buttons: [
	    					    {
	    					    	text: '<span style="color: #999;">取消</span>',
	    					    },
	    					    {
	    					    	text: '<span>确定</span>',
	    					    	onClick: function() {
	    					    		mainView.router.back({
	    					    			url: 'index.html',
	    					    			force: true,
	    					    			query: {
	    					    				fromPage: 'setGesture',
	    					    				rejectComefrom:params.rejectComefrom
	    					    			}
	    					    		});
	    					    	}
	    					    }
	    					]
	    				})
					} else if (params.fromPage == 'setting') {
	    				
	    				mainView.router.back({
	    					url: 'setting.html',
	    					force: true,
	    					query: {
	    						fromPage: 'setGesture'
	    					},
	    				})
	    			} else if (params.fromPage == 'resetGesture') {
	    				
	    				mainView.router.back({
	    					url: 'resetGesture.html',
	    					force: true,
	    					query: {
	    						fromPage: 'resetGesture'
	    					},
	    				})
	    			}
	    		})
	    		
	    		$('#setGestureBtn').on('click', function() {
	    			
	    			if (params.fromPage == 'login' && step == '0') {
	    				
	    				f7.modal({
	    					text: '关闭后，可到“我-设置”中手动开启',
	    					buttons: [
	    					    {
	    					    	text: '<span style="color: #999;">取消</span>',
	    					    },
	    					    {
	    					    	text: '<span>确定</span>',
	    					    	onClick: function() {
	    					    		mainView.router.back({
	    					    			url: 'index.html',
	    					    			force: true,
	    					    			query: {
	    					    				fromPage: 'setGesture',
	    					    				rejectComefrom:params.rejectComefrom
	    					    			}
	    					    		});
	    					    	}
	    					    }
	    					]
	    				})
	    				
	    			} else {
		    			// 重置为第一步
		    			step = '0';
		    			// 重置提示信息
		    			$('#gesturePrompt').text(gesturePromptList[0]);
		    			// 重置错误信息
		    			$('#gestureErr').text('');
		    			// 清空手势密码图案展示
		    			gestureViewInstance.reset();
		    			
		    			if (params.fromPage == 'login') {
                            // 更新navbar右上角按钮文字
                            $('#setGestureBtn > span').text('关闭');
		    			} else {
		    			    $('#setGestureBtn > span').addClass('hide');
		    			}
	    			}

	    		})
	    	}
	    });
	    
		$('#setGestureContent').html(setGestureTemplate({
			
		}));
		
		var gestureViewInstance = new GestureView('#setGestureViewList');
		
		gesturePassword($$('#gestureArea'), {
			backgroundColor: 'transparent',
			color: '#f9ddcc',
			roundRadii: 36.5,
			pointRadii: 10,
			spaceHorizontal: 47,				// 圆圈之间的水平边距
			spaceVertical: 40,					// 圆圈之间的垂直边距
			paddingTop: 20,						// 上内边距
			paddingLeft: 30,					// 左内边距
			width: 375,
			height: 340,
			visibleLineStatus: false,
			lineColor: '#ff711e',
			rightColor: '#ff711e',
			wrongColor: 'red',
			zindex: 100,
			activePointCallback: function(activePointNum, pointList) {
				if (step == '0') {
					// 第一次绘制手势密码
					gestureViewInstance.update(pointList)
					
				}
			},
//			passwdWrongCallback: function() {
//				gestureViewInstance.reset();
//			},
		});
		
		$$('#gestureArea').on('hasPasswd', function(e, passwd) {
			
			if (step == '0') {
				// 手势必须连接五个点
				if (passwd.length < 5) {
					// 更新提示信息
					$('#gesturePrompt').text('');
					// 更新错误信息
					$('#gestureErr').text(gestureErrList[0])
					// 清空手势密码图案展示
					gestureViewInstance.reset();
					
					// 触发错误事件
					$$("#gestureArea").trigger("passwdWrong");
				} else {
					step = '1';
					
					// 显示重设按钮
					$('#setGestureBtn > span').removeClass('hide');
					// 更新提示信息
					$('#gesturePrompt').text(gesturePromptList[1]);
					// 更新错误信息
					$('#gestureErr').text('');
					
					// 第一次绘制手势密码
					$('#gestureArea').trigger('passwdRight');
					
					// 存储首次手势密码
					stepPsd = passwd.toString();
					
					if (params.fromPage == 'login') {
						// 更新navbar右上角按钮文字
						$('#setGestureBtn > span').text('重设');
					}
				}
			} else if (step == '1') {
				// 确认手势密码
				var curPasswd = passwd.toString();
				
//				if (curPasswd.length < 5) {
//					// 更新提示信息
//					$('#gesturePrompt').text('');
//					// 更新错误信息
//					$('#gestureErr').text(gestureErrList[1]);
//
//					// 触发错误事件
//					$$("#gestureArea").trigger("passwdWrong");
//				} else {
					if (curPasswd == stepPsd) {
						// 隐藏重试按钮
						$('#setGestureBtn > span').addClass('hide');
						
						// 更新提示信息
						$('#gesturePrompt').text(gesturePromptList[2]);
						// 更新错误信息
						$('#gestureErr').text('');
						// 手势触发成功
						$("#gestureArea").trigger("passwdRight");
						
						if (params.fromPage == 'resetGesture') {
							
							var updatePwdParams = {
								userId: loginStatus.userId,
								oldGesturePwd: '',
								oldAccountPwd: '',
								newGesturePwd: SHA256(curPasswd).toString(),
								queryType: '',								// '1' - 手势， '2' - 登录密码
							};
							
							if (params.resetGestureType == 'gesturePwd') {
								updatePwdParams.oldGesturePwd = params.gesturePwd;
								updatePwdParams.queryType = '1';
							} else if (params.resetGestureType == 'loginPwd') {
								updatePwdParams.oldAccountPwd = params.loginPwd;
								updatePwdParams.queryType = '2';
							}
							
							callAppApi({
								url: '/gesture/update/pwd',
								type: 'POST',
								params: updatePwdParams,
								successCallback: function(res) {
									if (res.updatePwdResult == 	true) {
                                        if (gestureStatus.userId == loginStatus.userId) {
                                            gestureStatus.gesturePwd = true;
                                            localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
                                        }

										mainView.router.load({
											url: 'setGestureMenu.html',
											query: {
												fromPage: 'setGesture',
											}
										});
									} else if (res.updatePwdResult == false) {
										f7.alertMessage('更新手势密码失败');
									}
								},
								errorCallback: function(err) {}
							})
						} else {
							callAppApi({
								url: '/gesture/add/pwd',
								type: 'POST',
								params: {
									userId: loginStatus.userId,
									gesturePwd: SHA256(curPasswd).toString(),
								},
								successCallback: function(res) {
									if (res.addResult == true) {

										if (gestureStatus.userId == loginStatus.userId) {
                                            gestureStatus.gesturePwd = true;
                                            localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
										}
										
										if(params.rejectComefrom == 'register'){
											mainView.router.back({
												url: 'index.html',
												force: true,
												query: {
													fromPage: 'setGesture',
												}
											});
										}else{
											mainView.router.load({
												url: 'setting.html',
												query: {
													fromPage: 'setGesture',
												}
											});
										}

									} else if(res.addResult == false) {
										f7.alertMessage('新增手势密码失败');
									}
								},
								errorCallback: function(err) {}
							})
						}
						

					} else {
						// 更新提示信息
						$('#gesturePrompt').text('');
						// 更新错误信息
						$('#gestureErr').text(gestureErrList[1]);
						// 手势触发失败
						$("#gestureArea").trigger("passwdWrong");
					}
//				}
			}
		})
	}
	
	return {
		render: render
	}
})