define([
    'jquery',
    'js/utilities',
    'hbs!containers/setGestureMenu/setGestureMenu',
], function(
	$$,
	utilities,
    setGestureMenuTemplate
) {
	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		loadComponent('navbar', 'common', {
	    	container: '#setGestureMenuNavbar',
	    	title: '设置手势密码',
	    	backId: 'setGestureMenuBackBtn',
	    	isBackIcon: true,
	    	isBack: false,
	    	callback: function() {
	    		$('#setGestureMenuBackBtn').on('click', function() {
    				mainView.router.back({
    					url: 'setting.html',
    					force: true,
    					query: {
    						fromPage: 'setGestureMenu',
    					}
    				});
	    		})
	    	}
	    });
		
		var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));
		var gestureLine = gestureStatus.gestureLine;

		$('#setGestureMenuContent').html(setGestureMenuTemplate({
			closeGestureLine: !gestureLine,
		}));
		
		$('#gestureLocusLabel').on('click', function() {
			
			setTimeout(function() {
				var target = $('#gestureLocusSwitch');
				
				if (target[0].checked == true) {
					callAppApi({
						url: '/gesture/update/line',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							gestureLine: '0',				// '1' - 打开手势轨迹， '0' - 关闭手势轨迹
						},
						successCallback: function(res) {
							if (res.updateLineResult == true) {
								gestureStatus.gestureLine = false;
								localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
							} else if (res.updateLineResult == false) {
								f7.alertMessage('手势轨迹关闭失败，请稍候重试');
								target[0].checked = true;
							}
						},
						errorCallback: function(err) {
							target[0].checked = true;
						}
					})
				} else {
					callAppApi({
						url: '/gesture/update/line',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							gestureLine: '1',				// '1' - 打开手势轨迹， '0' - 关闭手势轨迹
						},
						successCallback: function(res) {
							if (res.updateLineResult == true) {
								gestureStatus.gestureLine = true;
								localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
							} else if (res.updateLineResult == false) {
								f7.alertMessage('手势轨迹打开失败，请稍候重试');
								target[0].checked = false;
							}
						},
						errorCallback: function(err) {
							target[0].checked = false;
						}
					})
				}
			}, 0);
		})
		
		$('#resetGestureMenuBtn').on('click', function() {
			mainView.router.load({
				url: 'resetGesture.html',
				query: {
					fromPage: 'setGestureMenu'
				}
			});
		})
	}
	
	return {
		render: render
	}
})