define([
  'app',
  'js/utilities',
  'containers/setting/settingView'
], function(
  myApp,
  utilities,
  settingView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  var getDeviceType = myApp.getDeviceType;

  function init(query) {
	  
	  if (mainView.activePage.name == 'setting') {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  var version = JSON.parse(localStorage.getItem('version'));
		  
		  // 隐藏工具栏
		  f7.hideToolbar('#toolbar');
		  
		  callAppApi({
			  url: '/api/checkVersion',
			  type: 'POST',
			  apiVersion: '1.1',
			  params: {
				appName: 'APP_USER',
				deviceType: getDeviceType(),
				appVersionName: "未定义",
				appVersionCode: version.appVersionCode,
			  },
			  successCallback: function(response) {
				  
				  callAppApi({
					  url: '/user/query/config',
					  type: 'POST',
					  params: {
						  userId: loginStatus.userId,
					  },
					  successCallback: function(gestureQueryRes) {
						  
						  var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));
						  gestureStatus.gestureLine = gestureQueryRes.gestureLine;
						  gestureStatus.gesturePwd = gestureQueryRes.gesturePwd;
						  localStorage.setItem('gestureStatus', JSON.stringify(gestureStatus));
						  
						  settingView.render(Object.assign({
							  isUpdateKey: response.appVersionCode > version.appVersionCode ? true : false
						  }, 
						  {
							  versionData: response,
							  gestureStatus: gestureQueryRes.gesturePwd,
							  fromPage: query.fromPage,
						  }));
					  },
					  errorCallback: function(err) {}
				  })
				  

			  },
			  errorCallback: function(err) {
				  
			  }
		  })
	  }
  }
  
  return {
	init: init,
  };
});
