define([
  'js/utilities',
  'educationContainers/educationCheckUserIdCard/educationCheckUserIdCardView'
], function(
  utilities,
  checkUserIdCardView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
	
  function init(query) {

    var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  
	// 隐藏底部工具栏
	if (mainView.activePage.name === 'educationCheckUserIdCard') {
		f7.hideToolbar('#toolbar');
	}

	callAppApi({
        url: '/app/credit/audit/infoQuery',
        type: 'POST',
        params: {
            userId: loginStatus.userId,
            baseBusinessType: '003001'
        },
        successCallback: function(creditRes) {
            queryAdultRes = creditRes.infoData;

            var creditEvidenceHoldIdCardArr = [];

            var picList = creditRes.picList;
            if(picList && picList.length>0){
                for(var i = 0;i < picList.length;i++){
                    if(picList[i].picType === '1'){
                        for(var j = 0;j< picList[i].picDataArray.length;j++){
                           if(picList[i].picDataArray[j].picSubType === '13' && picList[i].picDataArray[j].picSubDataArray.length > 0){
                               var creditEvidenceHoldIdCardTemp = [{
                                    picId: picList[i].picDataArray[j].picSubDataArray[0].picId,
                                    picType: picList[i].picDataArray[j].picSubDataArray[0].picType,
                                    picName: picList[i].picDataArray[j].picSubDataArray[0].picName,
                                    cloudKey: picList[i].picDataArray[j].picSubDataArray[0].cloudKey,
                                    cloudUrl: picList[i].picDataArray[j].picSubDataArray[0].cloudUrl,
                                    mIsCheck: picList[i].picDataArray[j].picSubDataArray[0].mIsCheck,
                                    checkResult: picList[i].picDataArray[j].picSubDataArray[0].checkResult,
                                    checkResultArray: picList[i].picDataArray[j].picSubDataArray[0].checkResultArray,
                                    otherContent: picList[i].picDataArray[j].picSubDataArray[0].otherContent
                               }];
                               queryAdultRes.creditEvidenceHoldIdCard = JSON.stringify(creditEvidenceHoldIdCardTemp);
                           }
                       }

                    }
                }
            }

            if (queryAdultRes.creditEvidenceHoldIdCard !== '' && queryAdultRes.creditEvidenceHoldIdCard !== '[null]' && queryAdultRes.creditEvidenceHoldIdCard) {
                  creditEvidenceHoldIdCardArr = JSON.parse(queryAdultRes.creditEvidenceHoldIdCard);
            }

            checkUserIdCardView.render({
                orderId: query.orderId,
                // 记录剩余次数
                faceTimes: query.faceTimes,
                auditInfoId: query.auditInfoId,
                creditRes: query.creditRes,
                HoldIdCardArr: creditEvidenceHoldIdCardArr,
            });

        },
        errorCallback: function(err) {}
    })

  }

  return {
	init: init
  };
});
