define([
  'familyDecorationOnline/familyDecorationOnlineComponents/authentication/authStep2/authStep2View',
  'js/utilities'
], function(
  authStep2View,
  utilities
) {
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  
  function init(query) {
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
	  var defaultWorkInfo = JSON.parse(localStorage.getItem('workInfoData_' + loginStatus.userId));
	  defaultWorkInfo = defaultWorkInfo !== null ? defaultWorkInfo : '';
	  
	  //根据企业主和上班族显示不同elementList
	  var elementsList;
	  if(query.userType=='001'){//上班族
		elementsList = [
							{
								"elementId": "594bca832e870307cdd415fe",
								"domId": "userWorkName",
								"elementCode": "001002",
								"type": "text",
								"name": "userWorkName",
								"label": "单位名称",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "请输入单位名称",
								"defaultValue": defaultWorkInfo.userWorkName || "",
								"selectList": [],
								"option": [],
								"validStatus": "1"
							},
							{
								"elementId": "594bcb5d2e870307cdd41662",
								"domId": "userWorkAddress",
								"elementCode": "001002",
								"type": "location",
								"name": "userWorkAddress",
								"label": "单位地址",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "请选择城市",
								"defaultValue": defaultWorkInfo.userWorkAddressCode || "",
								"selectList": [],
								"option": [],
								"validStatus": "1"
							},
							{
								"elementId": "594bcb9f2e870307cdd41688",
								"domId": "userWorkFullAddress",
								"elementCode": "001002",
								"type": "text",
								"name": "userWorkFullAddress",
								"label": "详细地址",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "请填写路名及具体门牌",
								"defaultValue": defaultWorkInfo.userWorkFullAddress || "",
								"selectList": [],
								"option": [],
								"validStatus": "1"
							},

							{
								"elementId": "594bc9d32e870307cdd415b9",
								"domId": "userWorkPhone",
								"elementCode": "001002",
								"type": "text",
								"name": "userWorkPhone",
								"label": "单位电话",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "区号+电话号码/手机号码",
								"defaultValue": defaultWorkInfo.userWorkPhone || "",
								"option": [],
								"validStatus": "1"
							},
							{
								"elementId": "594bc9fb2e870307cdd415c9",
								"domId": "userWorkDuty",
								"elementCode": "001002",
								"type": "select",
								"name": "userWorkDuty",
								"label": "职务职称",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "请选择职务",
								"defaultValue": defaultWorkInfo.userWorkDuty || "",
								"selectList": [
									{
										"value": "",
										"view": "请选择职务"
									},
									{
										"value": "高层管理人员",
										"view": "高层管理人员"
									},
									{
										"value": "中层管理人员",
										"view": "中层管理人员"
									},
									{
										"value": "基层管理人员",
										"view": "基层管理人员"
									},
									{
										"value": "一般正式员工",
										"view": "一般正式员工"
									},
									{
										"value": "一线操作工人",
										"view": "一线操作工人"
									},
									{
										"value": "销售人员",
										"view": "销售人员"
									},
									{
										"value": "个体经营者",
										"view": "个体经营者"
									},
									{
										"value": "兼职/临时工、自由职业者",
										"view": "兼职/临时工、自由职业者"
									}
								],
								"option": [],
								"validStatus": "1"
							},
							{
								"elementId": "594bca332e870307cdd415df",
								"domId": "userMonthlyIncome",
								"elementCode": "001002",
								"type": "text",
								"name": "userMonthlyIncome",
								"label": "月收入",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "请输入月收入金额",
								"defaultValue": defaultWorkInfo.userMonthlyIncome || "",
								"selectList": [],
								"option": [],
								"validStatus": "1"
							},
							{
								"elementId": "594bca5d2e870307cdd415ef",
								"domId": "userWorkTime",
								"elementCode": "001002",
								"type": "time",
								"name": "userWorkTime",
								"label": "入职日期",
								"visibleStatus": "true",
								"disabledStatus": "false",
								"placeholder": "请选择入职日期",
								"defaultValue": defaultWorkInfo.userWorkTime || "",
								"selectList": [],
								"option": [],
								"validStatus": "1"
							}
						]
	  }else{//企业主
		elementsList = [
            {
                "elementId":"594bcb212e870307cdd4162f",
                "domId":"userBusinessName",
                "elementCode":"002002",
                "type":"text",
                "name":"userBusinessName",
                "label":"企业名称",
                "visibleStatus":"true",
                "disabledStatus":"false",
                "placeholder":"请输入企业名称",
                "defaultValue":defaultWorkInfo.userBusinessName || "",
                "selectList":[],
                "option":[],
                "validStatus":"1"
            },
            {
                "elementId":"594bcc612e870307cdd416da",
                "domId":"userBusinessAddress",
                "elementCode":"002002",
                "type":"location",
                "name":"userBusinessAddress",
                "label":"经营场所",
                "visibleStatus":"true",
                "disabledStatus":"false",
                "placeholder":"请选择城市",
                "defaultValue":defaultWorkInfo.userBusinessAddressCode || "",
                "selectList":[],
                "option":[],
                "validStatus":"1"
            },
            {
                "elementId":"594bcc902e870307cdd416e9",
                "domId":"userBusinessDetailAddress",
                "elementCode":"002002",
                "type":"textArea",
                "name":"userBusinessDetailAddress",
                "label":"详细地址",
                "visibleStatus":"true",
                "disabledStatus":"false",
                "placeholder":"请填写经营场所的路名及具体门牌",
                "defaultValue":defaultWorkInfo.userBusinessDetailAddress || "",
                "selectList":[],
                "option":[],
                "validStatus":"1"
            },
            {
                "elementId":"594bccb62e870307cdd41702",
                "domId":"userBusinessProperty",
                "elementCode":"002002",
                "type":"select",
                "name":"userBusinessProperty",
                "label":"经营场所性质",
                "visibleStatus":"true",
                "disabledStatus":"false",
                "placeholder":"请选择经营场所性质",
                "defaultValue":defaultWorkInfo.userBusinessProperty || "",
                "selectList":[
                    {
                        "value":"",
                        "view":"请选择经营场所性质"
                    },
                    {
                        "value":"租用",
                        "view":"租用"
                    },
                    {
                        "value":"自有房产",
                        "view":"自有房产"
                    }
                ],
                "option":[],
                "validStatus":"1"
            },
            {
                "elementId":"594bcce62e870307cdd4171f",
                "domId":"userBusinessTime",
                "elementCode":"002002",
                "type":"time",
                "name":"userBusinessTime",
                "label":"企业成立日期",
                "visibleStatus":"true",
                "disabledStatus":"false",
                "placeholder":"请选择营业执照上的成立日期",
                "defaultValue":defaultWorkInfo.userBusinessTime || "",
                "selectList":[],
                "option":[],
                "validStatus":"1"
            },
            {
                "elementId":"594bcd332e870307cdd4175f",
                "domId":"userBusinessPhone",
                "elementCode":"002002",
                "type":"text",
                "name":"userBusinessPhone",
                "label":"单位电话",
                "visibleStatus":"true",
                "disabledStatus":"false",
                "placeholder":"区号+电话号码/手机号码",
                "defaultValue":defaultWorkInfo.userBusinessPhone || "",
                "option":[],
                "validStatus":"1"
            }
        ]
	  }
	  authStep2View.render({
		  userType: query.userType,
		  adultCreditRes: query.adultCreditRes,
		  fromPage: query.fromPage,
		  workInfoHtml: {
			    "baseUserId": "",
			    "baseOrderId": "",
			    "baseBusinessType": "",
			    "baseDevelopmentNotes": "查询页面信息正常",
			    "filterRuleId": "",
			    "pageCode": "001002",
			    "currentPageName": "workInfo",
			    "prePageCode": "001001",
			    "nextPageCode": "001003",
			    "title": "额度申请-工作信息",
			    "formId": "workInfo",
			    "indicationStatus": "true",
			    "basicInfo": null,
			    "workInfo": null,
			    "contactsInfo": null,
			    "elementsList": elementsList,
			}
	  });
  }
  
  return {
	init: init,
  };
});