define([
    'jquery',
    'js/config',
    'js/utilities',
    'js/validator',
    'js/router',
    'familyDecorationOnline/familyDecorationOnlineContainers/chooseGoods/chooseGoodsHelper',
    'hbs!familyDecorationOnline/familyDecorationOnlineContainers/chooseGoods/chooseGoods',
    'hbs!components/chooseGoods/chooseGoodsItem',
    'hbs!components/common/button/button'
], function(
	$$,
	config,
	utilities,
	validator,
	Router,
	chooseGoodsHelper,
	chooseGoodsTemplate,
	chooseGoodsItemTemplate,
	buttonTemplate
) {
	var SKIP = config.SKIP;
	var callAppApi = utilities.callAppApi;
	var getLngAndLat = utilities.getLngAndLat;
	var infoQueryRouter = utilities.infoQueryRouter;
    var checkBankNo = validator.checkBankNo;
    var checkBankId = validator.checkBankId;
	
	var doWithQRCode = chooseGoodsHelper.doWithQRCode;

	// 字段栏重置方法
	var resetGoodsPrice = chooseGoodsHelper.resetGoodsPrice;
	var resetCredit = chooseGoodsHelper.resetCredit;
	var resetGoodsProduct = chooseGoodsHelper.resetGoodsProduct;
	var resetGoodsStageNum = chooseGoodsHelper.resetGoodsStageNum;
	var resetProtocolName = chooseGoodsHelper.resetProtocolName;
	var resetProtocolNum = chooseGoodsHelper.resetProtocolNum;
	var resetProtocolTime = chooseGoodsHelper.resetProtocolTime;
	var resetFirstPayment = chooseGoodsHelper.resetFirstPayment;
	var resetLinedownPayment = chooseGoodsHelper.resetLinedownPayment;
	var resetEachPayment = chooseGoodsHelper.resetEachPayment;

	// 回显事件绑定方法
	var chooseStoreGoodeChange = chooseGoodsHelper.chooseStoreGoodeChange;
	var changeProductPrice = chooseGoodsHelper.changeProductPrice;
	var goodsProductChange = chooseGoodsHelper.goodsProductChange;
	var goodsStageNumChange = chooseGoodsHelper.goodsStageNumChange;
	var goodsSuitePlanDetailChange = chooseGoodsHelper.goodsSuitePlanDetailChange;
	var getGoodsPriceChange = chooseGoodsHelper.getGoodsPriceChange;
	
	var contractTitle = '';			// 家装协议名称
	
	function render(params) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		var userName = '';
		var storeUserId = '';		// 店员id
		var storeUserName = '';		// 店员名称
		var storeId = '';			// 门店id
		var storeName = '';			// 门店名称
		var supplierId = '';		// 供应商id
		
		var courseList = []; 		// 产品列表数组
		var courseId = '';			// 产品id
		var courseName = '';		// 产品名称
		var coursePrice = '';		// 产品价格
		var creditPrice = '';		// 分期金额
		var offlinePay = '';		// 线下支付
		var instalmentAmount = '';  // 可用额度
		
		var protocolName = '';		// 协议名称
		var protocolTime = '';		// 协议签订时间

		var isFirstOrder = true;	// 是否首次下单，用于判断可用额度是否显示
		
		var isResetProtocal = true; // 是否重置合同
		
		var defaultDecorationGoodsInfo = JSON.parse(localStorage.getItem('defaultDecorationGoodsInfo_' + loginStatus.userId));
		defaultDecorationGoodsInfo = defaultDecorationGoodsInfo ? defaultDecorationGoodsInfo : '';
		
		var locatiionChooseGoodsListData = JSON.parse(localStorage.getItem('locatiionChooseGoodsListData' + '_' + loginStatus.userId));
		locatiionChooseGoodsListData = locatiionChooseGoodsListData ? locatiionChooseGoodsListData : {};
//		params.fromPage = "uploadIdCard";
		if(params.fromPage == "uploadIdCard"){//创建订单时 授信过期导致重新走流程 不需要回显
			defaultDecorationGoodsInfo = '';
			locatiionChooseGoodsListData = {};
		}
		
		if (params.creditRes.serviceRespData) {
				instalmentAmount = params.creditRes.serviceRespData.creditAvailableAmount;
		}
		
		if (parseInt(instalmentAmount) > 0) {
		    isFirstOrder = false;
		}
		
		if(parseFloat(instalmentAmount) < 0){
			instalmentAmount = '0';
		}

		var chooseGoodsData = {
			module: [
			    {
			    	formId: 'chooseGoodsPriceForm',
			    	dataList: [
			    	    {
							id: 'goods',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '商品/服务',
							selectList: [
								{
									default: true,
									value: defaultDecorationGoodsInfo.goodsSellName || '请扫码再选择商品',
									view: defaultDecorationGoodsInfo.goodsSellName || '请扫码再选择商品',
								}
							]
			    	    },
						{
							id: 'goodsPrice',
							type: 'suffixText',
							visibleStatus: true,
							disabled: true,
							label: '装修总价',
							placeholder: '请输入总金额',
							suffix: '元',
							value: defaultDecorationGoodsInfo.orderProductPrice || '',
							view: (defaultDecorationGoodsInfo.orderProductPrice) || '',
						}
			    	]
			    },
			    {
			    	formId: 'chooseGoodsBlock',
			    	dataList: []
			    },
			    {
			    	formId: 'chooseGoodsStageForm',
			    	dataList: [
						{
							id: 'familyDecorationOnlineCredit',
							type: 'suffixText',
							visibleStatus: true,
							disabled: true,
							label: '分期金额',
							placeholder: '请输入期望申请的金额',
							suffix: '元',
							suffixWidden: isFirstOrder ? '' : '可用额度' + instalmentAmount + '元',
							value: defaultDecorationGoodsInfo.goodsSuiteStagePrice || ''
						},
						{
							id: 'goodsProduct',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '分期产品',                         
							selectList: [
								{
									value: defaultDecorationGoodsInfo.goodsProductName || '请选择分期产品',
									view: defaultDecorationGoodsInfo.goodsProductName || '请选择分期产品'
								}
							]
						},
						{
							id: 'goodsStageNum',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '期<span style="display: inline-block; width: 2em;"></span>数',
							selectList: [
								{
									value: defaultDecorationGoodsInfo.goodsSuiteStageNumber || '请选择期数',
									view: defaultDecorationGoodsInfo.goodsSuiteStageNumber || '请选择期数',
								}
							]
						},
						{
							id: 'firstPayment',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							label: '期初支付',
							placeholder: '0元',
							value: defaultDecorationGoodsInfo.goodsSuitePayFirstPrice || '',
							view: (defaultDecorationGoodsInfo.goodsSuitePayFirstPrice + '元') || ''
						},
						{
							id: 'linedownPayment',
							type: 'suffixText',
							visibleStatus: true,
							disabled: true,
							label: '线下支付',
							placeholder: '0元',
							suffixWider: '请联系工作人员现场缴纳',
							value: defaultDecorationGoodsInfo.goodsSuitePayInitialPrice || '',
							view: (defaultDecorationGoodsInfo.goodsSuitePayInitialPrice + '元') || ''
						},
						{
							id: 'eachPayment',
							type: 'suffixText',
							visibleStatus: true,
							disabled: true,
							label: '分期明细',
							suffixWidden: '查看详情>',
							suffixWiddenId: 'goodsDetials',
							placeholder: '',
							value: ''
						}
			    	]
			    },
			    {
			    	formId: 'chooseGoodsBlock1',
			    	dataList: [
			    		{
			    			id: 'blockTip',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							placeholder: '',
							label: '',
							value: ''
			    		}
			    	]
			    },
			    {
			    	formId: 'chooseGoodsProtocolForm',
			    	dataList: [
						{
							id: 'protocolName',
							type: 'select',
							visibleStatus: true,
							disabled: true,
							label: '装修合同名称',
							selectList: [
								{
									value: defaultDecorationGoodsInfo.contractTitle || '请选择合同名称',
									view: defaultDecorationGoodsInfo.contractTitle || '请选择合同名称',
								}
							]
						},
						{
							id: 'protocolTime',
							type: 'text',
							visibleStatus: true,
							disabled: true,
							placeholder: defaultDecorationGoodsInfo.contractSignDate || '请选择时间',
							label: '合同签订时间',
							value: defaultDecorationGoodsInfo.contractSignDate || ''
						},
			    	]
			    }
			]
		}
		
		// var pwdErrorCount = 1;						// 交易密码错误次数
		// var familyDecorationPwdStatus = true;		// 记录密码是否可用
		// if (
		// 	typeof localStorage.getItem('familyDecorationPwdErrorTime') == 'string' &&
		// 	localStorage.getItem('familyDecorationPwdErrorTime') !== '' &&
		// 	localStorage.getItem('familyDecorationPwdErrorTime') - Date.now() > 0
		// ) {
		// 	pwdErrorCount = 5;
		// 	familyDecorationPwdStatus = false;
		// }
		
		// var payOrderInputPwdStatus = false;			// 是否正在发送验证交易密码请求
				
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#chooseGoodsNavbar',
			title: '选择商品',
			backId: 'chooseGoodsBackBtn',
			isBackIcon: true,
			isBack: false,
			callback: function() {
				$$('#chooseGoodsBackBtn').on('click', function() {
					mainView.router.back({
						url: 'index.html',
						force: true
					});
				});
			}
		});
		
		// 渲染头部状态栏
		loadFamilyDecorationOnlineComponent('authenticationTabbar', 'authentication', {
			container: '#chooseGoodsTabbar',
			tabIndex: 1,
			pageType: 'orderPage'
		});
		
		// 渲染主页面
		$$('#chooseGoodsContent').html(chooseGoodsTemplate({
			templateData: chooseGoodsData,
			storeName: defaultDecorationGoodsInfo.storeName || "请扫码确认门店名称",
			isFirstOrder: isFirstOrder,
			instalmentAmount: instalmentAmount
		}));
		
		// 判断是否首次下单
		// if (isFirstOrder) {
		var chooseGoodsLimitTip = '<div class="warning">*以下额度以最终审核结果为准，您可在审核通过后调整分期方案</div>';
		$$('#chooseGoodsBlockBox').html(chooseGoodsLimitTip);
//		} else {
//		    resetCredit = function() {
//		        $$('#familyDecorationOnlineCredit').val('');
//		        $$('#familyDecorationOnlineCredit').attr('disabled', true);
//		        $$('#familyDecorationOnlineCredit').attr('placeholder','请输入金额');
//		        
//		    }
//		    
//		    $$('#familyDecorationOnlineCredit').attr('placeholder','请输入金额');
//		}
		
		if (!isFirstOrder) {
		    resetCredit = function() {
	          $$('#familyDecorationOnlineCredit').val('');
	          $$('#familyDecorationOnlineCredit').attr('disabled', true);
	          $$('#familyDecorationOnlineCredit').attr('placeholder','请输入金额');
	          
	      }
	      
	      $$('#familyDecorationOnlineCredit').attr('placeholder','请输入金额');
		}
		
		
		// 期初支付默认不显示
		resetFirstPayment();
		// 线下支付默认不显示
		resetLinedownPayment();

		var chooseGoodsProtocolTip = '<div class="warning">*请确保以下填写内容与装修合同文本保持一致</div>';
		$$('#chooseGoodsBlock1Box').html(chooseGoodsProtocolTip);
		
		var protocolTimeValue=[];
		// 初始化时间组件
		var today = new Date();
		var protocolTimeDate = f7.picker({
			input: '#protocolTime',
			rotateEffect: true,
			toolbarCloseText: '完成',
			value:'',	//[today.getFullYear(), today.getMonth(), today.getDate()]
			onChange: function (picker, values, displayValues) {
		        var daysInMonth = new Date(picker.value[0], picker.value[1]*1 + 1, 0).getDate();
		        if (values[2] > daysInMonth) {
		            picker.cols[3].setValue(daysInMonth);
		        }
		    },
			formatValue: function (p, values, displayValues) {
				var displayYear = values[0];
				var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
				var displayDay = (parseInt(values[2])) < 10 ? '0' + (parseInt(values[2])) : (parseInt(values[2])).toString();
				return displayYear + '-' + displayMonth + '-' + displayDay;
			},
			cols: [
				// year
				{
					values: (function() {
						var arr = [];
//						var curYear = today.getFullYear();
						var curYear = 2050;
						for (var i = 1950; i <= curYear; i++) { arr.push(i); }
						return arr;
					})()
				},
				{
					divider: true,
					content: '  '
				},
				// month
				{
					values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
					displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
				},
				// day
				{
					values: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31],
				}
			],
		    onOpen: function (picker) {	 
		    	protocolTimeDate.setValue([today.getFullYear(), today.getMonth(),today.getDate()]);
		    }
			
		});
		
		if (protocolTimeValue!=="" && protocolTimeValue.length>0) {
			var protocolTimeYear = protocolTimeValue.split("-")[0];
			var protocolTimeMonth = (parseInt(protocolTimeValue.split("-")[1]) - 1).toString();
			protocolTimeDate.setValue([protocolTimeYear, protocolTimeMonth]);
		}
		
		$$('#goods').parent().on('click.familyDecorationOnlineChooseGoods', function(){
			if ($$('#goods').val() == '请扫码再选择商品') {
				f7.alertMessage("请扫码再选择商品");
			}
		});
		
		$$('#QRcodeBtn').off('click.familyDecorationOnlineChooseGoods').on('click.familyDecorationOnlineChooseGoods', function() {
			
			// 是否跳过二维码扫描
			if (!SKIP.cordova_QRCode) {
				cordova.plugins.HrToolsPlugin.QrCodePlugin(scanCallbackStore, scanQrCodeError);
			} else {
				scanCallbackStore('*V|M|*111111');
			}
			
			function scanQrCodeError (error){
			    f7.alertMessage("二维码扫描失败，请重试！");
			};
			function scanCallbackStore(result) {
			    var objectID = doWithQRCode(result, getStoreUserStoreInfo);
			    return objectID;
			};
			
			
			// 通过店员id获取门店信息
			function getStoreUserStoreInfo(objectId) {
				storeUserId = objectId;
				// 根据店员id查询门店商品信息
				callAppApi({
					url: '/app/storeUserStoreInfo',
					type: 'POST',
					params: {
						storeUserId: objectId,
						businessType: '004003'
					},
					successCallback: getStoreInfoSuccess,
					errorCallback: function() {
						resetGoodsPrice();
						resetCredit();
						resetGoodsProduct();
						resetGoodsStageNum();
						resetFirstPayment();
						resetLinedownPayment();
						resetEachPayment();
						resetProtocolName();
						resetProtocolTime();
					}
				});
			}
			
			// 通过门店获取产品信息
			function getStoreInfoSuccess(data) {
				resetGoodsPrice();
				resetCredit();
				resetGoodsProduct();
				resetGoodsStageNum();
				resetFirstPayment();
				resetLinedownPayment();
				resetEachPayment();
				resetProtocolName();
				resetProtocolTime();
				
				$$('#ORCodeInput').val(data.storeName);
				
				storeUserId = data.storeUserId;							// 店员id
				storeUserName = data.storeUserName;						// 店员名称
				storeId = data.storeId;									// 门店id
				storeName = data.storeName;								// 门店名称
				supplierId = data.supplierId;							// 供应商id
				storeSuperiorPartner = data.storeSuperiorPartner;
				
				// 根据店员id查询门店商品信息
				callAppApi({
					url: '/app/order/getGoods',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						storeUserId: storeUserId,
						baseBusinessType:'004003'
					},
					successCallback: getGoodsSuccess,
					errorCallback: function() {}
				});
			}
		});
		
		// 获取门店的商品所有类型
		function getGoodsSuccess(data) {
			
			courseList = data;
			var courseListView = [];
			
			// 如果只有一条，默认回显
			if (data.length == 1) {
				
				courseListView = [
				    {
				    	default: true,
				    	value: data[0].goodsItemId,
				    	view: data[0].goodsName
				    }
				];
				
				currentGoodsId = data[0].goodsItemId;
				courseId = data[0].goodsItemId;
				
				courseName = data[0].goodsName;
				coursePrice = data[0].goodsPrice;
				contractTitle = data[0].contractTitle;
				defaultDecorationGoodsInfo.contractTitle = contractTitle;
				
				getGoodsPrice();
			} else if (data.length > 1) {
				courseListView = data.map(function(item) {
					return {
						default: false,
						value: item.goodsItemId,
						view: item.goodsName
					}
				});
				
				courseListView.unshift({
					default: true,
					value: '',
					view: '请选择'
				});
			}
			
			locatiionChooseGoodsListData.courseList = courseList;
			locatiionChooseGoodsListData.courseListView = courseListView;  // 门店商品信息存储本地
			
			$$('#goods').html(chooseGoodsItemTemplate({optionsList: courseListView}));
			$$('#goods').removeAttr('disabled');
			
			$$('#goods').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
				
				if (e.target.value == '') {
					f7.alertMessage('请选择商品');
					resetGoodsPrice();
					resetCredit();
					resetGoodsProduct();
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
				} else {
					resetGoodsPrice();
					resetCredit();
					resetGoodsProduct();
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
					resetProtocolName();
					resetProtocolTime();
					
					currentGoodsId = e.target.value;
					courseId = e.target.value;
					
					courseList.forEach(function(item) {
						if (item.goodsItemId == courseId) {
							courseName = item.goodsName;
							coursePrice = item.goodsPrice;
							contractTitle = item.contractTitle;
							defaultDecorationGoodsInfo.contractTitle = contractTitle;
						}
					});
					
					getGoodsPrice();
					
					// 二次下单分期金额取值判断
//    				 if (isFirstOrder) {
//    				 	$$('#familyDecorationOnlineCredit').val(coursePrice);
//    				 } else {
//    				 	if (parseInt(instalmentAmount) > parseInt(coursePrice)) {
//    				 		$$('#familyDecorationOnlineCredit').val(coursePrice);
//    				 	} else {
//    				 		$$('#familyDecorationOnlineCredit').val(instalmentAmount);
//    				 	}
//    				 }
					
//					getSuitePlanListSuccess();
				}
			});
		}
		
		function getGoodsPrice() {
		    $$('#goodsPrice').removeAttr('disabled');
		    
            $$('#goodsPrice').off('blur').on('blur', function() {
                if (parseInt($$('#goodsPrice').val()) < 0) {
                    f7.alert('装修总价不能小于0');
                    $$("#goodsPrice").val('');
                    resetCredit();
                    resetGoodsProduct();
                    resetGoodsStageNum();
                    resetFirstPayment();
                    resetLinedownPayment();
                    resetEachPayment();
//                    resetProtocolName();
//                    resetProtocolTime();
                    return false;
                }
                if (!/^[1-9][0-9]*$$/.test($$('#goodsPrice').val())) {
                    f7.alert('装修总价必须是数字格式');
                    $$("#goodsPrice").val('');
                    resetCredit();
                    resetGoodsProduct();
                    resetGoodsStageNum();
                    resetFirstPayment();
                    resetLinedownPayment();
                    resetEachPayment();
//                    resetProtocolName();
//                    resetProtocolTime();
                    return false;
                }
                
                coursePrice = $$('#goodsPrice').val();
                
                getSuitePlanListSuccess();
                
                
            })
        }
		
		function getSuitePlanListSuccess(data) {
		    resetGoodsProduct();
            resetGoodsStageNum();
            resetFirstPayment();
            resetEachPayment();
//            resetProtocolName();
//            resetProtocolTime();
            
			$$('#familyDecorationOnlineCredit').removeAttr('disabled');
			coursePrice = $$('#goodsPrice').val();
			var creditTemp = '';
			if (isFirstOrder) {
			    creditTemp = coursePrice;
			} else {
			    creditTemp = parseInt(coursePrice) < parseInt(instalmentAmount) ? parseInt(coursePrice) : parseInt(instalmentAmount);
			}
			
			$$('#familyDecorationOnlineCredit').val(creditTemp);
			
			offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
			
			if(offlinePay > 0){
				$$('#linedownPayment').val(offlinePay + '元');
				$$('#linedownPayment').parent().addClass('firstpayment-show');
				$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
			}else{
				$$('#linedownPayment').val(offlinePay + '元');
				$$('#linedownPayment').parent().removeClass('firstpayment-show');
				$$('#linedownPayment').parent().addClass('firstpayment-hidden');
			}
			
			callAppApi({
				url: '/module/suite/suitePlanList',
				type: 'POST',
				params: {
					userId: loginStatus.userId,
					baseBusinessType: '004003',
					storeId: storeId,
					goodsSuiteStagePrice: $$('#familyDecorationOnlineCredit').val()
				},
				successCallback: getProductList,
				errorCallback: function(err) {}
			});
			var flagPrice = ''; 
			$$('#familyDecorationOnlineCredit').on('focus',function(){
				flagPrice = $$('#familyDecorationOnlineCredit').val();
			})
			// 分期金额校验:大于商品价格则自动设置为商品价格
			$$('#familyDecorationOnlineCredit').off('blur').on('blur', function() {
				
				if($$('#familyDecorationOnlineCredit').val() == flagPrice){
					return false;
				}
				
			    if (isFirstOrder) {
				    var creditTemp = coursePrice;
				} else {
					var creditTemp = Math.min(parseInt(instalmentAmount), parseInt(coursePrice));
				}
				
				if (!/^[1-9][0-9]*$$/.test($$('#familyDecorationOnlineCredit').val())) {
					f7.alert('分期金额必须是数字格式');
					$$("#familyDecorationOnlineCredit").val(creditTemp);
					resetGoodsProduct();
					$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: locatiionChooseGoodsListData.chooseGoodsProductList}));
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
//					resetProtocolName();
//					resetProtocolTime();
					$$('#goodsProduct').removeAttr('disabled');
					offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
					if(offlinePay > 0){
						$$('#linedownPayment').val(offlinePay + '元');
						$$('#linedownPayment').parent().addClass('firstpayment-show');
						$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
					}else{
						$$('#linedownPayment').val(offlinePay + '元');
						$$('#linedownPayment').parent().removeClass('firstpayment-show');
						$$('#linedownPayment').parent().addClass('firstpayment-hidden');
					}
					return false;
				}
				
				if (parseInt($$('#familyDecorationOnlineCredit').val()) < 0) {
					f7.alert('分期金额不能小于0');
					$$("#familyDecorationOnlineCredit").val(creditTemp);
					resetGoodsProduct();
					$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: locatiionChooseGoodsListData.chooseGoodsProductList}));
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
//					resetProtocolName();
//					resetProtocolTime();
					$$('#goodsProduct').removeAttr('disabled');
					offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
					if(offlinePay > 0){
						$$('#linedownPayment').val(offlinePay + '元');
						$$('#linedownPayment').parent().addClass('firstpayment-show');
						$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
					}else{
						$$('#linedownPayment').val(offlinePay + '元');
						$$('#linedownPayment').parent().removeClass('firstpayment-show');
						$$('#linedownPayment').parent().addClass('firstpayment-hidden');
					}
					return false;
				}
				if (!isFirstOrder) {
					var alertText = parseInt(coursePrice) > parseInt(instalmentAmount) ? '分期金额需在可用额度范围内' : '分期金额需在商品价格范围内';
					
					if (parseInt($$('#familyDecorationOnlineCredit').val()) > creditTemp) {
				 		f7.alert(alertText);
				 		$$("#familyDecorationOnlineCredit").val(creditTemp);
				 		resetGoodsProduct();
				 		$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: locatiionChooseGoodsListData.chooseGoodsProductList}));
				 		resetGoodsStageNum();
				 		resetFirstPayment();
				 		resetLinedownPayment();
				 		resetEachPayment();
//				 		resetProtocolName();
//						resetProtocolTime();
						$$('#goodsProduct').removeAttr('disabled');
	                    offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
	                    if(offlinePay > 0){
	        				$$('#linedownPayment').val(offlinePay + '元');
	        				$$('#linedownPayment').parent().addClass('firstpayment-show');
	        				$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
	        			}else{
	    					$$('#linedownPayment').val(offlinePay + '元');
	    					$$('#linedownPayment').parent().removeClass('firstpayment-show');
	    					$$('#linedownPayment').parent().addClass('firstpayment-hidden');
	    				}
					    return false;
				 	}
				}
				
				if (parseInt($$('#familyDecorationOnlineCredit').val()) > parseInt(coursePrice)) {
					f7.alert('分期金额需在商品价格范围内');
					$$("#familyDecorationOnlineCredit").val(creditTemp);
					resetGoodsProduct();
					$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: locatiionChooseGoodsListData.chooseGoodsProductList}));
					resetGoodsStageNum();
					resetFirstPayment();
					resetLinedownPayment();
					resetEachPayment();
//					resetProtocolName();
//					resetProtocolTime();
					$$('#goodsProduct').removeAttr('disabled');
					offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
					if(offlinePay > 0){
						$$('#linedownPayment').val(offlinePay + '元');
						$$('#linedownPayment').parent().addClass('firstpayment-show');
						$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
					}else{
						$$('#linedownPayment').val(offlinePay + '元');
						$$('#linedownPayment').parent().removeClass('firstpayment-show');
						$$('#linedownPayment').parent().addClass('firstpayment-hidden');
					}
					return false;
				}

				
				offlinePay = parseInt(coursePrice) - parseInt($$('#familyDecorationOnlineCredit').val());
				if(offlinePay > 0){
					$$('#linedownPayment').val(offlinePay + '元');
					$$('#linedownPayment').parent().addClass('firstpayment-show');
					$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
				}else{
					$$('#linedownPayment').val(offlinePay + '元');
					$$('#linedownPayment').parent().removeClass('firstpayment-show');
					$$('#linedownPayment').parent().addClass('firstpayment-hidden');
				}
				
				resetGoodsProduct();
				resetGoodsStageNum();
				resetFirstPayment();
				resetEachPayment();
//				resetProtocolName();
//				resetProtocolTime();
				$$('#goodsProduct').removeAttr('disabled');
				
				callAppApi({
					url: '/module/suite/suitePlanList',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '004003',
						storeId: storeId,
						goodsSuiteStagePrice: $$('#familyDecorationOnlineCredit').val()
					},
					successCallback: getProductList,
					errorCallback: function(err) {}
				})
			})
		}
		function getProductList(data){
			var chooseGoodsProductList = data.map(function(item) {
				return {
					default: false,
					value: item.productId,
					view: item.productName,
					planList: item.planList,
					periodList: item.periodList
				}
			});
			
			chooseGoodsProductList.unshift({
				default: true,
				value: '',
				view: '请选择分期产品',
				planList: []
			});
			
			$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: chooseGoodsProductList}));
			$$('#goodsProduct').removeAttr('disabled');

			locatiionChooseGoodsListData.chooseGoodsProductList = chooseGoodsProductList; // 分期产品存储本地
			
			$$('#goodsProduct').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
				
				if (e.target.children[0].selected) {
					f7.alert('请选择分期产品');
					resetGoodsStageNum();
					resetFirstPayment();
					resetEachPayment();
//					resetProtocolName();
//					resetProtocolTime();
				} else {

					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							
							// 根据所选产品的planId是否为空来判断是否显示套餐名称
							if (!chooseGoodsProductList[i].planList || chooseGoodsProductList[i].planList[0].planId === '') {
								goodsPlanStatus = false;
							} else {
								goodsPlanStatus = true;
							}
							
							goodsProductId = chooseGoodsProductList[i].value;	// 分期产品id
							goodsProductName = chooseGoodsProductList[i].view;	// 分期产品名称
							
							if (goodsPlanStatus === true) {
								$('#goodsSuite').parent().removeClass('hide');
								getGoodsPlanSuccess(chooseGoodsProductList[i].planList);
							} else if (goodsPlanStatus === false) {
								
								goodsPlanId = '';
								goodsPlanName = '';
								$('#goodsSuite').parent().addClass('hide');
								getGoodsPeriodSuccess(chooseGoodsProductList[i].periodList);
							}
						}
					}
                    resetFirstPayment();
                    resetEachPayment();
//                    resetProtocolName();
//                    resetProtocolTime();
				}
			});
		}
		
		// 分期产品绑定事件
		function getGoodsPlanSuccess(data) {
			
			var chooseGoodsPlanList = [];
			
			if (data.length == 1) {
				chooseGoodsPlanList = [
				    {
				    	default: true,
				    	value: data[0].planId,
				    	view: data[0].planName,
				    	periodList: data[0].periodList
				    }
				];
				
				goodsPlanId = chooseGoodsPlanList[0].value;		// 套餐id
				goodsPlanName = chooseGoodsPlanList[0].view;		// 套餐名称
				
				getGoodsPeriodSuccess(chooseGoodsPlanList[0].periodList);
				
			} else if (data.length > 1) {
				chooseGoodsPlanList = data.map(function(item) {
					return {
						default: false,
						value: item.planId,
						view: item.planName,
						periodList: item.periodList
					}
				});
				
				chooseGoodsPlanList.unshift({
					default: true,
					value: '',
					view: '请选择套餐名称',
					periodList: []
				});
			}

			$$('#goodsSuite').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPlanList}));
			$$('#goodsSuite').removeAttr('disabled');
			
			$$('#goodsSuite').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
				
				if (e.target.children[0].selected) {
					f7.alert('请选择套餐名称');
				} else {
					
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPlanId = chooseGoodsPlanList[i].value;		// 套餐id
							goodsPlanName = chooseGoodsPlanList[i].view;		// 套餐名称
							
							getGoodsPeriodSuccess(chooseGoodsPlanList[i].periodList);
						}
					}
 				}
			})
		}
		
		// 获取分期期数成功
		function getGoodsPeriodSuccess(data) {
			
			var chooseGoodsPeriodList = [];
			
			if (data.length == 1) {
				chooseGoodsPeriodList = [
				    {
				    	default: true,
				    	value: data[0].periodKey,
				    	view: data[0].period
				    }
				];
				
				goodsPeriodKey = data[0].periodKey;
				goodsPeriod = data[0].period.toString();
				
				creditPrice = $$("#familyDecorationOnlineCredit").val();
				
				callAppApi({
					url: '/module/suite/suitePlanDetail',
					apiVersion: '2.0',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						orderProductPrice: coursePrice,
						stagePlanAmt: creditPrice,
						periodKey: goodsPeriodKey,
						planId: goodsPlanId,
						goodsSellId:currentGoodsId,
						baseBusinessType: '004003'
					},
					successCallback: getSuitePlanDetailSuccess,
					errorCallback: function(err) {}
				});
				
			} else if (data.length > 1) {
				chooseGoodsPeriodList = data.map(function(item) {
					return {
						default: false,
						value: item.periodKey,
						view: item.period
					};
				});
				
				chooseGoodsPeriodList.unshift({
					default: true,
					value: '',
					view: '请选择期数'
				})
			}

			$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: chooseGoodsPeriodList}));
			$$('#goodsStageNum').removeAttr('disabled');
			
			locatiionChooseGoodsListData.chooseGoodsPeriodList = chooseGoodsPeriodList;
			
			$$('#goodsStageNum').off('change.familyDecorationOnlineChooseGoods').on('change.familyDecorationOnlineChooseGoods', function(e) {
				
				if (e.target.children[0].selected) {
					f7.alert('请选择期数');
					resetFirstPayment();
					resetEachPayment();
//					resetProtocolName();
//					resetProtocolNum();
//					resetProtocolTime();
					$$('#linedownPayment').attr('disabled',true);
				} else {
					for (var i = 0; i < e.target.children.length; i++) {
						if (e.target.children[i].selected === true) {
							goodsPeriodKey = e.target.children[i].value;
							goodsPeriod = parseInt(e.target.children[i].innerHTML).toString();
						}
					}
					creditPrice = $$("#familyDecorationOnlineCredit").val();
					callAppApi({
						url: '/module/suite/suitePlanDetail',
						apiVersion: '2.0',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							orderProductPrice: coursePrice,
							stagePlanAmt: creditPrice,
							periodKey: goodsPeriodKey,
							planId: goodsPlanId,
							goodsSellId:currentGoodsId,
							baseBusinessType: '004003'
						},
						successCallback: getSuitePlanDetailSuccess,
						errorCallback: function(err) {}
					});
				}
			});
		}

		// 获取详细分期计划成功回调
		function getSuitePlanDetailSuccess(data) {
			$$('#protocolName').removeAttr('disabled');
			$$('#protocolTime').removeAttr('disabled');
			$$('#goodsDetials').addClass('plan-detail');
			$$('#goodsDetials').removeAttr('disabled');
			if($$('#protocolName').val() != ''){
				isResetProtocal = false;
			}else{
				isResetProtocal = true;
			}
			
			if(isResetProtocal){
				//课程协议名称数据处理
				if(!contractTitle){
					contractTitle = defaultDecorationGoodsInfo.contractTitle;
				}
				if(contractTitle){
					var contractTitleList = contractTitle.split('|');
				}else{
					var contractTitleList = [];
				}
				
				var contractTitleTempList = [];
				
				if (contractTitleList.length == 1) {
					contractTitleTempList = [
					    {
					    	default: true,
					    	value: contractTitleList[0],
					    	view: contractTitleList[0]
					    }
					];
				} else {
					contractTitleTempList = contractTitleList.map(function(item) {
						return {
							default: false,
							value: item,
							view: item
						};
					});
					
					contractTitleTempList.unshift({
						default: true,
						value: '',
						view: '请选择合同名称'
					});
				}
				
				$$('#protocolName').html(chooseGoodsItemTemplate({optionsList: contractTitleTempList}));
				$$('#protocolName').removeAttr('disabled');
//				if(contractTitleList.length == 1){
//					$$('#protocolName').val(contractTitleList[0]);
//				}
				
				locatiionChooseGoodsListData.contractTitleTempList = contractTitleTempList;
			}
			
			if(data==undefined){
				data = locatiionChooseGoodsListData.suitePlanDetailData;
			} else {
				locatiionChooseGoodsListData.suitePlanDetailData = data;
			}
			
			orderPlanId=data.orderPlanId;
			goodsSuiteTotalAmount = data.totalAmount;		//租金总额
			interestRental=data.interestRental;				//利息期每期租金
			principalRental=data.principalRental;			//本金期每期租金
			interestTimes=data.interestTimes				//利息期数
			principalTimes=data.principalTimes				//本金期数
			goodsSuitePayFirstPrice=data.downPayment;		//首付金额
			goodsSuiteStagePrice=data.stagePrice;			//每期金额
			goodsSuitePoundage=data.handlingCharge;			//手续费	
			goodsSuiteServiceCharges=data.serviceCharge;	//服务费
			goodsSuiteLeverPrice=data.leverPrice;			//设备杠杆费用
			goodsSuitePayInitialPrice=data.selfPayAmount;	//自付金额
			goodsSuiteStageNumber=data.instalPeriod;		//分期期数
			goodPaymentDetail=data.paymentDetail;
			discountAmt = data.discountAmt //贴息款
			locatiionChooseGoodsListData.goodPaymentDetail = goodPaymentDetail;
			var goodPaymentDetailHtml='';
			if (goodPaymentDetail){
				goodPaymentDetail.map(function(item,index){
					goodPaymentDetailHtml = goodPaymentDetailHtml +
						'<div class="model-list-item">'+
							'<div class="model-list-number model-list-content">第'+item.periodNo+'期</div>' +
							'<div class="model-list-pay model-list-content">'+item.payAmount+'元</div>' +
						'</div>' 
				})
			}
			
			// 设置期初支付，期初支付不为0时显示
			$$('#firstPayment').val(data.downPayment + '元');
			if (parseInt(data.downPayment) > 0) {
				$$('#firstPayment').parent().removeClass('firstpayment-hidden');
		        $$('#firstPayment').parent().addClass('firstpayment-show');
		        $$('#lineDownText').removeClass('line-down-text-init');
		        $$('#goodsDetials').removeClass('goods-detials-init');
			}
			
			$$("#goodsDetials").off("click").on("click",function(){
				f7.modal({
					title: '分期账单',
					afterText: '<div class="model-block-chooseGoods">'+
										'<div class="model-head">'+
											'<div class="chooseGoodsModalItem" style="width: 100%">' +
												'<span class="key">商品名称</span><span class="value">' + courseName + '</span>' +
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">还款金额</span><span class="value">' + goodsSuiteTotalAmount + '元</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
												'<span class="key">还款方式</span><span class="value">月还</span>'+
											'</div>' +
											'<div class="chooseGoodsModalItem">'+
													'<span class="key">期数</span><span class="value">' + goodsSuiteStageNumber + '期</span>'+
											'</div>' +
										'</div>' +
										'<div class="model-list-item item-title">'+
											'<div class="model-list-number model-list-content">期数</div>' +
											'<div class="model-list-pay model-list-content">每期还款</div>' +
										'</div>' +
										'<div class="model-list">'+
											goodPaymentDetailHtml +
										'</div>' +
									 '</div>',
					buttons: [
						{
							text: '确认',
							onClick: function(){}
						}
					]
				});
				$(".model-block-chooseGoods .model-head")[0].addEventListener('touchmove', function (event) { 
					event.preventDefault();
				}, false);
				$(".modal-button")[0].addEventListener('touchmove', function (event) { 
					event.preventDefault();
				}, false);
				$(".modal-title")[0].addEventListener('touchmove', function (event) { 
					event.preventDefault();
				}, false);
				$('.model-list-item')[0].addEventListener('touchmove', function (event) { 
					event.stopPropagation();
				}, false);
				$('.model-list')[0].addEventListener('touchmove', function (event) { 
					event.stopPropagation();
				}, false);
				$('.model-block-chooseGoods').parent().parent().css({
					position: 'absolute',
					top: '40%',
					left: '5%',
					display: 'block',
					width: '90%',
					margin: '-210px 5% 0 0',
					background: 'rgba(255,255,255,1)'
				});
				$('.model-block-chooseGoods').parent().find('.modal-title').css({
					'margin': '0 10px',
					'padding': '15px 0',
			    	'border-bottom': '1px dashed #e5e5e5',
			    	'font-size': '18px',
			    	'color': '#333',
			    	'font-weight': 'nomarl',
				});
				$('.model-block-chooseGoods .model-head').css({
					padding: '15px 25px',
					background: 'none',
					border: 'none'
				});
				$('.model-block-chooseGoods').parent().css({
					padding:0,
					background: 'rgba(255,255,255,1)'
				});
				$(".model-billing").parent().css({
					padding:"20px"
				});
				$(".chooseGoodsModalItem").css({
					"text-align":"left",
					"margin-bottom":"5px",
					'font-size': '0'
				});
				$(".chooseGoodsModalItem .key").css({
				    'display': 'inline-block',
				    'width': '30%',
			    	'margin-right': '5%',
					'font-size': '14px',
					'color': '#333'
				});
				$(".chooseGoodsModalItem .value").css({
					'display': 'inline-block',
					'width': '60%',
					'vertical-align': 'top',
					'font-size': '14px',
					'color': '#333'
				});
				$('.model-list').css({
					'margin-top': '0'
				});
				$('.model-list-item').css({
					'padding-left': '25px',
					'border-bottom': '1px solid #e5e5e5',
					'height': '35px',
					'line-height': '35px',
					'box-sizing':'border-box'
				});
				$('.model-list-content').css({
					'float': 'left'
				})
				$('.model-list-item.item-title').css({
					'height': '40px',
					'background': '#f5f5f5',
					'boder': 'none',
					'color': '#333',
					'border': '0px'
				});
				$('.model-list-number, .model-list-pay').css({
					'height': '35px',
					'line-height': '35px',
					'font-size': '14px',
					'color': '#333',
					'text-align': 'left'
				});
				$('.model-list-number').css({
					'margin-right': '5%',
					'width': '24%'
				});
				$('.model-list-pay').css({
					'width': '65%'
				});
				$('.model-list-item.item-title .model-list-number, .model-list-item.item-title .model-list-pay').css({
					'height': '40px',
					'line-height': '40px',
					'font-size': '14px',
					'color': '#333'
				});
			});
		}
		
		// 渲染按钮
		$$('#chooseGoodsBtnBox').html(buttonTemplate({
			id: 'chooseGoodsBtn',
			value: '创建订单',
			disabled: false,
		}));
		
		$$('#chooseGoodsBtn').on('click', function() {
			if ($$('#goods').val() == '请扫码再选择商品') {
				f7.alert("请扫码再选择商品");
				return false;
			}
			if (validator.isNull($$('#goods').val())) {
				f7.alert('请选择商品名称');
				return false;
			}
			if (validator.isNull($$('#goodsPrice').val())){
				f7.alert('请输入装修总价');
				return false;
			}
			if ($$('#familyDecorationOnlineCredit').val()==='') {
				f7.alert('请输入分期金额');
				return false;
			}
			if (validator.isNull($$('#goodsProduct').val())) {
				f7.alert('请选择分期产品');
				return false;
			}
			if ($$('#goodsStageNum').val()==='') {
				f7.alert('请选择期数');
				return false;
			}
			if ($$('#protocolName').val()==='') {
				f7.alert('请选择合同名称');
				return false;
			}
			if ($$('#protocolTime').val()===''||$$('#protocolTime').val()==='请选择时间') {
				f7.alert('请选择合同签订时间');
				return false;
			}
			
			protocolName = $$('#protocolName').val();
			protocolNum = $$('#protocolNum').val();
			protocolTime = $$('#protocolTime').val();
			goodsSuiteStagePrice = $$('#familyDecorationOnlineCredit').val();
			offlinePay = offlinePay.toString();
			
			
            var orderDeviceId = '';
            var orderAddressLongitude = '';
            var orderAddressLatitude = '';
			
			defaultDecorationGoodsInfo = {
					baseBusinessType: '004003',                                // 业务类型
					userId: loginStatus.userId,                                // 用户 ID
					userName: '',                                              // 用户姓名
					storeUserId: storeUserId,                                  // 门店 ID
					storeUserName: storeUserName,
					storeId: storeId,
					storeName: storeName,
					supplierId: supplierId,
					operatorId: storeSuperiorPartner,
					goodsSellId: courseId,
					goodsSellName: courseName,
					orderProductPrice: coursePrice,
					
					goodsPeriodKey: goodsPeriodKey,
					goodsPeriod: goodsPeriod,
					goodsProductId: goodsProductId,
				    goodsProductName: goodsProductName,
					goodsPlanId: goodsPlanId,
					goodsPlanName: goodsPlanName,
					
					goodsSuitePayFirstPrice: goodsSuitePayFirstPrice,			// 期初支付
					goodsSuitePayInitialPrice: offlinePay,						// 线下支付
					goodsSuiteStageNumber: goodsSuiteStageNumber,				// 分期期数
					goodsSuiteTotalAmount: goodsSuiteTotalAmount,				// 套餐总金额
					goodsSuiteStagePrice: goodsSuiteStagePrice,					// 分期金额
					goodsSuitePoundage: goodsSuitePoundage,                     // 手续费
					goodsSuiteServiceCharges: goodsSuiteServiceCharges,         // 服务费
					goodsSuiteLeverPrice: goodsSuiteLeverPrice,                 // 设备杠杆费用
					
					orderPlanId: orderPlanId,                                   // 订单试算 ID
					
					orderDeviceId: orderDeviceId,
					orderAddressLongitude: orderAddressLongitude,
					orderAddressLatitude: orderAddressLatitude,
					
					contractTitle: protocolName,								// 合同名称
					contractSignDate: protocolTime,								// 合同签订时间
					discountAmt: discountAmt                                    //贴息款
			}
			
			// 是否跳过cordova的device.uuid
			if (!SKIP.cordova_uuid) {
			    defaultDecorationGoodsInfo.orderDeviceId = device.uuid;
			}
			
			getLngAndLat(function(position) {
			    defaultDecorationGoodsInfo.orderAddressLongitude = position.lng;
			    defaultDecorationGoodsInfo.orderAddressLatitude = position.lat;

			    checkPassword();
			}, function(error) {
			    defaultDecorationGoodsInfo.orderAddressLongitude = '';
			    defaultDecorationGoodsInfo.orderAddressLatitude = '';

			    checkPassword();
			});
			
			localStorage.setItem('defaultDecorationGoodsInfo_'+loginStatus.userId, JSON.stringify(defaultDecorationGoodsInfo));
			
			var createOrderUrl = params.chooseStatus?'/app/order/create/decoration/only':'/app/order/create/decoration';
			
			function checkPassword(){
				// 检测是否设置交易密码
				callAppApi({
					url: '/module/transactionPwd/find',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						transactionPwd: "",
						findType: '01'
					},
					successCallback: function(pwdFindRes) {
						localStorage.setItem('locatiionChooseGoodsListData' + '_' + params.userId, JSON.stringify(locatiionChooseGoodsListData));
						if(pwdFindRes.transactionPwdExist){
							
							familyDecorationOnlineCreateOrder();
							
						}else if(!pwdFindRes.transactionPwdExist){
							if(params.chooseStatus){
								mainView.loadPage({
									url: 'commenSetPassword.html',
									query: {
										fromPage :"familyCreditChooseGoods",
									}
								})
							}else{
								mainView.loadPage({
									url : 'setPassword.html',
									query : {
										fromPage: "familyDecorationOnlineChooseGoods",
										chooseStatus: params.chooseStatus
									}
								})
							}
						}
					},
					errorCallback: function(err) {}
				});
			}
			
			function familyDecorationOnlineCreateOrder() {
				callAppApi({
					url: createOrderUrl,
					params: defaultDecorationGoodsInfo,
					successCallback: function(createOrderRes) {
						
						checkBatchBankcard();
						localStorage.removeItem('defaultDecorationGoodsInfo_'+loginStatus.userId);
						localStorage.setItem('familyDecorationOnlineOrderId_' + loginStatus.userId, createOrderRes.baseOrderId);//成人教育创建订单保存orderId
						
					},
					errorCallback: function(err) {}
				});
			}
			
			function checkBatchBankcard() {
				callAppApi({
					url: '/app/bankBatchCard',
					apiVersion: '2.0',
					type: 'POST',
					params: {
						userId: loginStatus.userId
					},
					successCallback: function(bankBatchCardRes) {
						if (bankBatchCardRes && (checkBankNo(bankBatchCardRes.bankCardNumber) && checkBankId(bankBatchCardRes.bankId))) {
							Router.mainRouter('004003', {
								fromPage: 'chooseGoods'
							});
						} else {
	  						mainView.router.load({
								url: 'bindBankcard.html',
								query: {
									fromPage: "familyDecorationOnlineChooseGoods",
									baseBusinessType: '004003'
								}
							});
						}
					},
					errorCallback: function(err) {}
				});
			}

		});
		
		//回显方法
		if( ( params.fromPage == "setPassWord" || params.fromPage == "chooseProfession" || params.fromPage == "index" || params.fromPage == "commenSetPassword") 
		     && defaultDecorationGoodsInfo !== ''
		  ){
			function autoScanCallbackStore(result) {
//				var s = getRealString(result);
				var objectId = doWithQRCode(result, function(objectId) {
					  storeUserId = objectId;
					  // 根据店员id查询门店商品信息
					  callAppApi({
						  url: '/app/storeUserStoreInfo',
						  type: 'POST',
						  params: {
							  storeUserId: objectId,
							  businessType: '004003'
						  },

						  successCallback: function(res) {
							callAppApi({
							  url: '/app/storeUserStoreInfo',
							  type: 'POST',
							  params: {
								  storeUserId: objectId,
								  businessType: '004003'
							  },
							  successCallback: function(data){
								  dispalyValue();
							  },
							  errorCallback: function() {}
						  });
						  },
						  errorCallback: function() {}
					  });
				})						
			}
			autoScanCallbackStore('*V|M|*' + defaultDecorationGoodsInfo.storeUserId);
			
			dispalyValue = function(){
				//1商品回显
				courseListView = locatiionChooseGoodsListData.courseListView.map(function(item, index) {
					item.default=false
					if( item.view===defaultDecorationGoodsInfo.goodsSellName){
						item.default=true
					};
					return {
						default: item.default,
						value: item.value,
						view: item.view
					};
				});
				
				$$('#goods').removeAttr('disabled');
				$$('#goods').html(chooseGoodsItemTemplate({optionsList: courseListView}));
				$$('#familyDecorationOnlineCredit').attr('disabled',false);
				
				// 2分期产品回显
				defaultGoodsProductList = locatiionChooseGoodsListData.chooseGoodsProductList.map(function(item, index) {
					item.default=false
					if( item.value===defaultDecorationGoodsInfo.goodsProductId){
						item.default=true
					};
					return {
						default: item.default,
						value: item.value,
						view: item.view
					};
				});
				$$('#goodsProduct').html(chooseGoodsItemTemplate({optionsList: defaultGoodsProductList}));
				$$('#goodsProduct').attr('disabled', false);
				
				//3期数回显
				defaultGoodsStageNumList = locatiionChooseGoodsListData.chooseGoodsPeriodList.map(function(item, index) {
					item.default=false
					if( item.value===defaultDecorationGoodsInfo.goodsPeriodKey){
						item.default=true
					};
					return {
						default: item.default,
						value: item.value,
						view: item.view
					};
				});
				$$('#goodsStageNum').html(chooseGoodsItemTemplate({optionsList: defaultGoodsStageNumList}));
				$$('#goodsStageNum').attr('disabled', false);
				
				//事件绑定
				//3.商品选择添加事件
				chooseStoreGoodeChange(defaultDecorationGoodsInfo.storeId,locatiionChooseGoodsListData.courseList,getGoodsPrice);
				
				//装修价格输入事件
				getGoodsPriceChange(defaultDecorationGoodsInfo.storeId, getSuitePlanListSuccess);
				
				//分期金额输入事件
				changeProductPrice(defaultDecorationGoodsInfo.orderProductPrice,defaultDecorationGoodsInfo.goodsSuiteStagePrice,defaultDecorationGoodsInfo.goodsSuitePayInitialPrice,defaultDecorationGoodsInfo.storeId,getProductList,isFirstOrder,instalmentAmount);
				
				//分期产品事件
				goodsProductChange(locatiionChooseGoodsListData.chooseGoodsProductList,getGoodsPeriodSuccess);
				
				//期数绑定事件
				goodsStageNumChange(defaultDecorationGoodsInfo.orderProductPrice,defaultDecorationGoodsInfo.goodsSuiteStagePrice,defaultDecorationGoodsInfo.goodsPlanId,defaultDecorationGoodsInfo.goodsSellId,getSuitePlanDetailSuccess);
				
				//分期账单
				goodsSuitePlanDetailChange(locatiionChooseGoodsListData.goodPaymentDetail,defaultDecorationGoodsInfo.goodsSuitePayFirstPrice,defaultDecorationGoodsInfo.goodsSellName,defaultDecorationGoodsInfo.goodsSuiteTotalAmount,defaultDecorationGoodsInfo.goodsSuiteStageNumber);
				
				//商品价格回显
				$$('#goodsPrice').attr('disabled', false);
				
				//分期金额回显
				
				//期初支付回显
				if (parseInt(defaultDecorationGoodsInfo.goodsSuitePayFirstPrice) > 0) {
				    $$('#firstPayment').val(defaultDecorationGoodsInfo.goodsSuitePayFirstPrice + '元');
			        $$('#firstPayment').parent().addClass('firstpayment-show');
			        $$('#firstPayment').parent().removeClass('firstpayment-hidden');
			        $$('#lineDownText').removeClass('line-down-text-init');
			        $$('#goodsDetials').removeClass('goods-detials-init');
				}
				
				//线下支付回显
				if( parseInt(defaultDecorationGoodsInfo.goodsSuitePayInitialPrice) > 0 ){
					$$('#linedownPayment').val( defaultDecorationGoodsInfo.goodsSuitePayInitialPrice + '元');
					$$('#linedownPayment').parent().addClass('firstpayment-show');
					$$('#linedownPayment').parent().removeClass('firstpayment-hidden');
				}
				
				courseName = defaultDecorationGoodsInfo.goodsSellName;
				storeUserId = defaultDecorationGoodsInfo.storeUserId;
				storeUserName = defaultDecorationGoodsInfo.storeUserName;
				storeId = defaultDecorationGoodsInfo.storeId;
				storeName = defaultDecorationGoodsInfo.storeName;
				courseId = defaultDecorationGoodsInfo.goodsSellId;
				coursePrice = defaultDecorationGoodsInfo.orderProductPrice;
				supplierId = defaultDecorationGoodsInfo.supplierId;
				storeSuperiorPartner = defaultDecorationGoodsInfo.operatorId;
				
				orderPlanId = defaultDecorationGoodsInfo.orderPlanId;
				goodsPlanId = defaultDecorationGoodsInfo.goodsPlanId;
				goodsPlanName = defaultDecorationGoodsInfo.goodsPlanName;
				goodsPeriodKey = defaultDecorationGoodsInfo.goodsPeriodKey;
				goodsPeriod = defaultDecorationGoodsInfo.goodsPeriod;
				goodsProductId = defaultDecorationGoodsInfo.goodsProductId;
			    goodsProductName = defaultDecorationGoodsInfo.goodsProductName;
				
				goodsSuitePayFirstPrice = defaultDecorationGoodsInfo.goodsSuitePayFirstPrice;			//首付金额
				goodsSuiteStagePrice = defaultDecorationGoodsInfo.goodsSuiteStagePrice;				//分期金额
				goodsSuitePoundage = defaultDecorationGoodsInfo.goodsSuitePoundage;					//手续费	
				goodsSuiteServiceCharges = defaultDecorationGoodsInfo.goodsSuiteServiceCharges;		//服务费
				goodsSuiteLeverPrice = defaultDecorationGoodsInfo.goodsSuiteLeverPrice;				//设备杠杆费用
				goodsSuitePayInitialPrice = defaultDecorationGoodsInfo.goodsSuitePayInitialPrice;		//自付金额
				goodsSuiteStageNumber = defaultDecorationGoodsInfo.goodsSuiteStageNumber;
				goodsSuiteTotalAmount = defaultDecorationGoodsInfo.goodsSuiteTotalAmount;
				
				orderDeviceId = defaultDecorationGoodsInfo.orderDeviceId;
				orderAddressLongitude = defaultDecorationGoodsInfo.orderAddressLongitude;
				orderAddressLatitude = defaultDecorationGoodsInfo.orderAddressLatitude;
				
				protocolName = defaultDecorationGoodsInfo.contractTitle;			// 家装合同名称
				protocolTime = defaultDecorationGoodsInfo.contractSignDate;			// 合同签订时间
				
				discountAmt = defaultDecorationGoodsInfo.discountAmt; //贴息款
				
				currentGoodsId = defaultDecorationGoodsInfo.goodsSellId;
				offlinePay = defaultDecorationGoodsInfo.goodsSuitePayInitialPrice;
			}
		}
	}
	return {
		render: render
	}
});