define([
    'jquery',
	'js/utilities',
	'js/validator',
	'js/uploadImg',
	'js/router',
	'js/uploadEvidenceFunc',
	'familyDecorationOnline/familyDecorationOnlineContainers/materialUpload/materialUploadHelper',
	'hbs!familyDecorationOnline/familyDecorationOnlineContainers/materialUpload/materialUpload',
	'hbs!familyDecorationOnline/familyDecorationOnlineComponents/materialUpload/inputArea',
	'hbs!familyDecorationOnline/familyDecorationOnlineComponents/materialUpload/uploadEvidence',
	'hbs!familyDecorationOnline/familyDecorationOnlineComponents/materialUpload/publicPropertyItem',
	'hbs!components/common/button/button'
], function(
	$$,
	utilities,
	validator,
	uploadImg,
	Router,
	uploadEvidenceFunc,
	materialUploadHelper,
	materialUploadTemplate,
	inputAreaTemplate,
	uploadEvidenceTemplate,
	publicPropertyItemTemplate,
	buttonTemplate
) {
	var callAppApi = utilities.callAppApi;
	var clickDelay = utilities.clickDelay;
	var UploadEvidence = uploadEvidenceFunc.UploadEvidence;//上传图片
//	var EvidenceArea = materialUploadHelper.EvidenceArea;
	
	var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var orderId = params.orderId?params.orderId:params.infoData.orderId;
		var auditInfoId = params.auditInfoId?params.auditInfoId:params.infoData.auditInfoId;
		
		var checkSubmitFlg = false;
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#materialUploadNavbar',
			title: '完善资料',
			backId: 'materialUploadBackBtn',
			isBackIcon: true,
			callback: function() {
				
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#materialUploadBackBtn').on('click', function() { 
					if(fromPage=="orderDetail"){
						 mainView.router.load({
							  url: 'order.html',
							  animatePages: false
						  });
					}else{
						mainView.router.back({
							url: 'index.html',
				  			force: true,
							query: {
								fromPage: 'familyDecorationMaterialUpload',
							}
						})
					} 
				});
			}
		});
		
		// 渲染头部状态栏
		loadAdultEducationComponent('authenticationTabbar', 'authentication', {
			container: '#uploadEvidenceTabbar',
			tabIndex: 2,
			pageType: 'orderPage'
		});
		$$('#familyDecorationInfo').html(inputAreaTemplate({
			formId: 'professionMaterialForm',
//			inputList: params.elementList,
			tabbarId:'uploadEvidenceTabbar',
			visibleStatus: true
		}));
		
		//已上传图片回显
		var picDataArr = [
            {
                "picType": "9",
                "picName":"装修房产证明",
                "picDataArray": []
            },{
            	"picType": "12",
                "picName":"装修合同证明",
                "picDataArray": []
            }
        ]
		//数据合并
		if(params.decorationMaterialsList != null && params.decorationMaterialsList.length > 0 && params.decorationMaterialsList){
			var picBackArr = params.decorationMaterialsList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '9'){
					picDataArr[0].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '12'){
					picDataArr[1].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		
		// 渲染uploadEvidence内容
		$$('#materialUploadContent').html(materialUploadTemplate({
			decorationMaterialsList: picDataArr
		}));
		// 渲染底部按钮
		$$('#materialUploadBtnBox').html(buttonTemplate({
			id: 'materialUploadConfirmBtn',
			value: '下一步',
			disabled: false,
		}));
		  //地址选择
		  
		//装修房产证明帮助图标点击事件
		$$('#uploadHelp').on('click',function(){
			f7.modal({
		  		title: '装修房产证明上传要求',
	  			text:  '<div class="uploadDescription">'+
							'<p>'+'房产包括商品房及商户两用房，未被查封、扣押或强制执行。以下请任选一项进行上传:'+'</p>'+
					        '<p>'+'1） 本人名下房产证'+'</p>'+
					        '<p>'+'2） 本人名下购房合同，外加相关证明材料（购房发票、契税完税证明、产权调查、收据四选一）'+'</p>'+
					        '<p>'+'3） 本人签署的房屋抵押贷款合同及近6个月房产抵押贷款还贷流水（显示最近一期还款记录）'+'</p>'+
					        '<p>'+'4） 直系亲属名下房产（仅限父母、配偶、子女关系），外加关系证明文件（户口本、结婚证二选一）'+'</p>'+
						'</div>'
			    ,
	  			buttons: [
	  				{
	  					text: '我知道了',
	  					onClick: function(){}
	  				}
	  			]
		  	})
		})  
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		
		//创建主列表实例
		var evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "add" + evidenceType + "Btn",
				operateSelector: "edit" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadEvidenceList' + evidenceType),
				limitNum: '100',
				auditInfoId: auditInfoId,
				baseBusinessType: '004003',
				picType: picType
			})
		});
		// 完成事件绑定
		$$('#materialUploadConfirmBtn').on('click', function() { clickDelay('familyDecorationOnlineUploadMaterial', function() {
				//获取必传项
				var mustArr = $$('.upload-must');
				var commitStatus = false;
				for(var i = 0;i < mustArr.length;i++){
					var type = $$(mustArr[i]).data('key');
					console.log($$(mustArr[i]))
					if($$(mustArr[i]).children().length <= 1){
						f7.alert('请上传' + $$(mustArr[i]).prev().find('.upload-evidence-header-name').text() + '!');
						commitStatus = false;
						break;
					}else{
						commitStatus = true;
					}
				}
				
				if(commitStatus == true){
					commitEvidence();
				}

				function commitEvidence() {
						callAppApi({
							url: '/app/credit/v2/submit/audit',
							type: 'POST',
							params: {
								baseBusinessType: '004003',
								userId: loginStatus.userId,
								orderId: orderId,										// 授信审核为空
								auditInfoId: auditInfoId,
								backSubmitStatus: '0',								// 是否回退提交  '0' false '1' true
								auditType: 'BUSINESS'									// 审核类型：'CREDIT': 授信审核, 'BUSINESS': 选品审核, 'ORDER': 订单审核
							},
							successCallback: function(auditRes) {
								checkSubmitFlg = true;
								mainView.router.load({
	                                url: 'orderDetail.html',
	                                query: {
	                                    baseBusinessType: '004003',
	                                    orderId: orderId,
	                                    fromPage: 'familyDecorationMaterialUpload'
	                                }
	                            });
							},
							errorCallback: function(err) {}
						})
					}
		}) });
	}

	return {
		render: render
	}
});