define([
	'js/utilities',
	'js/uploadImg',
	'js/uploadEvidenceFunc',
	'jquery',
	'js/router',
	'familyDecorationOnline/familyDecorationOnlineContainers/uploadEvidence/uploadEvidenceHelper',
	'hbs!familyDecorationOnline/familyDecorationOnlineContainers/uploadEvidence/uploadEvidence',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	uploadEvidence,
	$$,
	Router,
	uploadEvidenceHelper,
	uploadEvidenceTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var clickDelay = utilities.clickDelay;

	var UploadEvidence = uploadEvidence.UploadEvidence;
	var uploadHelp = uploadEvidenceHelper.uploadHelp;
	var infoQueryRouter = utilities.infoQueryRouter; //入口路由跳转判断
	
	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var orderId = params.orderId;
		//是否为房贷专案
		var housingLoan = params.infoData.specialCaseType;
		//房产是否一致状态
		var propertyEvidenceStatus = false;
		//居住是否一致状态
		var liveEvidenceStatus = false;
		
		var checkSubmitFlg = false;
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#uploadEvidenceFamilyNavbar',
			title: '完善资料',
			backId: 'uploadEvidenceFamilyBackBtn',
			isBackIcon: true,
			iconRightId: 'uploadEvidenceFamilyHelpBtn',
//			iconRightStatus: true,
//			iconRight: '帮助',
//			iconRightClass: 'uploadEvidenceFamilyHelpBtn',
			callback: function() {
				// 点击返回按钮(根据状态值返回到不同页面)
				$$('#uploadEvidenceFamilyBackBtn').on('click', function() { 
					if(fromPage=="orderDetail"){
						 mainView.router.load({
							  url: 'order.html',
							  animatePages: false
						  });
					}else{
						mainView.router.back({
							url: 'index.html',
				  			force: true,
							query: {
								fromPage: 'familyDecorationUploadEvidence',
							}
						})
					} 
				});
				
				// 点击帮助按钮
//				$$('#uploadEvidenceFamilyHelpBtn').on('click', function() {
//					callWebHtml({
//						url: '/application/show/uploadFileHelp',
//						type: 'POST',
//						params: {
//							userId: loginStatus.userId,
//							baseBusinessType:"004003"
//						},
//						successCallback: function(response) {
//							$('#uploadEvidence2').html(protocolFrame({
//								protocolId: "agreementAutoPayment",
//								protocolName: "上传材料说明",
//								protocolWidth: $('body').width(),
//								protocolHeight: $('body').height() - 56
//							}));
//
//							$$("#agreementAutoPayment").contents().find("html")[0].innerHTML = response;
//
//							f7.popup('#uploadEvidence2');
//						},
//						errorCallback: function(err) {}
//					});
//				});
			}
		});
		
		// 隐藏底部工具栏
		f7.hideToolbar('#toolbar');
		
		//已上传图片回显
		var picDataArr = [
		              {
		                  "picType": "1",
		                  "picName":"身份证",
		                  "picDataArray": [
		                      {
		                    	  "picSubType": "11",
		                    	  "picSubName": "身份证正面",
		                    	  "picSubDataArray": [{"cloudUrl": "img/employeeBuy/info-idCard1.png"}],
		                    	  'picSubShowAddPic':'true'
		                      },
		                      {
		                    	  "picSubType": "12",
		                    	  "picSubName": "身份证反面",
		                    	  "picSubDataArray": [{"cloudUrl": "img/employeeBuy/info-idCard2.png"}],
		                    	  'picSubShowAddPic':'true'
		                      },
		                      {
		                    	  "picSubType": "13",
		                    	  "picSubName": "手持身份证",
		                    	  "picSubDataArray": [],
		                    	  'picSubShowAddPic':'true'
		                      }
		                  ]
		              },
		              {
		                  "picType": "6",
		                  "picName":"工作证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "2",
		                  "picName":"收入证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "3",
		                  "picName":"房产证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "9",
		                  "picName":"装修房产证明材料",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "12",
		                  "picName":"装修合同",
		                  "picDataArray": []

		              },
		              {
		                  "picType": "5",
		                  "picName":"其他证明材料",
		                  "picDataArray": []

		              }
		          ]
		if(housingLoan == '1'){
			var InvoiceArr = picDataArr.splice(2,1);
			if(InvoiceArr.length > 0){
				picDataArr.splice(5,0,InvoiceArr[0]);
			}
		}
		//数据合并
		if(params.picList && params.picList != null && params.picList.length > 0){
			var picBackArr = params.picList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '1'){
					for(var j = 0;j < picBackArr[i].picDataArray.length; j++){
						var item = picBackArr[i].picDataArray[j];
						if(item.picSubType == '11'){
							picDataArr[0].picDataArray[0] = item;
						}else if(item.picSubType == '12'){
							picDataArr[0].picDataArray[1] = item;
						}else if(item.picSubType == '13'){
							picDataArr[0].picDataArray[2] = item;
						}
					}
				}else if(picBackArr[i].picType == '6'){
					picDataArr[1].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '2'){
					picDataArr[2].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '3'){
					picDataArr[3].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '5'){
					picDataArr[6].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		if(params.decorationMaterialsList && params.decorationMaterialsList.length > 0){
			var decorationList = params.decorationMaterialsList;
			for(var i = 0; i < decorationList.length; i++){
				if(decorationList[i].picType == '9'){
					picDataArr[4].picDataArray = decorationList[i].picDataArray;
				}else if(decorationList[i].picType == '12'){
					picDataArr[5].picDataArray = decorationList[i].picDataArray;
				}
			}
		}
		
		// 渲染uploadEvidence内容
		$$('#uploadEvidenceFamilyContent').html(uploadEvidenceTemplate({
			picList: picDataArr,
			housingLoan: housingLoan
		}));
		
		$$('.identicalMaterial').parent().css({'height':'auto'});
		$$('.identical-material input').change(function(){
			if($$(this).is(':checked')){
				$$(this).parent().parent().addClass('hide-pic').parent().parent().next().removeClass('upload-must').hide();
			}else{
				$$(this).parent().parent().removeClass('hide-pic').parent().parent().next().addClass('upload-must').show();
			}
		})
		
		// 渲染头部状态栏
		loadAdultEducationComponent('authenticationTabbar', 'authentication', {
			container: '#uploadEvidenceFamilyTabbar',
			tabIndex: 2,
			pageType: 'orderPage'
		});
		
		//证明材料帮助图标按钮
		$('.uploadHelp').on('click',function(){
			var alertTitle = uploadHelp.evidenceWork.title;
			var alertText = uploadHelp.evidenceWork.body;
			var that = $(this).attr("data-type");
			if(that == '6' ){//工作证明
				alertTitle = uploadHelp.evidenceWork.title;
				alertText = uploadHelp.evidenceWork.body;
			}else if(that == '2'){//收入证明
				alertTitle = uploadHelp.evidenceInvoice.title;
				alertText = uploadHelp.evidenceInvoice.body;
			}else if(that == '3'){//房产证明
				alertTitle = uploadHelp.evidenceHouse.title;
				alertText = uploadHelp.evidenceHouse.body;
			}else if(that == '5'){//其他证明
				alertTitle = uploadHelp.evidenceOther.title;
				alertText = uploadHelp.evidenceOther.body;
			}else if(that == '9'){//装修房产证明
				alertTitle = uploadHelp.evidenceDwelling.title;
				alertText = uploadHelp.evidenceDwelling.body;
			}
			f7.modal({
		  		title: alertTitle,
	  			text:  alertText,
	  			buttons: [
	  				{
	  					text: '我知道了',
	  					onClick: function(){}
	  				}
	  			]
		  	})
		  	$('.modal-title').css({
		  		'font-weight':'normal',
		  		'border-bottom':'1px dashed #e5e5e5',
		  		'padding-bottom':'5px'
		  	})
			$('.modal-text').css({
				'max-height':'320px',
				'overflow':'scroll'
			})
		})
		
		//获取身份证正反面
		var idCardList = $$('.id-card-item');
		
		//创建身份证正反面实例
		evidenceIdCardList = idCardList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			var picSubType = $$(item).data('subtype');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "idCard" + evidenceType,
				auditInfoId: params.infoData.auditInfoId,
				baseBusinessType: '004003',
				picType: picType,
				picSubType: picSubType
			})
		})
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		
		//创建主列表实例
		evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "add" + evidenceType + "Btn",
				operateSelector: "edit" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadEvidenceList' + evidenceType),
				limitNum: '100',
				auditInfoId: params.infoData.auditInfoId,
				baseBusinessType: '004003',
				picType: picType
			})
		})
		
		// 渲染底部按钮
		$$('#uploadEvidenceFamilyBtnBox').html(buttonTemplate({
			id: 'uploadEvidenceFamilyConfirmBtn',
			value: '提交',
			disabled: false,
		}));
		
		// 完成事件绑定
		$$('#uploadEvidenceFamilyConfirmBtn').on('click', function() { clickDelay('familyDecorationOnlineUploadMaterial', function() {

			//获取必传项
			var mustArr = $$('.upload-must');
			var commitStatus1 = false;
			var commitStatus2 = false;
			for(var i = 0;i < mustArr.length;i++){
				var type = $$(mustArr[i]).data('key');
//				console.log($$(mustArr[i]))
				if(type == '111' || type == '112'){
					if(!$$(mustArr[i]).find('img').data('picid')){
						f7.alert('请上传' + $$(mustArr[i]).find('h3').text() + '!');
						commitStatus1 = false;
						break;
					}else{
						commitStatus1 = true;
					}
				}else{
					if($$(mustArr[i]).children().length <= 1){
						f7.alert('请上传' + $$(mustArr[i]).prev().find('.upload-evidence-header-name').text() + '!');
						commitStatus2 = false;
						break;
					}else{
						commitStatus2 = true;
					}
				}
				
			}
			
			if(commitStatus1 == true && commitStatus2 == true){
				//获取一致状态
				if(housingLoan == '1'){
					var propertyEvidence = $$('#uploadEvidenceList3').prev().find('input:checked');
					if(propertyEvidence.length > 0){
						propertyEvidenceStatus = true;
					}else{
						propertyEvidenceStatus = false;
					}
				}
				var liveEvidenceStatus = false;
				/*var liveEvidence = $$('#uploadEvidenceList4').prev().find('input:checked');
				if(liveEvidence.length > 0){
					liveEvidenceStatus = true;
				}else{
					liveEvidenceStatus = false;
				}*/
				
				//提交审核
				commitEvidence();
			}

			function commitEvidence() {
			    if (!checkSubmitFlg) {
			    	
			    	callAppApi({
						url: '/app/credit/audit/infoSubmit',
						apiVersion: '2.0',
						type: 'POST',
						params: {
							userId: loginStatus.userId,
							baseBusinessType:"004003",
							auditInfoId: params.infoData.auditInfoId,
							houseAccordantDecoration: propertyEvidenceStatus?'1':'0',
							dwellAccordantHouse: liveEvidenceStatus?'1':'0'
						},
						successCallback: function(auditInfoRes) {
							/*infoQueryRouter('004003', {
								query:{
									fromPage: 'familyDecorationMaterialUpload'
								}
							}, loadFamilyDecorationOnlinePage);*/
							/*Router.mainRouter('004003', {
								fromPage: 'familyDecorationMaterialUpload'
							});*/
							/*mainView.router.load({
								url: 'orderDetail.html',
								query: {
									baseBusinessType:"004003",
									orderId: orderId,
									fromPage: 'familyDecorationMaterialUpload'
								}
							});*/
							checkSubmitFlg = true;
							mainView.router.load({
							     url: 'order.html',
								 query: {
								    fromPage: 'familyDecorationMaterialUpload'
								 }
							});
						},
						errorCallback: function(err) {
							checkSubmitFlg = false;
						}
					});
			    	
				} else {
					return false;
				}
			}

		}) });
		
	}

	return {
		render: render
	}
});