define([
   'jquery'
], function($$) {
	
    var gesturePassword = function(element, options) {

	    this.$element	= $$(element);
        this.options	= options;
        var that=this;
        this.width = options.width * 2;
        this.height = options.height * 2;
        this.pr=options.pointRadii * 2;
        this.rr=options.roundRadii * 2;
        this.spaceHorizontal = options.spaceHorizontal * 2;
        this.spaceVertical = options.spaceVertical * 2;
        this.paddingLeft = options.paddingLeft * 2;
        this.paddingTop = options.paddingTop * 2;
        this.wrongColor = options.wrongColor;
        this.rightColor = options.rightColor;
        this.activePointCallback = options.activePointCallback;
        this.passwdRightCallback = options.passwdRightCallback;
        this.passwdWrongCallback = options.passwdWrongCallback;
        this.passwdResetCallback = options.passwdResetCallback;
        this.touchGestureStatus = '0';
        
        this.curPointNumList = [];
        
        this.color=options.color;
        
        var documentWidth = $$(document).width();
        
        if (documentWidth < 375) {
            this.$element.css({
                "position":"relation",
                "margin-left": "-" + (375 - documentWidth) / 2 + "px",
                "width":this.options.width,
                "height":this.options.height,
                "background-color":options.backgroundColor,
                "overflow":"hidden",
                "cursor":"default",
                "transform": "scale(" + documentWidth / 375 + ")",
                "-webkit-transform": "scale(" + documentWidth / 375 + ")",
            });
        } else {
            this.$element.css({
                "position":"relation",
                "width":this.options.width,
                "height":this.options.height,
                "background-color":options.backgroundColor,
                "overflow":"hidden",
                "cursor":"default"
            });
        }

        //Ñ¡ÔñÆ÷¹æ·¶
        if(! $$(element).attr("id"))
            $$(element).attr("id",(Math.random()*65535).toString());
        this.id="#"+$$(element).attr("id");

        var Point = function (x,y){
            this.x  =x;this.y=y
        };

        this.result="";
        this.pList=[];
        this.sList=[];
        this.tP=new Point(0,0);

        this.$element.append('<canvas class="main-c" width="'+options.width * 2+'" height="'+options.height * 2+'" style= "' + 'width: ' + options.width + 'px; height: ' + options.height + 'px;">');
        //this.$element.append('<canvas class="main-p" width="'+options.width+'" height="'+options.height+'" >');
        this.$c= $$(this.id+" .main-c")[0];
        this.$ctx=this.$c.getContext('2d');

        this.initDraw=function(){
            this.$ctx.strokeStyle=this.color;
            this.$ctx.lineWidth=4;
            
            for(var j=0; j<3;j++ ){
                for(var i =0;i<3;i++){
                    this.$ctx.moveTo(this.paddingLeft + this.rr*2+i*(this.spaceHorizontal + 2*this.rr), this.paddingTop +this.rr+j*(this.spaceVertical + 2*this.rr));
                    this.$ctx.arc(this.paddingLeft + this.rr+i*(this.spaceHorizontal + 2*this.rr), this.paddingTop + this.rr+j*(this.spaceVertical + 2*this.rr),this.rr,0,2*Math.PI);
                    var tem=new Point(this.paddingLeft + this.rr+i*(this.spaceHorizontal + 2*this.rr), this.paddingTop + this.rr+j*(this.spaceVertical + 2*this.rr));
                    if (that.pList.length < 9)
                        this.pList.push(tem);
                }
            }
            this.$ctx.stroke();
//            this.initImg=this.$ctx.getImageData(0,0,this.options.width,this.options.height);
            this.initImg=this.$ctx.getImageData(0,0,that.width,that.height);
        };
        this.initDraw();
        //this.$ctx.stroke();
        this.isIn=function(x,y){

            for (var p in that.pList){
                if(( Math.pow((x-that.pList[p]["x"]),2)+Math.pow((y-that.pList[p]["y"]),2) ) < Math.pow(this.rr,2)){
                    return that.pList[p];
                }
            }
            return 0;
        };

        this.pointDraw =function(c){
            if (arguments.length>0){
                that.$ctx.strokeStyle=c;
                that.$ctx.fillStyle=c;
                
            }
            for (var p in that.sList){
                that.$ctx.moveTo(that.sList[p]["x"]+that.rr,that.sList[p]["y"]);

            	that.$ctx.globalCompositeOperation = 'source-over';
                that.$ctx.arc(that.sList[p]["x"],that.sList[p]["y"],that.rr,0,2*Math.PI);
                that.$ctx.fill();
                
                that.$ctx.beginPath();
                that.$ctx.strokeStyle='#f8f8f8';
                that.$ctx.fillStyle='#f8f8f8';
                that.$ctx.arc(that.sList[p]["x"],that.sList[p]["y"],that.rr-4,0,2*Math.PI);
                that.$ctx.fill();
                
                that.$ctx.beginPath();
                that.$ctx.strokeStyle=c;
                that.$ctx.fillStyle=c;
                that.$ctx.arc(that.sList[p]["x"],that.sList[p]["y"],that.pr,0,2*Math.PI);
                that.$ctx.fill();
            }
        };
        this.lineDraw=function (c){
            if (arguments.length>0){
                that.$ctx.strokeStyle=c;
                that.$ctx.fillStyle=c;
            }
            if(that.sList.length > 0){
                for( var p in that.sList){
                    if(p == 0){
                        that.$ctx.moveTo(that.sList[p]["x"],that.sList[p]["y"]);
                        continue;
                    }
                    that.$ctx.lineTo(that.sList[p]["x"],that.sList[p]["y"]);
                }

            }
        };

        this.allDraw =function(c){
            if (arguments.length>0){
                this.pointDraw(c);
                this.lineDraw(c);

                var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));
                var gestureLine = gestureStatus.gestureLine;

                if (gestureLine == true) {
                    that.$ctx.globalCompositeOperation = 'destination-over';
                    that.$ctx.stroke();
                } else if (gestureLine == false) {
                    that.$ctx.globalCompositeOperation = 'destination-over';
                }
            }
            else {
                this.pointDraw();
                this.lineDraw();
            }

        };


        this.draw=function(x,y){
            that.$ctx.clearRect(0,0,that.width,that.height);
            that.$ctx.beginPath();
            //that.initDraw();
            that.$ctx.putImageData(this.initImg,0,0);
            that.$ctx.lineWidth=4;
            that.pointDraw(that.options.lineColor);
            
            var gestureStatus = JSON.parse(localStorage.getItem('gestureStatus'));
            var gestureLine = gestureStatus.gestureLine;
            if (gestureLine == true) {
            	that.lineDraw(that.options.lineColor);
            } else if (gestureLine == false) {
            	that.lineDraw('transparent');
            }

            that.$ctx.globalCompositeOperation = 'destination-over';
            that.$ctx.lineTo(x,y);
            that.$ctx.stroke();
        };

        this.pointInList=function(poi,list){
            for (var p in list){
                if( poi["x"] == list[p]["x"] && poi["y"] == list[p]["y"]){
                    return ++p;
                }
            }
            return false;
        };

        this.touched=false;
        $$(this.id).on ("mousedown touchstart",{that:that},function(e){
            if (that.touchGestureStatus == '0') {
                e.data.that.touched=true;
            }
        });
        $$(this.id).on ("mouseup touchend",{that:that},function(e){
            if (that.touchGestureStatus == '0') {
                that.touchGestureStatus = '1';
                e.data.that.touched=false;
                that.$ctx.clearRect(0,0,that.width,that.height);
                that.$ctx.beginPath();
                that.$ctx.putImageData(e.data.that.initImg,0,0);
                that.allDraw(that.options.lineColor);
                // that.$ctx.stroke();
                for(var p in that.sList){
                    if(e.data.that.pointInList(that.sList[p], e.data.that.pList)){

                        e.data.that.result= e.data.that.result+(e.data.that.pointInList(that.sList[p], e.data.that.pList)).toString();
                    }
                }
                $$(element).trigger("hasPasswd",that.result);
            }
        });

        $$(this.id).on('touchmove mousemove',{that:that}, function(e) {
            if(e.data.that.touched && that.touchGestureStatus == '0'){
                var x= e.pageX || e.originalEvent.targetTouches[0].pageX ;
                var y = e.pageY || e.originalEvent.targetTouches[0].pageY;
                x=x-that.$element.offset().left;
                y=y-that.$element.offset().top;

                x *= 2;
                y *= 2;

                var p = e.data.that.isIn(x, y);
                if(p != 0 ){
                	
                    if ( !e.data.that.pointInList(p,e.data.that.sList)){
                        e.data.that.sList.push(p);
                        e.data.that.curPointNumList.push(e.data.that.pointInList(p, e.data.that.pList));
                        
                        if (that.activePointCallback) {
                        	that.activePointCallback(e.data.that.pointInList(p, e.data.that.pList), e.data.that.curPointNumList)
                        }
                    }
                }
                e.data.that.draw(x, y);
            }
        });

        $$(this.id).on('passwdWrong',{that:that}, function(e, options) {
        	if (options) {
        		options.countdown = options.countdown ? options.countdown : 2000;
        	} else {
        		options = {
        			countdown: 2000,
        		}
        	}

            that.$ctx.clearRect(0,0,that.width,that.height);
            that.$ctx.beginPath();
            that.$ctx.putImageData(that.initImg,0,0);
            that.allDraw(that.wrongColor);
            that.result="";
            that.pList=[];
            that.sList=[];
            that.curPointNumList = [];

            setTimeout(function(){
                that.touchGestureStatus = '0';
                that.$ctx.clearRect(0,0,that.width,that.height);
                that.$ctx.beginPath();
                that.initDraw()
                
                if (that.passwdWrongCallback) {
                	that.passwdWrongCallback();
                }
            }, options.countdown)

        });

        $$(this.id).on('passwdRight',{that:that}, function(e) {
            that.$ctx.clearRect(0,0,that.width,that.height);
            that.$ctx.beginPath();
            that.$ctx.putImageData(that.initImg,0,0);
            that.allDraw(that.rightColor);
            that.result="";
            that.pList=[];
            that.sList=[];
            that.curPointNumList = [];
            setTimeout(function(){
                that.touchGestureStatus = '0';
                that.$ctx.clearRect(0,0,that.width,that.height);
                that.$ctx.beginPath();
                that.initDraw()
                
                if (that.passwdRightCallback) {
                	that.passwdRightCallback();
                }
            },500)
        });
        
        $$(this.id).on('passwdReset', {that: that}, function(e) {
        	that.$ctx.clearRect(0, 0, that.width, that.height);
        	that.$ctx.beginPath();
        	that.$ctx.putImageData(that.initImg, 0, 0);
        	that.allDraw(that.resetColor);
        	that.result = "";
        	that.pList = [];
        	that.sList = [];
        	that.curPointNumList = [];
        	setTimeout(function() {
        		that.$ctx.clearRect(0, 0, that.width, that.height);
        		that.$ctx.beginPath();
        		that.initDraw();
        		
        		if (that.passwdResetCallback) {
        			that.passwdResetCallback();
        		}
        	}, 1000);
        })
	}
    
    
    function GestureView(selector, options) {
    	this.viewList = $$(selector);
    	this.viewItemList = this.viewList.children();
    }
    
    GestureView.prototype = {
    	update: function(activeList) {
    		var viewItemList = this.viewItemList;
    		if (activeList.length > 0) {
    			activeList.forEach(function(item) {
    				viewItemList[parseInt(item) - 1].classList.add('active');
    			})
    		}
    	},
    	reset: function() {
    		var viewItemList = this.viewItemList;
    		viewItemList.each(function(index, item) {
    			item.classList.remove('active');
    		})
    	}
    }
    
    return {
    	gesturePassword: gesturePassword,
    	GestureView: GestureView,
    }
});