define([
  'js/utilities',
  'components/common/toolbar/toolbarView',
], function(
  utilities,
  toolbarView
) {
	var callAppApi = utilities.callAppApi;
	var isOwnEmpty = utilities.isOwnEmpty;
	
    var changeToolbarStatus = toolbarView.changeToolbarStatus;
    
    var orderCheckType = '';
	function mainRouter(baseBusinessType, options, successCallback, errorCallback) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		//是否首页检查
		orderCheckType = options.orderCheckType || '0'
		var orderId = options.orderId || '';
		
		// 前置条件，检测登录
		if (loginStatus && loginStatus.userSession && loginStatus.userSession == '') {
			f7.alertMessage('您尚未登录，去注册登录');
			var loginTimeout = setTimeout(function() {
				mainView.router.load({
					url : 'login.html',
					query : {
						from : 'index'
					}
				});
				
				changeToolbarStatus('#toolbarBtn3');
				clearTimeout(loginTimeout);
			}, 3000);
		} else {
			if(baseBusinessType == '004003'){
				callAppApi({
					url: '/app/check/creditStatus',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: baseBusinessType,
						orderId: orderId,
					},
					successCallback: function(response) {
						if(response.creditStatus  == 5 ){
							f7.alertMessage(response.message);
							localStorage.removeItem('defaultDecorationGoodsInfo_'+loginStatus.userId);
							checkOrder(baseBusinessType, options, successCallback, errorCallback);
						}else{
							checkOrder(baseBusinessType, options, successCallback, errorCallback);
						}
					},
					errorCallback: function(err) {}
				})
			}else{
				checkOrder(baseBusinessType, options, successCallback, errorCallback);
			}
			
		}
	}
	
	function checkOrder(baseBusinessType, options, successCallback, errorCallback){
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		callAppApi({
			url: '/app/check/order',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				baseBusinessType: baseBusinessType,
				orderCheckType: orderCheckType
			},
			successCallback: function(checkOrderRes) {
				
				var routerCode = checkOrderRes.checkStatus;
				var routerMsg = checkOrderRes.checkMsg;
				var auditInfoId = checkOrderRes.auditInfoId;
				var orderId = checkOrderRes.baseOrderId;
				var baseBusinessType = checkOrderRes.baseBusinessType;
				
				if (/^\d+$/.test(routerCode)) {
					
					// 通用跳转
					commonRouter(routerCode, Object.assign({}, options, {
						auditInfoId: auditInfoId,
						routerMsg: routerMsg,
						orderId: orderId,
						baseBusinessType: baseBusinessType
					}), function(checkOrderRes) {
						
					});
				} else if (/^A\d+$/.test(routerCode)) {
					
					// 家装线上化 --- 别名A线
					familyDecorationOnlineRouter(routerCode, Object.assign({}, options, {
						orderId: orderId,
						auditInfoId: auditInfoId,
						baseBusinessType: baseBusinessType,
						routerMsg: routerMsg
					}), function(checkOrderRes) {
						
					});
				} else if (/^B\d+$/.test(routerCode)) {
					
					// 预授信业务线 --- 别名B线
					advanceCreditRouter(routerCode, Object.assign({}, options, {
						orderId: orderId,
						auditInfoId: auditInfoId,
						baseBusinessType: baseBusinessType,
						routerMsg: routerMsg
					}), function(checkOrderRes) {
						
					});
				}
				
			},
			errorCallback: function(err) {}
		})
	}
	
	function commonRouter(routerCode, options, successCallback, errorCallback) {
		if (routerCode == '1') {
			f7.alertMessage(options.routerMsg);
		} else if (routerCode == '2') {
			f7.alertMessage(options.routerMsg);
		} else if (routerCode == '3') {
//			f7.alertMessage(options.routerMsg);
			mainView.router.load({
				  url: 'order.html',
				  query: {
					fromPage: options.fromPage
				  }
			  });
		} else if (routerCode == '4') {
//			f7.alertMessage(options.routerMsg);
			mainView.router.load({
				url: 'orderDetail.html',
				query: {
					orderId: options.orderId,
					baseBusinessType:options.baseBusinessType,
					fromPage: options.fromPage
				}
			})
		}
	}
	
	// 预授信业务线路由方法
	function advanceCreditRouter(routerCode, options, successCallback, errorCallback) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		if (routerCode == 'B0') {
			if(options.isPop){
				getApplyInfoBox({}, function(){
					loadAdvanceCreditPage('chooseProfession', {
						query: {
							fromPage: options.fromPage
						}
					});
				})
			}else{
				loadAdvanceCreditPage('chooseProfession', {
					query: {
						fromPage: options.fromPage
					}
				});
			}
		} else if (routerCode == 'B1') {
			if(options.isPop){
				getApplyInfoBox({}, function(){
					loadAdvanceCreditPage('uploadIDCard', {
						query: {
							fromPage: options.fromPage,
							auditInfoId: options.auditInfoId
						}
					});
				})
			}else{
				loadAdvanceCreditPage('uploadIDCard', {
					query: {
						fromPage: options.fromPage,
						auditInfoId: options.auditInfoId
					}
				});
			}
		} else if (routerCode == 'B2') {
			if(options.isPop){
				getApplyInfoBox({}, function(){
					callAppApi({
					  url: '/app/credit/v2/query/myLimit',
					  type: 'POST',
					  params: {
						  userId: loginStatus.userId
					  },
					  successCallback: function(creditRes) {
						  if(creditRes.checkOrderCode === 'B6'){
							  loadAdvanceCreditPage('reuploadEvidence', {
								  query: {
									  fromPage: 'me',
									  auditInfoId: creditRes.auditInfoId,
									  baseBusinessType: creditRes.baseBusinessType,
									  orderId: creditRes.baseOrderId,
									  backReuploadType: 'CREDIT',
								  }
							  });
						  } else {
							  loadAdvanceCreditPage('creditManage', {
								  query: {
									  fromPage: options.fromPage,
								  }
							  });
						  }
					  },
					  errorCallback: function(err) {}
				  })
				})
			}else{
				loadAdvanceCreditPage('creditManage', {
					query: {
						fromPage: options.fromPage,
					}
				});
			}
			
		} else if (routerCode == 'B3') {
			if(options.isPop){
				getApplyInfoBox({}, function(){
					checkTransactionPwd({},function(){
						loadAdvanceCreditPage('uploadEvidence', {
							query: {
								fromPage: options.fromPage,
								auditInfoId: options.auditInfoId
							}
						});
					},function(){
						mainView.loadPage({
							url : 'setPassword.html',
							query : {
								fromPage: 'advanceCreditUploadIDCard',
								auditInfoId: options.auditInfoId
							}
						})
					});
				})
			}else{
				checkTransactionPwd({},function(){
					loadAdvanceCreditPage('uploadEvidence', {
						query: {
							fromPage: options.fromPage,
							auditInfoId: options.auditInfoId
						}
					});
				},function(){
					mainView.loadPage({
						url : 'setPassword.html',
						query : {
							fromPage: 'advanceCreditUploadIDCard',
							auditInfoId: options.auditInfoId
						}
					})
				});
			}
		} else if (routerCode == 'B4') {
			if(options.isPop){
				getApplyInfoBox({}, function(){
					loadAdvanceCreditPage('uploadEvidence', {
						query: {
							fromPage: options.fromPage,
							auditInfoId: options.auditInfoId
						}
					});
				})
			}else{
				loadAdvanceCreditPage('uploadEvidence', {
					query: {
						fromPage: options.fromPage,
						auditInfoId: options.auditInfoId
					}
				});
			}
		} else if (routerCode == 'B5') {
			if(options.isPop){
				getApplyInfoBox({}, function(){
					loadAdvanceCreditPage('chooseFamily', {
						query: {
							fromPage: options.fromPage,
							auditInfoId: options.auditInfoId
						}
					});
				})
			}else{
				loadAdvanceCreditPage('chooseFamily', {
					query: {
						fromPage: options.fromPage,
						auditInfoId: options.auditInfoId
					}
				});
			}
		} else if (routerCode == 'B6') {
			//预授信回退
			if(options.isPop){
				getApplyInfoBox({}, function(){
					loadAdvanceCreditPage('reuploadEvidence', {
						query: {
							fromPage: options.fromPage,
							baseBusinessType: options.baseBusinessType,
							auditInfoId: options.auditInfoId,
							orderId: options.orderId,
							backReuploadType: 'CREDIT',
						}
					});
				})
			}else{
				loadAdvanceCreditPage('reuploadEvidence', {
					query: {
						fromPage: options.fromPage,
						baseBusinessType: options.baseBusinessType,
						auditInfoId: options.auditInfoId,
						orderId: options.orderId,
						backReuploadType: 'CREDIT',
					}
				});
			}
		} else if (routerCode == 'B7') {
//			// 健康业务线选品
//			loadMedicalCarePage('medicalCareChooseGoods', {
//				query: {
//					fromPage: options.fromPage,
//				}
//			});
			checkTransactionPwd({},function(){
				loadMedicalCarePage('medicalCareChooseGoods', {
					query: {
						fromPage: options.fromPage,
						auditInfoId: options.auditInfoId,
						orderId: options.orderId,
					}
				});
			},function(){
				mainView.loadPage({
					url : 'commenSetPassword.html',
					query : {
						fromPage: 'medicalCareChooseGoods_index',
						auditInfoId: options.auditInfoId
					}
				})
			});
		} else if (routerCode == 'B8') {
			// 健康业务线业务资料上传
			loadMedicalCarePage('medicalCareUploadEvidence', {
				query: {
					fromPage: options.fromPage,
					orderId: options.orderId,
					baseBusinessType: options.baseBusinessType,
				}
			});
		} else if (routerCode == 'B9') {
//			f7.alertMessage('您已提交该业务申请，请通过线下流程完成后续办单操作。');
			f7.alertMessage(options.routerMsg);
		} else if (routerCode == 'B10') {
//			f7.alertMessage('您尚未完成业务资料审核，请申请通过后继续操作。');
			f7.alertMessage(options.routerMsg);
		} else if (routerCode == 'B11') {
			//家电套选品回退
			loadAdvanceCreditPage('reuploadEvidence', {
				query: {
					fromPage: options.fromPage,
					baseBusinessType: options.baseBusinessType,
					auditInfoId: options.auditInfoId,
					orderId: options.orderId,
					backReuploadType: 'BUSINESS'
				}
			});
		} else if (routerCode == 'B12') {
			//健康选品回退
			loadAdvanceCreditPage('reuploadEvidence', {
				query: {
					fromPage: options.fromPage,
					baseBusinessType: options.baseBusinessType,
					auditInfoId: options.auditInfoId,
					orderId: options.orderId,
					backReuploadType: 'BUSINESS'
				}
			});
		} else if (routerCode == 'B13') {
			if(options.isPop){
				getCreditInfoBox({}, function(){
					loadFamilyDecorationPage('dispathchAdress', {
						query: {
							fromPage: options.fromPage,
						}
				    });
				})
			}else{
				loadFamilyDecorationPage('dispathchAdress', {
					query: {
						fromPage: options.fromPage,
					}
			    });
			}
		} else if (routerCode == 'B14') {
			if(options.isPop){
				getCreditInfoBox({}, function(){
					loadFamilyDecorationPage('editAdress', {
						query: {
							fromPage: options.fromPage,
							baseBusinessType: '004001',
							orderId: options.orderId,
						}
				    });
				})
			}else{
				loadFamilyDecorationPage('editAdress', {
					query: {
						fromPage: options.fromPage,
						baseBusinessType: '004001',
						orderId: options.orderId,
					}
			    });
			}
		}
	}
	
	// 家电套购业务线路由方法
	function appliancePackageRouter() {
		
	}
	
	// 健康业务线路由方法
	function medicalCareRouter() {
		
	}
	
	// 家装线上化业务线路由方法
	function familyDecorationOnlineRouter(routerCode, options, successCallback, errorCallback) {
		if (routerCode == 'A0') {
			loadFamilyDecorationOnlinePage('authentication', {
				query: {
					fromPage: options.fromPage
				}
			});
		} else if (routerCode == 'A1') {
			loadFamilyDecorationOnlinePage('uploadIdCard', {
				query: {
					fromPage: options.fromPage
				}
			});
		} else if (routerCode == 'A2') {
			loadFamilyDecorationOnlinePage('chooseGoods', {
				query: {
					fromPage: options.fromPage
				}
			});
			
			
		} else if (routerCode == 'A3') {
			checkTransactionPwd({},function(){
				if(options.isPop){
					getOrderInfoBox(options, function(){
						loadFamilyDecorationOnlinePage('materialUpload', {
							query: {
								fromPage: options.fromPage
							}
						});
					}, function(){
						loadFamilyDecorationOnlinePage('chooseGoods', {
							query: {
								fromPage: options.fromPage
							}
						});
					})
				}else{
					loadFamilyDecorationOnlinePage('materialUpload', {
						query: {
							fromPage: options.fromPage
						}
					});
				}
			},function(){
				mainView.loadPage({
					url : 'setPassword.html',
					query : {
						fromPage: 'familyDecorationOnlineChooseGoods'
					}
				})
			});
		} else if (routerCode == 'A4') {
			
			if(options.isPop){
				getOrderInfoBox(options, function(){
					loadFamilyDecorationOnlinePage('uploadEvidence', {
						query: {
							fromPage: options.fromPage
						}
					});
				}, function(){
					loadFamilyDecorationOnlinePage('chooseGoods', {
						query: {
							fromPage: options.fromPage
						}
					});
				})
			}else{
				loadFamilyDecorationOnlinePage('uploadEvidence', {
					query: {
						fromPage: options.fromPage
					}
				});
			}
			
		} else if(routerCode == 'A5'){
			loadFamilyDecorationOnlinePage('chooseGoods', {
				query: {
					fromPage: options.fromPage,
					code: routerCode,
					auditInfoId: options.auditInfoId
				}
			});
			
			
		} else if(routerCode == 'A6'){
			checkTransactionPwd({},function(){
				if(options.isPop){
					getOrderInfoBox(options, function(){
						loadFamilyDecorationOnlinePage('materialUpload', {
							query: {
								fromPage: options.fromPage,
								code: routerCode,
								auditInfoId: options.auditInfoId,
								orderId: options.orderId,
							}
						});
					}, function(){
						loadFamilyDecorationOnlinePage('chooseGoods', {
							query: {
								fromPage: options.fromPage,
								code: routerCode,
								auditInfoId: options.auditInfoId
							}
						});
					})
				}else{
					loadFamilyDecorationOnlinePage('materialUpload', {
						query: {
							fromPage: options.fromPage,
							code: routerCode,
							auditInfoId: options.auditInfoId,
							orderId: options.orderId,
						}
					});
				}
			},function(){
				mainView.loadPage({
					url: 'commenSetPassword.html',
					query: {
						fromPage: 'familyCreditChooseGoods',
						code: routerCode,
						auditInfoId: options.auditInfoId
					}
				})
			});
		}else if(routerCode == 'A7'){
			if(options.isPop){
				getOrderInfoBox(options, function(){
					loadFamilyDecorationOnlinePage('uploadEvidence', {
						query: {
							fromPage: options.fromPage
						}
					});
				}, function(){
					loadFamilyDecorationOnlinePage('chooseGoods', {
						query: {
							fromPage: options.fromPage
						}
					});
				})
			}else{
				loadFamilyDecorationOnlinePage('uploadEvidence', {
					query: {
						fromPage: options.fromPage
					}
				});
			}
		}else if(routerCode == 'A8'){
			checkTransactionPwd({},function(){
				if(options.isPop){
					getOrderInfoBox(options, function(){
						loadFamilyDecorationOnlinePage('materialUpload', {
							query: {
								fromPage: options.fromPage,
								code: routerCode,
								auditInfoId: options.auditInfoId,
								orderId: options.orderId,
							}
						});
					}, function(){
						loadFamilyDecorationOnlinePage('chooseGoods', {
							query: {
								fromPage: options.fromPage,
								code: routerCode,
								auditInfoId: options.auditInfoId
							}
						});
					})
				}else{
					loadFamilyDecorationOnlinePage('materialUpload', {
						query: {
							fromPage: options.fromPage,
							code: routerCode,
							auditInfoId: options.auditInfoId,
							orderId: options.orderId,
						}
					});
				}
			},function(){
				mainView.loadPage({
					url: 'commenSetPassword.html',
					query: {
						fromPage: 'familyCreditChooseGoods',
						code: routerCode,
						auditInfoId: options.auditInfoId
					}
				})
			});
		}
	}
	
	// 检查是否绑卡
	function checkBindBankcard(options, hasBatchCardCallback, noBatchCardCallback) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		callAppApi({
			url: '/app/bankBatchCard',
			apiVersion: '2.0',
			type: 'POST',
			params: {
				userId: loginStatus.userId
			},
			successCallback: function(res) {
				
				if (typeof res == 'undefined' || res === null || isOwnEmpty(res) || res === '') {
					noBatchCardCallback();
				} else {
					hasBatchCardCallback(res);
				}
			},
			errorCallback: function(err) {}
		})
	}

	// 检查是否设置交易密码
	function checkTransactionPwd(options, hasTransactionPwdCallback, noTransactionPwdCallback) {
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		callAppApi({
			url: '/module/transactionPwd/find',
			type: 'POST',
			params: {
				userId: loginStatus.userId,
				transactionPwd: '',
				findType: '01'
			},
			successCallback: function(res) {
				if (!res.transactionPwdExist) {
					noTransactionPwdCallback();
				} else if (res.transactionPwdExist) {
					hasTransactionPwdCallback(res);
				}
			},
			errorCallback: function(err) {}
		})
	}
	
	function getOrderInfoBox(options, confirmCallback, cancelCallback) {
		
		if (!options.orderId) { f7.alert('查询订单详情，订单id不能为空'); return false; }
		if (!options.baseBusinessType) { f7.alert('查询订单详情，业务类型不能为空'); return false; }
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var orderId = options.orderId;
		var baseBusinessType = options.baseBusinessType;
		
		callAppApi({
			url: '/app/order/detail',
			type: 'POST',
			apiVersion: options.apiVersion || '1.0',
			params: {
				userId: loginStatus.userId,
				orderId: orderId,
				baseBusinessType: baseBusinessType
			},
			successCallback: function(detailRes) {
				popup(detailRes)
			},
			errorCallback: function(err) {}
		})

		function popup(res){

			var businessTitle = '';
			var goodsPlanNameHtml = '';
			var goodsPayNameHtml = '';
			var goodsName = '';
			var goodsPrice = '';
			var goodsProductName = '';
			var goodsSuitePayFirstPrice = '';
			var goodsSuitePayInitialPrice = '';
			var goodsSuiteStageNumber = '';
			var leseBusinessTypeTitlt = '每期还款';
			var leseBusinessTypeCon = '';
			var response;
			
			if (baseBusinessType == '004003') {
				businessTitle = '家居家装';
				response = res.detailCacheData;
				goodsName = res.productDataList[0].productName;                 //商品信息
				goodsPrice = res.productDataList[0].productPrice;               //商品价格 
				goodsProductName = response.planProductName;                          //分期产品
				goodsSuitePayFirstPrice = response.planPayInitialPrice;               //初期支付     
				goodsSuitePayInitialPrice = response.planPayInitialPrice;             //自付金额
				goodsSuiteStageNumber = response.planStageNumber;                     //期数
				leseBusinessTypeCon=response.planStagePrice;                          //每期还款
			} else if (baseBusinessType == '006001') {
				response = res.orderInfo;
				businessTitle = '健康分期';
				goodsName = response.goodsSellName;                                   //商品信息
				goodsPrice = response.orderProductPrice;                              //商品价格 
				goodsProductName = response.goodsProductName;                         //分期产品
				goodsSuitePayFirstPrice = response.goodsSuitePayFirstPrice;           //初期支付     
				goodsSuitePayInitialPrice = response.goodsSuitePayInitialPrice;       //自付金额
				goodsSuiteStageNumber = response.goodsSuiteStageNumber;               //期数
				leseBusinessTypeCon=response.goodsSuiteStagePrice;                    //每期还款
			}
			
			if (res.detailCacheData.planId !== '') {
				goodsPlanNameHtml = 
					'<li class="model-list">'+
		               '<div class="model-inner authStep2-model-inner">'+
			               	'<span class="model-title">套餐名称</span>'+
			                '<span class="model-con">' + response.planName +'</span>'+
		               '</div>'+
		            '</li>';
			}
			
			
			f7.modal({
	  			title: '<div id="orderPopup_' + orderId + '" class="model-top" style="position: absolute;top: 0; left: 0; width: 100%;background: #e6e6e6;padding: 10px 0;border-radius: 13px 13px 0 0;">'+
					  	      '<div class="model-top-first"><span style="display: inline-block; margin: 2px 2px 0 0; width: 15px; height: 15px; background-size: 100%; background-image: url(img/notice.png);"></span>您已存在一个尚未完成的'+businessTitle+'业务订单，重新下单将会自动取消该订单</div>'+
				  	      '</div>',
	  			text:  '<div class="model-block">'+
					  	      '<ul>'+
						          '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">商品信息</span>'+
							                '<span class="model-con">' + goodsName +'</span>'+
						               '</div>'+
						         '</li>'+
						         '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">商品价格</span>'+
							                '<span class="model-con">' + goodsPrice +'元</span>'+
						               '</div>'+
						         '</li>'+
						         '<li class="model-list">'+
						               '<div class="model-inner authStep2-model-inner">'+
							               	'<span class="model-title">分期产品</span>'+
							                '<span class="model-con">'+ goodsProductName +'</span>'+
						               '</div>'+
					             '</li>'+ 
								 '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">初期支付</span>'+
						                '<span class="model-con">' + goodsSuitePayFirstPrice +'元</span>'+
					               '</div>'+
				                  '</li>'+
				                  '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">自付金额</span>'+
						                '<span class="model-con">' + goodsSuitePayInitialPrice +'元</span>'+
					               '</div>'+
				                  '</li>'+
						         '<li class="model-list">'+
					               '<div class="model-inner authStep2-model-inner">'+
						               	'<span class="model-title">期数</span>'+
						                '<span class="model-con">' + goodsSuiteStageNumber +'期</span>'+
					               '</div>'+
				             '</li>'+
					         goodsPayNameHtml
					         +
			                  '<li class="model-list">'+
				               '<div class="model-inner authStep2-model-inner">'+
					               	'<span class="model-title">'+leseBusinessTypeTitlt+'</span>'+
					                '<span class="model-con">' +leseBusinessTypeCon+'元</span>'+
				               '</div>'+
			                  '</li></ul>'+
			                  '<span class="close"></span>'+
				        '</div>',

	  			buttons: [
					{
						text: '<span class="model-back">重新下单</span>',
						onClick: function() {
							callAppApi({
								url:'/app/order/cancel',
								apiVersion: options.apiVersion || '1.0',
								type: 'POST',
								params: {
									orderId: orderId,
									userId: loginStatus.userId,
									cancelType: '',
									baseBusinessType: baseBusinessType
								},
								successCallback: function(cancelRes) {
									cancelCallback(cancelRes);
								},
								errorCallback: function(err) {}
							});
						}
					},
					{
						text: '继续下单',
						onClick: function() {
							confirmCallback({
								orderId: orderId,
								baseBusinessType: baseBusinessType
							});
						}
					}
				]
			});
			$('#orderPopup_' + orderId).parents('.modal').css({
				'overflow': 'visible',
				'width': '90%',
				'margin-left': '-45%'
			})
			$('.close').click(function(){
				f7.closeModal();
			});
		}
	}
	
	
	function getApplyInfoBox(options, confirmCallback, cancelCallback) {
		f7.modal({
			title: '',
			text: '您尚未申请授信额度，请申请通过后再继续操作',
			buttons: [
			    {
					text: '<span color="gray">取消</span>',
					onClick: function() {
							cancelCallback();
					}
				},
				{
					text: '<span color="#f4610b">去申请</span>',
					onClick: function() {
							confirmCallback();
					}
				}
			]
		});
	}
	

	function getCreditInfoBox(options, confirmCallback, cancelCallback) {
		f7.modal({
			title: '',
			text: '您尚未完成业务资料审核，请申请通过后继续操作',
			buttons: [
			    {
					text: '<span color="gray">取消</span>',
					onClick: function() {
							cancelCallback();
					}
				},
				{
					text: '<span color="#f4610b">去申请</span>',
					onClick: function() {
							confirmCallback();
					}
				}
			]
		});
	}
	
	return {
		mainRouter: mainRouter,
		advanceCreditRouter: advanceCreditRouter,
		getApplyInfoBox:getApplyInfoBox
	}
});