define([
	'js/utilities',
	'js/uploadImg',
	'js/config',
	'js/validator',
	'jquery',
	'js/uploadEvidenceFunc.js',
	'medicalCare/medicalCareContainers/medicalCareUploadEvidence/medicalCareUploadEvidenceHelper',
	'hbs!medicalCare/medicalCareContainers/medicalCareUploadEvidence/medicalCareUploadEvidence',
	'hbs!medicalCare/medicalCareComponents/medicalCareUploadEvidence/inputArea',
	'hbs!medicalCare/medicalCareContainers/medicalCareUploadEvidence/uploadEvidence',
	'hbs!components/common/button/button',
	'hbs!components/common/protocolArea/protocolFrame'
], function(
	utilities,
	uploadImg,
	config,
	validator,
	$$,
	uploadEvidence,
	uploadEvidenceHelper,
	uploadEvidenceTemplate,
	inputAreaTemplate,
	photoUploadTemplate,
	buttonTemplate,
	protocolFrame
) {
	var callAppApi = utilities.callAppApi;
	var callWebHtml = utilities.callWebHtml;
	var takePicture = uploadImg.takePicture;
	var choosePhoto = uploadImg.choosePhoto;
	var drawImageCanvas = uploadImg.drawImageCanvas;
	var SKIP = config.SKIP;
	var pickerLocation;
	var getEvidencePicId = uploadEvidenceHelper.getEvidencePicId;
	var getEvidencePicIndex = uploadEvidenceHelper.getEvidencePicIndex;
	var getEvidencePicName = uploadEvidenceHelper.getEvidencePicName;
	var getEvidenceType = uploadEvidenceHelper.getEvidenceType;
	var EvidenceArea = uploadEvidenceHelper.EvidenceArea;
	
	var UploadEvidence = uploadEvidence.UploadEvidence;

	function render(params) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var fromPage = params.fromPage;
		var orderId = params.orderId;

		var callBackData = params.uploadFileResult;
		
		// 渲染navbar
		loadComponent('navbar', 'common', {
			container: '#uploadEvidenceNavbar',
			title: '完善资料',
			backId: 'uploadEvidenceBackBtn1',
			isBackIcon: true,
			isBack: false,
			callback: function() {
				$$('#uploadEvidenceBackBtn1').on('click', function() {
					if(fromPage=="medicalCareChooseGoods" || fromPage=="index" || fromPage == 'orderDetail') {
						f7.modal({
							title: '',
				  			text: '是否确认退出？',
				  			buttons: [
				  			    {
									text: '取消',
									onClick: function(){
										//skapp数据收集：点击“返回”，取消返回
										var page = $('.view-main').attr('data-page');
										if(page == 'chooseGoods'){
											TalkingData.onEventWithLabel('选择商品', '取消返回');
										}else if(page == 'checkFace'){
											TalkingData.onEventWithLabel('人脸识别', '取消返回');
										}else if(page == 'checkInfo'){
											TalkingData.onEventWithLabel('完善资料', '取消返回');
										}else if(page == 'checkUserIdCard'){
											TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '取消返回');
										}
									}
								},
								{
									text: '确认',
									onClick: function() {
								  		//skapp数据收集：点击“返回”，退出下单
										var page = $('.view-main').attr('data-page');
										if(page == 'chooseGoods'){
											TalkingData.onEventWithLabel('选择商品', '退出下单');
										}else if(page == 'checkFace'){
											TalkingData.onEventWithLabel('人脸识别', '退出下单');
										}else if(page == 'checkInfo'){
											TalkingData.onEventWithLabel('完善资料', '退出下单');
										}else if(page == 'checkUserIdCard'){
											TalkingData.onEventWithLabel('其他认证方式（上传资料）页', '退出下单');
										}
										
										mainView.router.back({
								  			url: 'index.html',
								  			force: true,
								  			query: {
												fromPage:'medicalCareUploadEvidence',
											},
								  		});
								  		
								  		f7.showToolbar('#toolbar');
									}
								}
				  			 ]
						})
						f7.showToolbar('#toolbar');
					}else{
						mainView.router.back({
				  			url: 'index.html',
				  			force: true,
				  			query: {
								fromPage:'medicalCareUploadEvidence',
							},
						});
					}
				})
			}
		});
		
		// 渲染头部状态栏
		if(params.fromPage == 'index' || params.fromPage == 'medicalCareChooseGoods' || params.fromPage == 'orderDetail'){
			loadMedicalCareComponent('placeOrderTabbar', 'medicalCarePlaceOrder', {
				container: '#chooseGoodsTabbar1',
				tabIndex: 2
			});
		}
		
		f7.hideToolbar('#toolbar');
		
		var inputDataUser = {
			  	formId: 'healthMaterialsFormUser',
				inputAreaData: [
					{
						title: '',
						visibleStatus: true,
						inputList: [
							{
								id: 'user',
								type: 'select',
								label: '患者是否本人',
								defaultValue: '本人',
								selectList: [
									{
										value: '本人',
										view: '本人'
									},
									{
										value: '非本人',
										view: '非本人'
									}
								]
							}
						]
					}
				]
		}
		
		var inputDataRelation = {
				formId: 'healthMaterialsFormRelation',
				inputAreaData: [
					{
						title: '',
						visibleStatus: true,
						inputList: [
							{
								id: 'userName',
								type: 'text',
								label: '姓名',
								placeholder: '请输入患者姓名',
								value: '',
								disabledStatus: false
							},
							{
								id: 'userIdentityCardNumber',
								type: 'text',
								label: '身份证号',
								placeholder: '请输入患者身份证号码',
								value: '',
								disabledStatus: false
							},
							{
								id: 'userRelation',
								type: 'select',
								label: '关系',
								defaultValue: '',
								selectList: [
									{
										value: ' ',
										view: '请选择患者与本人的关系'
									},
									{
										value: '配偶',
										view: '配偶'
									},
									{
										value: '父母',
										view: '父母'
									},
									{
										value: '子女',
										view: '子女'
									}
								]
							},
							{
								id: 'userPhoneNumber',
								type: 'text',
								label: '手机号码',
								placeholder: '请输入患者手机号（可选）',
								value: ''
							}
						]
					}
				]
		}
		
		var inputDataAddress = {
				formId: 'healthMaterialsFormAddress',
				inputAreaData: [
					{
						title: '',
						visibleStatus:true,
						inputList: [
							{
								type: 'location',
								id: 'userLocation',
								label: '收货地址',
								placeholder: '请选择城市',
							},
							{
								type: 'textarea',
								id: 'userDwellingAddress',
								placeholder: '请输入详细收货地址',
								value: ''
							}
						]
					}
				]
		}
		var  picDataArr= [{
				"picType": "10",
	            "picName":"患者证明",
	            "picDataArray": []
			},
			{
				"picType": "11",
                "picName":"关系证明",
                "picDataArray": []
			}
		];
		
		//数据合并
		if(params.picList && params.picList != null && params.picList.length > 0){
			var picBackArr = params.picList;
			for(var i = 0;i < picBackArr.length;i++){
				if(picBackArr[i].picType == '10'){
					picDataArr[0].picDataArray = picBackArr[i].picDataArray;
				}else if(picBackArr[i].picType == '11'){
					picDataArr[1].picDataArray = picBackArr[i].picDataArray;
				}
			}
		}
		// 渲染uploadEvidence内容
		$$('#uploadEvidenceContent').html(uploadEvidenceTemplate({}));
		$$('#userChoose').html(inputAreaTemplate(inputDataUser));
		$$('#relationChoose').html(inputAreaTemplate(inputDataRelation));
		$$('#addressChoose').html(inputAreaTemplate(inputDataAddress));
		$$('#photoUpload').html(photoUploadTemplate({
			picList: picDataArr,
		}))
		
		//获取主列表
		var picMainList = $$('.upload-evidence-wrap-list');
		//创建主列表实例
		evidenceMainList = picMainList.map(function(index, item){
			var evidenceType = $$(item).data('key');
			var picType = $$(item).data('type');
			return new UploadEvidence(evidenceType, [], {
				addSelector: "addMedicalCare" + evidenceType + "Btn",
				operateSelector: "editMedicalCare" + evidenceType + "Btn",
				uploadEvidenceList: $$('#uploadMedicalCareEvidenceList' + evidenceType),
				limitNum: '100',
//				infoData: params.infoRes.infoData,
				auditInfoId:params.picList[0].picDataArray[0].picSubDataArray[0].auditInfoId,
				baseBusinessType: '006001',
				picType: picType
			})
		})	
		//回显使用人信息
		if(callBackData && callBackData.authorizeUserType != "") {
			$$('#user').val(callBackData.authorizeUserType);
		}
		
		if($$('#user').val() == '本人'){
			$$('#relationChoose').hide();
			$$('.upload-medicalCare-evidenceList11').hide();
		}else{
			$$('#relationChoose').show();
			$$('.upload-medicalCare-evidenceList11').show();
		}
		
		$$('#user').change(function(){
			if($$('#user').val() == '本人'){
				$$('#relationChoose').hide();
				$$('.upload-medicalCare-evidenceList11').hide();
			}else{
				$$('#relationChoose').show();
				$$('.upload-medicalCare-evidenceList11').show();
			}
			$$('#patientMaterials1List .upload-is-show').remove();
			$$('#relationShipMaterials2List .upload-is-show').remove();
			uploadEvidenceHelper.resetUserRelation();
			uploadEvidenceHelper.resetUserName();
			uploadEvidenceHelper.resetUserIdentityCardNumber();
			uploadEvidenceHelper.resetUserPhoneNumber();
			relationShipMaterialsArr = [];
			patientMaterialsArr = [];
		})
		
		
		if(callBackData && callBackData.authorizeUserType != "") {
			$$('#user').val(callBackData.authorizeUserType);
		}
		if(callBackData && callBackData.authorizeUserName != "") {
			$$('#userName').val(callBackData.authorizeUserName);
		}
		if(callBackData && callBackData.authorizeUserIdCard != "") {
			$$('#userIdentityCardNumber').val(callBackData.authorizeUserIdCard);
		}
		if(callBackData && callBackData.authorizeUserRelation != "") {
			$$('#userRelation').val(callBackData.authorizeUserRelation);
		}
		if(callBackData && callBackData.authorizeUserPhone != "") {
			
			$$('#userPhoneNumber').val(callBackData.authorizeUserPhone);
		}
		if(callBackData && callBackData.deliveryDetailAddress != "") {
			$$('#userDwellingAddress').val(callBackData.deliveryDetailAddress);
		}
		var alreadyCheck = false;
		// 绑定事件
		$$("#houseBtn").on("click", function() {
			//
			if(!alreadyCheck) {
					$$("#uploadEvidenceContent .upload-evidence-header").eq(4).slideUp();
				$$("#evidenceDwelling4List").slideUp();
				$$(this).attr("src","img/upload_on.png");
				alreadyCheck = true;
			} else {
					$$("#uploadEvidenceContent .upload-evidence-header").eq(4).slideDown();
				$$("#evidenceDwelling4List").slideDown();
				$$(this).attr("src","img/upload_off.png");
				alreadyCheck = false;
			}
		})

		// 渲染底部按钮
		$$('#uploadEvidenceBtnBox1').html(buttonTemplate({
			id: 'uploadEvidenceConfirmBtn1',
			value: '提交',
			disabled: false,
		}));
		

		// 渲染城市选择框
		  
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  
		  for (var o in PrivinceD) {
			  defaultProValueList.push(o);
			  defaultProViewList.push(PrivinceD[o].name);
		  }
		  
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  
		  for (var p in Areadata['110000']['city']) {
			  defaultCityValueList.push(p);
			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
		  }
		  
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  
		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
			  defaultAreaValueList.push(q);
			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
		  }
	
		var pickerLocation = f7.picker({
		    input: '#userLocation',
		    rotateEffect: true,
		    toolbarCloseText: '完成',
		    formatValue: function (picker, values, displayValues) {
				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
				  }else if (values.length === 3 && displayValues.length === 0) {
//					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
                      if(Areadata[values[0]]['city'][values[1]]['area']) {
                          return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
                      } else {
                          return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
                      }
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
		    },
		    cols: [
		        {
		            textAlign: 'left',
		            values: defaultProValueList,
		            displayValues: defaultProViewList,
		            onChange: function (picker, value, displayValue) {
		            	
		                if(picker.cols[1].replaceValues){
		                	var cityValueArr = [];
		                	var cityViewArr = [];
		                	for (var i in Areadata[value]) {
		                		if (i === 'city') {
		                			for (var j in Areadata[value][i]) {
		                				cityValueArr.push(j);
		                				cityViewArr.push(Areadata[value][i][j].name)
		                			}
		                		}
		                	}
		                	
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
		  						  areaValueArr.push(' ');
								  areaViewArr.push(' ');
		            		}else{
		            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
			            			areaValueArr.push(k);
			            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
			            		}
		            		}
	    		
		                	picker.cols[1].replaceValues(cityValueArr, cityViewArr);
		                	picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		                }
		            }
		        },
		        {
		            values: defaultCityValueList,
		            displayValues: defaultCityViewList,
		            width: 160,
		            onChange: function(picker, value, displayValue) {
		            	if (picker.cols[2].replaceValues) {
		            		var areaValueArr = [];
		            		var areaViewArr = [];
		            		
		            		var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
		            		  for (var x in cityDataArr) {
		            			  if (x === 'area') {
		            				  if(cityDataArr[x]===null){
	            						  areaValueArr.push(' ');
	            						  areaViewArr.push(' ');
	            					  }else{
	            						  for (var y in cityDataArr[x]) {
			            						  areaValueArr.push(y);
				            					  areaViewArr.push(cityDataArr[x][y]);
		            					  }
		            				  }
		            			  }
		            		  }
		            		picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	}
		            }
		        },
		        {
		        	textAlign: 'center',
		        	values:	defaultAreaValueList,
					displayValues: defaultAreaViewList,
		        	width: 160
		        }
		    ]
		});
		//配送地址回显
		if (callBackData && callBackData.deliveryAddressProvinceCode !== '' && callBackData.deliveryAddressCityCode !== '' && callBackData.deliveryAddressAreaCode !== '') {
			pickerLocation.setValue([callBackData.deliveryAddressProvinceCode, callBackData.deliveryAddressCityCode, callBackData.deliveryAddressAreaCode]);
		}
		
		// 完成事件绑定
		$$('#uploadEvidenceConfirmBtn1').on('click', function() {
			if($$('#user').val() == '非本人'){
				if(validator.isNull($$('#userName').val())){
					f7.alert('请输入姓名！');
					return false;
				}
				if(validator.isNull($$('#userIdentityCardNumber').val())){
					f7.alert('请输入身份证号码！');
					return false;
				}
				if (!validator.checkPersonId($$('#userIdentityCardNumber').val())) {
					f7.alertMessage('请填写正确的身份证号码');
					return false;
				 }
				if(validator.isNull($$('#userRelation').val())){
					f7.alert('请选择使用人关系！');
					return false;
				}
				if (!validator.isNull($$('#userPhoneNumber').val()) && !validator.checkTel($('#userPhoneNumber').val())) { 
					f7.alert('请填写正确的手机号'); 
					return false; 
				}
			}
			if($$('#uploadMedicalCareEvidenceList10 img').length == 0) {
				f7.alert('请上传患者证明！');
				return false;
			}
	
			if($$('#uploadMedicalCareEvidenceList11 img').length == 0 && $$('#user').val() == '非本人') {
				f7.alert('请上传关系证明！');
				return false;
			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">请确保信息准确填写，一经提交，不可修改</div>',
	  			buttons: [
	  				{
	  					text: '<span class="model-back">修改</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function(){
	  						if(params.fromPage == 'medicalCareChooseGoods' || params.fromPage == 'index' || params.fromPage == 'orderDetail'){
	  							createMaterials();
	  						}else if(params.fromPage == 'advanceCreditUploadEvidence'){
	  							creditCommit();
	  						}
	  					}
	  				}
	  			]
	  		});
			function createMaterials(){
				callAppApi({
					url: '/module/material/create/v2',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '006001',
						orderId:params.orderId,
						orderDetailInfo:{
//							orderId: orderId,
//							orderHealthDetailId: params.orderDetailId,
							deliveryAddressProvinceName: "", // 收货地址 省
							deliveryAddressCityName: "", // 收货地址市
							deliveryAddressAreaName: "", // 收货地址区
							deliveryAddressProvinceCode: "", // 收货地址省
							deliveryAddressCityCode: "", // 收货地址市
							deliveryAddressAreaCode: "", // 收货地址区
							deliveryDetailAddress: "", // 详细地址
							
							authorizeUserType: $$('#user').val(), // 使用人类型
							authorizeUserName: $$('#userName').val(), // 使用人姓名
							authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
							authorizeUserRelation: $$('#userRelation').val(), //使用人关系
							authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
						}
					},
					successCallback: function(data) {
						callAppApi({
							url: '/app/credit/v2/submit/audit',
							type: 'POST',
							params: {
								userId: loginStatus.userId,
								baseBusinessType: '006001',
								auditInfoId:data.creditAuditInfo.auditInfoId,
								backSubmitStatus:'0',
								auditType:'BUSINESS',
								orderId:data.orderId
							},
							successCallback:function(res){
//								mainView.loadPage('me.html');
								mainView.router.load({
									url: 'orderDetail.html',
									query: {
										orderId: data.orderId,
										baseBusinessType:'006001',
										fromPage:'medicalCareUploadEvidence',
									}
								})
							},
							errorCallback: function(err) {}
						})
					},
					errorCallback: function(err) {}
				});
			}
			function creditCommit(){
				callAppApi({
					url: '/app/credit/audit/submitMaterial',
					type: 'POST',
					params: {
						userId: loginStatus.userId,
						baseBusinessType: '006001',
						orderDetailInfo:{
//							orderId: orderId,
//							orderHealthDetailId: params.orderDetailId,
							deliveryAddressProvinceName: "", // 收货地址 省
							deliveryAddressCityName: "", // 收货地址市
							deliveryAddressAreaName: "", // 收货地址区
							deliveryAddressProvinceCode: "", // 收货地址省
							deliveryAddressCityCode: "", // 收货地址市
							deliveryAddressAreaCode: "", // 收货地址区
							deliveryDetailAddress: "", // 详细地址
							
							authorizeUserType: $$('#user').val(), // 使用人类型
							authorizeUserName: $$('#userName').val(), // 使用人姓名
							authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
							authorizeUserRelation: $$('#userRelation').val(), //使用人关系
							authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
						}
					},
					successCallback: function(data) {
						callAppApi({
							url: '/app/credit/v2/submit/audit',
							type: 'POST',
							params: {
								userId: loginStatus.userId,
								baseBusinessType: '006001',
								auditInfoId:data.creditAuditInfo.auditInfoId,
								backSubmitStatus:'0',
								auditType:'CREDIT',
								orderId:data.creditAuditInfo.orderId
							},
							successCallback:function(res){
								var isBindBankCard=data.isBindBankCard;
								var orderId=data.creditAuditInfo.orderId;
								if(isBindBankCard=='1'){
									 loadAdvanceCreditPage('creditManage', {
			                             query: {
			                            	 	auditStatus:'10',
			                            	 	fromPage:'medicalCareUploadEvidence',
				                             }
					                 });
								}else{
									mainView.loadPage({
			                             url: 'bindBankcard.html',
			                             query: {
			                                      fromPage:'medicalCareUploadEvidence',
					                          }
					                   });
								}
							},
							errorCallback: function(err) {}
						})
					},
					errorCallback: function(err) {}
				});
			}
//			function updateEvidence() {
//				callAppApi({
//					url: '/app/order/update/health',
//					type: 'POST',
//					params: {
//						orderHealthDetailId: params.orderDetailId,
//						userId: loginStatus.userId,
//						orderId: orderId,
//						baseBusinessType: '006001',
//						
//						patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
//						patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
//						relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
//						relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
//						
//						deliveryAddressProvinceName: "", // 收货地址 省
//						deliveryAddressCityName: "", // 收货地址市
//						deliveryAddressAreaName: "", // 收货地址区
//						deliveryAddressProvinceCode: "", // 收货地址省
//						deliveryAddressCityCode: "", // 收货地址市
//						deliveryAddressAreaCode: "", // 收货地址区
//						deliveryDetailAddress: "", // 详细地址
//						
//						authorizeUserType: $$('#user').val(), // 使用人类型
//						authorizeUserName: $$('#userName').val(), // 使用人姓名
//						authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
//						authorizeUserRelation: $$('#userRelation').val(), //使用人关系
//						authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
//					},
//					successCallback: function(updateRes) {
//						mainView.router.load({
//							url : 'orderDetail.html',
//							query : {
//								fromPage: 'medicalCareUploadEvidence',
//								orderId: orderId,
//								baseBusinessType: '006001',
//							}
//						});
//					},
//					errorCallback: function(err) {}
//				});
//			}
			
//			function updateMaterials(){
//				callAppApi({
//					url: '/module/material/update',
//					type: 'POST',
//					params: {
//						userId: loginStatus.userId,
//						orderDetailId: params.orderDetailId,
//						baseBusinessType: params.baseBusinessType,
//						orderDetailInfo: {
//							patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
//							patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
//							relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
//							relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
//							
//							deliveryAddressProvinceName: '', // 收货地址 省
//							deliveryAddressCityName: '', // 收货地址市
//							deliveryAddressAreaName: '', // 收货地址区
//							deliveryAddressProvinceCode: '', // 收货地址省
//							deliveryAddressCityCode: '', // 收货地址市
//							deliveryAddressAreaCode: '', // 收货地址区
//							deliveryDetailAddress: '', // 详细地址
//							
//							authorizeUserType: $$('#user').val(), // 使用人类型
//							authorizeUserName: $$('#userName').val(), // 使用人姓名
//							authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
//							authorizeUserRelation: $$('#userRelation').val(), //使用人关系
//							authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
//						}
//					},
//					successCallback: function(response) {
//						mainView.loadPage('me.html');
//					},
//					errorCallback: function(err) {}
//				})
//			}
				
//			function createMaterials(){
//				callAppApi({
//					url: '/module/material/create',
//					type: 'POST',
//					params: {
//						userId: loginStatus.userId,
//						baseBusinessType: params.baseBusinessType,
//						orderDetailInfo: {
//							patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
//							patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
//							relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
//							relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
//							
//							deliveryAddressProvinceName: '', // 收货地址 省
//							deliveryAddressCityName: '', // 收货地址市
//							deliveryAddressAreaName: '', // 收货地址区
//							deliveryAddressProvinceCode: '', // 收货地址省
//							deliveryAddressCityCode: '', // 收货地址市
//							deliveryAddressAreaCode: '', // 收货地址区
//							deliveryDetailAddress: '', // 详细地址
//							
//							authorizeUserType: $$('#user').val(), // 使用人类型
//							authorizeUserName: $$('#userName').val(), // 使用人姓名
//							authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
//							authorizeUserRelation: $$('#userRelation').val(), //使用人关系
//							authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
//						}
//					},
//					successCallback: function(response) {
//						mainView.loadPage('me.html');
//					},
//					errorCallback: function(err) {}
//				})
//			}
		})
		
//		var deviceId = '';
//		if (!SKIP.cordova_uuid) {
//			deviceId = device.uuid;
//		}
//		function creditCommit() {
//			callAppApi({
//				url: '/app/credit/audit/caseInfoCommit',
//				type: 'POST',
//				params: {
//					userId: loginStatus.userId,
//					baseBusinessType: params.baseBusinessType,
//					deviceId: deviceId,
//					orderDetailInfo: {
//						patientMaterials: JSON.stringify(patientMaterialsArr),  // 患者证明,
//						patientMaterialsCheckResult: '1', 	// 患者证明材料审核结果 0false 1true
//						relationShipMaterials: JSON.stringify(relationShipMaterialsArr),  //关系证明材料
//						relationShipMaterialsCheckResult: '1', 	//关系证明材料审核结果
//						
//						deliveryAddressProvinceName: '', // 收货地址 省
//						deliveryAddressCityName: '', // 收货地址市
//						deliveryAddressAreaName: '', // 收货地址区
//						deliveryAddressProvinceCode: '', // 收货地址省
//						deliveryAddressCityCode: '', // 收货地址市
//						deliveryAddressAreaCode: '', // 收货地址区
//						deliveryDetailAddress: '', // 详细地址
//						
//						authorizeUserType: $$('#user').val(), // 使用人类型
//						authorizeUserName: $$('#userName').val(), // 使用人姓名
//						authorizeUserIdCard: $$('#userIdentityCardNumber').val(), //使用人身份证
//						authorizeUserRelation: $$('#userRelation').val(), //使用人关系
//						authorizeUserPhone: $$('#userPhoneNumber').val(), //使用人手机号码
//					}
//				},
//				successCallback: function(data) {
//
//						var isBindBankCard=data.isBindBankCard;
//						var orderId=data.orderId;
//						if(isBindBankCard=='1'||data.auditStatus=="10"||data.auditStatus=="32"){
//							 loadAdvanceCreditPage('creditManage', {
//	                             query: {
//	                            	 	auditStatus:data.auditStatus,
//	                            	 	fromPage:'medicalCareUploadEvidence',
//		                             }
//			                 });
//						}else{
//							mainView.loadPage({
//	                             url: 'bindBankcard.html',
//	                             query: {
//	                                      fromPage:'medicalCareUploadEvidence',
//			                          }
//			                   });
//						}
//					
//				},
//				errorCallback: function(err) {}
//		  })
//		}
		
		
	}

	return {
		render: render
	}
});